Welcome to PPFA Help

Navigation: »No topics above this level«

Welcome to PPFA Help 7.0.0

 Print this Topic Return to chapter overview

The team at PPFA comprising of "Form Analyst and Punter" Steven Angelides and "Computer Programmer" Nicholas Vlachou have combined together, with over 70 years of experience, to develop the Ultimate Analysis Tool to compliment Bet Selector.

Professional Punters Form Analysis (PPFA) provides an in depth analysis tool for Bet Selector users that will save invaluable time when assessing form.

This help is designed both as a course in using PPFA and as an ongoing reference while your are working with the program.

Happy Punting,
The PPFA Team

Getting started – new users

· Study the Introduction and OnLine Tutorials sections to familiarize yourself with the basics of the program.
· Check out all the links in the Help tab – plenty of help is available!

Getting started – users upgrading from previous versions

· See the Upgrade FAQ for a quick summary of the major changes and where to find the functions you are looking for.
· Even if you are an experienced PPFA user, please run through the Introduction and OnLine Tutorials sections quickly to get up to speed with what has changed in the latest version of the program.


Introduction

Navigation: »No topics above this level«

Introduction to 7.0.0

 Print this Topic Return to chapter overview

The topics in this section provide some basic information about PPFA, what it is for and what you can do with it.

How to get started

► See Getting help for details on using this help and getting more information about PPFA.
► Study this Introduction chapter and The User Interface sections to familiarize yourself with the program.
► Study the Setup Section for information on setting your initial parameters.
► Study the Update Functions for detailed information on each function.

Learning more

► Work through the OnLine Tutorials to familiarize yourself with using PPFA.

► Check out the online user forum for more information.


About PPFA

Navigation: Introduction >

About PPFA

Print this Topic Return to chapter overview

PPFA has been a work in progress since the original release of the PPJ Jockey program in 2003 to incorporate many aspects of form analysis that is embraced by Bet Selector to make it the Ultimate Analysis Tool.

Professional Punters Form Analysis (PPFA) provides an in depth analysis tool for Bet Selector users that will save invaluable time when assessing form.

As most Bet Selector users are aware, several manual adjustments are required to be made to the Bet Selector data to take into consideration Wet Tracks, Jockeys, Past Form, Distance, Barriers and Track Capability, to name a few, for each runner. This is a time consuming exercise and accuracy can be compromised in an attempt to save time. After many years of manually making these adjustments, a fully automated program has now been completed that will reduce many hours of analysis down to minutes with uncanny accuracy, no more errors because of time constraints, tiredness or change in track conditions during the meeting. All this will be done automatically for you. PPFA has many features that are set with default criteria which can be adjusted by the user to any criteria that suits your needs.

· Barriers, BlackBook, Distance Change, Field Strengths, Jockeys, Race Par Times, Race Par Times Parameters, System Parameters, Tracks, Tracks Low Grade, Trainers Databases:
Maintain your own Databases or subscribe to the 'PPFA Database Updates'. The data from these Databases can be automatically applied to Bet Selector.
· State Times:
Choose your home state or location and the Race Day Sheet will be displayed in Jump Time order according to the state or location you have selected in the State Times Database. Daylight saving can also be automatically adjusted once you have set the State Times.
· WA TAB Downloads:
Download directly from the Ozbet site. Includes Jockeys, Track Conditions and Results to name a few.
· Race Day Sheets:
Generate Race Day Sheets which display your processed data in Time Jump order together Field Strengths in rated order, Horse Details in rated order, Race Par Times in rated order.

· Exports:
Various data export routines to use for reporting. Data can be exported to .txt, .csv or directly to Excel.

· Design your own screen layouts:
Many of the screens which display data offer users the ability to designed their own field layout.

· File Maintenance:
Comprehensive File Maintenance routines for your databases with a plethora of options.

· Updates:
Various update routines which allow you to update Bet Selector.

· HorseForm Database:
PPFA generates its own HorseForm database from your downloaded Bet Selector data. This database is invaluable in assessing a horse's ability to win today's race.

· Select races to process:
Once you have processed your meetings for the day, PPFA offers you the ability to select individual races to process. This feature is great when the track conditions change as you can simply select for processing, only those races where the track condition has changed. A great time-saver when your bus betting in the middle of the day.

· Batch Updates:
Select a group of procedures to execute and press GO! All selected procedures will be automatically sequentially processed. Batch Updates have preset groups of routines for Daily, Day End, Selected Races and Historical Processing.


Why PPFA?

Navigation: Introduction >

Why PPFA?

 Print this Topic Return to chapter overview

Produce accurate ratings faster and more efficiently and have fun in the process!

Save time

PPFA helps you to create better form analysis quicker and more accurately giving you more time to analyse the races. The time required for processing an average size meeting rarely exceeds three minutes.

Support

The PPFA Team has many years experience and are happy to assist you to get the best from both PPFA and Bet Selector. You may also contact us directly by phone.

Database Updates

PPFA offers a reasonable subscription based database updates service. If you choose to subscribe, databases susceptible to regular change will supplied directly to your email Inbox on a regular basis by PPFA. You won't need to worry about latest Jockey data including Apprentice Allowances, Field Strengths, Race Par Times, Trainers, Tracks, Barriers or Blackbook entries.


The User Interface

Navigation: Introduction >

The User Interface

 Print this Topic Return to chapter overview

The PPFA window is divided into three main areas: The Drop-Down Menu, the Toolbar Ribbon and the Workspace.

The Workspace

The Workspace is where PPFA displays all of the information for the selected task and also allows the user to enter data and respond to prompts.

The Drop-Down Menu

PPFA's functions are accessed primarily through the Drop-Down Menu across the top of the PPFA window. Each Drop-Down groups functions according to tasks and displays associated Toolbar Icons to the left of the text. If a function has associated "Accelerator Keys", they will be displayed to the right of the text in the Drop-Down Menus.

The Toolbar Ribbon

The icons which display in the Toolbar Ribbon when the program first opens are permanent icons. Icons may be added or removed from the Toolbar Ribbon by selecting a sub-menu icon, however, the permanent icons will always display. All icons to the left of the first "separator bar" are sub-menu icons. When a sub-menu icon is selected, it will be highlighted to let you know which sub-menu you have selected and the icons for that sub-menu will be added to the Toolbar Ribbon. Sub-Menu icons are easily distinguished because they have a square border with a coloured triangle in the top right hand corner of the square.

All icons to the right of the first "separator bar" execute functions when clicked.

Help for each icon is displayed when you hover the mouse over the icon.

NB: Once any window is open in the Workspace, the sub-menu icons will become INACTIVE.


Toolbar Ribbon

Navigation: Introduction > The User Interface >

Toolbar Ribbon

 Print this Topic Return to chapter overview

Instead of searching for functions in menus, some functions are available directly on the Toolbar Ribbon.

Icons displayed on the Toolbar Ribbon are dependant on which sub-menu icon you have selected.

Default Toolbar Ribbon

Toolbar Ribbon after the "Up" ( Updates ) icon has been selected

Toolbar Ribbon after the "Fm" ( File Maintenance ) icon has been selected

Tips:

Hover the mouse over an icon to see a description of the function associated with the icon.

Toolbar Ribbon Sub-Menus are not available once you have opened any window in the Workspace.


Keyboard Shortcuts

Navigation: Introduction > The User Interface >

Keyboard Shortcuts

 Print this Topic Return to chapter overview

The most commonly used functions can be controlled with keyboard shortcuts.

Where Keyboard Shortcuts are available, they are displayed to the right of the text in the Drop-Down Menus and in the Tooltip text when you hover the mouse over the Toolbar Ribbon icons.


Getting help

Navigation: Introduction >

Getting help

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

There are a number of different sources of help for PPFA. In addition to this help file you can also access online tutorials, the online user forum or email PPFa Support.

To get started, your main source of information should be this help file. We have designed it to provide all the information you will need for using and learning PPFA.

Before contacting support, please make sure that you really can't find the information you need here or on the user forum. Thanks!

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Displaying the help
· The quickest way to display the help is to press F1. If context-sensitive help is available it will be displayed automatically.
Using the user forum
· The online PPFA user forum is a wonderful resource that contains a huge amount of material. Register today (it's completely free) and get support from the PPFA Software team and hundres of other experienced PPFA users.
· The forum is located at [image] http://ppfa.com.au/forums
Contacting PPFA Software support
· Direct email support is available from the PPFA Software team at support@ppfa.com.au .
Tutorials
· A selection of tutorials showing you how to get the best out of using PPFA is available here:

http://www.ppfa.com.au/tutorials.php

OnLine Tutorials
Printing a user manual
· A 'pdf' version of the help file is included with the installation. You may use the link created by the installation procedure to open and view or print the manual.


How to buy PPFA

Navigation: Introduction >

Order PPFA today!

 Print this Topic Return to chapter overview

You can buy PPFA directly online worldwide. PPFA uses PayPal to receive Payments.
PayPal protects your account with industry-leading encryption technology, proprietary risk models, and a team of over 800 experienced agents dedicated to fighting fraud.

If you prefer to make a direct deposit, after emailing your registration details, please send an email to orders.ppfa.com.au requesting PPFA's bank details.

You MUST have Bet Selector to run the PPFA Form Analysis Program and the Race Day Browser. Click here to visit the Bet Selector website.

As soon as your transaction is completed you will be notified by email of a web link where you will be able to download and install the program right away. After installing PPFA, when you run PPFA you will be presented with a registration window which contains a form which you should complete and send to PPFA via email. Once PPFA receives your 'Registration Form', PPFA will forward your 'License Key' by return email.

Direct order link and PPFA Software homepage:

Purchase Link:

http://www.ppfa.com.au/purchase.php

PPFA homepage:

http://www.ppfa.com.au


Installation

Navigation: »No topics above this level«

Installation: PPFA ver 7.0.0

 Print this Topic Return to chapter overview

While this program has been extensively tested, it cannot be guaranteed that there may not be unexpected problems encountered while installing due to the vast range, both physical and software related., of PC configurations.

1. Download and run the Setup Program.
a) If you have a previous version of PPFA you may elect to install in a different folder, however, PPFA’s Setup Program will install into the PricePPJ folder by default.
b) If you install over a previous version of PPFA, the Setup Program will backup your existing files into a folder named FILES7.0.0_BUP in your PPFA Program Folder. The only exception is the HORSEFORM.DBF as this is usually a very large file and can be re-created at will. If you run the Setup Program again, the file backup will be repeated thus overwriting your last backup.
c) If you are installing over a previous version of PPFA, it is recommended that immediately the Setup program completes, you navigate to your PPFA Installation Folder and 'RENAME' the FILES7.0.0_BUP folder to prevent your original files being overwritten on subsequent execution of the PPFA Setup Program. This step is not essential, however, it is a form of insurance especially to those users who maintain their own databases and do not want to use PPFA’s default files such as Barriers, Jockeys etc.

Example Upgrade:

You current installation is in D:\PricePPJ and you are upgrading to PPFA ver 7.0.0.

After running the Setup Program you will find a Folder named D:\PricePPJ\Files7.0.0_BUP and it will contain copies of your latest databases. Please note that not all databases are backed-up. Only the databases which may contain your own personalised data will be copied to the backup folder.

If you do not want these files overwritten by subsequent re-installation of the same PPFA version then it recommended that you RENAME this folder immediately upon completion of the installation.

If you install a newer version of PPFA then a new Backup Folder will be created using the new version number to generate the backup folder name. When you are happy with your new version, you may delete the older versions' backup folders.


Licensing

Navigation: »No topics above this level«

Licensing

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

PPFA currently has several licensing options. They are;

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Limited ( License Code 0 )
· Excludes Blackbook
· Excludes Field Strengths
· Excludes Set Active Flag in BS and Race Classes Database
· Excludes Trainers Database and relevant procedures
· Excludes Ability for Weight Penalties
· Excludes RaceTimes and relevant procedures
· Excludes OzBet Downloads
· Excludes Batch Updates
· Excludes Position in Running
· Excludes Horses Database - Used to identify Duplicate Horses ( Horses with the same name from different countries)
Limited with OzBet ( License Code 1 )
· ALL of the above Exclusions
· Includes OzBet Downloads
UnLimited ( License Code 5 )
· Excludes RaceTimes and relevant procedures
· Excludes OzBet Downloads
· Excludes Batch Updates
· Excludes Position in Running
· Excludes Horses Database - Used to identify Duplicate Horses ( Horses with the same name from different countries)
· Includes BlackBook
· Includes Field Strengths
· Includes Set Active Flag in BS and Race Classes Database
· Includes Trainers Database and relevant procedures
· Includes Ability for Weight Penalties
UnLimited with OzBet ( License Code 7 )
· Same as UnLimited
· Includes OzBet Downloads
UnLimited with RaceTimes ( License Code 6 )
· Includes ALL features listed above
· Excludes Batch Updates with Daily, Selected Races, End of Day and Historical
· Excludes Ability to Archive RaceTimes Data
UnLimited with RaceTimes and OzBet ( License Code 8 )
· All PPFA Functions with the following Exclusions
· Excludes Position in Running
· Excludes Select Individual Races for Processing
· Excludes Export Base Ratings
· Excludes Race Day Alarms
· Excludes Auto Batch Update Groups
· Excludes Select Active Flag for Individual Races
· Excludes Horses Database ( important to avoid Duplicate Horse Names )
UnLimited with RaceTimes, OzBet and Select ( License Code 9 )
· Includes Position in Running
· Includes Select Individual Races for Processing
· Includes Export Base Ratings
· Includes Race Day Alarms
· Includes Auto Batch Update Groups
· Includes Select Active Flag for Individual Races
· Includes Horses Database ( important to avoid Duplicate Horse Names )
UnLimited with RaceTimes, OzBet and Select15 ( License Code 15 - ver 5.0)
· Includes Can now change meetings to a new venue inc changing distances, jump times, etc
· Includes RaceDay Report including Field Strengths & Times
· Includes For RaceTimes, ability to process all track conditions individually
· Includes Ability to track Trainer Changes, includes Trainers in the HorseForm database
· Includes Ability to keep Black Book Entries for up to 4 Runs
· Includes User Defined System Colours
· Includes Auto restore of field selections in the RaceTimes Browser
· Includes Batch change track conditions for a chosen meeting
· Includes Position in Running
· Includes Select Individual Races for Processing
· Includes Export Base Ratings
· Includes Race Day Alarms
· Includes Auto Batch Update Groups
· Includes Select Active Flag for Individual Races
· Includes Horses Database ( important to avoid Duplicate Horse Names )
UnLimited with RaceTimes, OzBet and Select16 ( License Code 16 - ver 6.1)
· Includes Can now bonus/penalty horse based on age
· Includes Horseform.dbf now updated with Field Strengths
· Includes Various new System Colours
· Includes RaceTimes Browser now highlights horses improving from RM to RMW to RMWD
· Includes New features added to CMTD
Select 16 + BaseRatings ( License Code 17 - ver 6.5 )
· Includes Generate PPFA Base Ratings w associated File Maintenance and System Parameters
· Includes Form Analysis - Bonus if last start winner and limited career starts
· Includes Display trainer statistics in browser
· Includes Display jockey statistics in browser
· Includes Extra colour highlights in Field Strengths - Horse is advantaged


License New Installation

Navigation: Licensing >

License New Installation

 Print this Topic Return to chapter overview

If you are have installed for the first time or you have not previously registered PPFA, when you run the PPFA Application, it will open a License Form which you must complete and mail to PPFA using the SEND button on the Form. The SEND button should open your Email Client with an email ready to send to PPFA. Please wait for the Email Client to open and then complete the procedure by sending the email. If you are not using Microsoft Outlook or Outlook Express as your email client or your email client does not open automatically when you click the SEND button in the PPFA Licensing Window, please type in all of the information displayed on the “Registration Info:“ form and send to orders@ppfa.com.au

Before receiving a License Key from PPFA, you must have made your payment via the www.ppfa.com.au website or by Direct Debit to PPFA. If you prefer to use Direct Debit, please email support@ppfa.com.au and PPFA will advise you of its Banking Details

Once you have received your PPFA License Key, run PPFA and enter the License Key into the Serial Number field in the 'Registration Info' window then press the REGISTER button.

NB:

Please make sure you have no leading or trailing spaces in the Serial Number field before pressing the REGISTER button.


License Existing Installation

Navigation: Licensing >

License Existing Installation

 Print this Topic Return to chapter overview

If you are upgrading PPFA over an existing Licensed Version, then PPFA will automatically retain your existing license as a LIMITED version. The LIMITED version will give you all of the functionality of your existing version together with many new features.

To upgrade to any of the NEW UNLIMITED 7.0.0 versions of PPFA, you need to make your UPGRADE PAYMENT via www.ppfa.com.au website or by Direct Debit to PPFA. If you prefer to use Direct Debit, please email support@ppfa.com.au and PPFA will advise you of its Banking Details.

Before receiving a License Key for the NEW UNLIMITED version from PPFA, your payment must be confirmed by PPFA. Once your payment is confirmed, PPFA will email you with your NEW LICENSE KEY.

Once you have received your NEW LICENSE KEY, run PPFA, click on the Help Menu and select Register.

When the Registration Info Window opens, enter your NEW LICENSE KEY and your PPFA Application will be registered according to your Upgrade Details giving you access to ALL of the NEW FEATURES associated with your upgrade version.

NB:

Please make sure you have no leading or trailing spaces in the Serial Number field before pressing the REGISTER button.


Setup

Navigation: »No topics above this level«

Setup

 Print this Topic Return to chapter overview

Before using the PPFA Form Analysis Tools for the first time, please take the time to study the parameters that you can change to suit your individual requirements.

PPFA is designed to process your data 'dynamically'. This means that each individual user of PPFA may generate different ratings based on the parameters each individual user sets up.

There are many parameters you can change and they are explained in the following 'Sub Topics'.

Again, please take the time to study them.


Setup after Installs

Navigation: Setup >

Setup after Installs

 Print this Topic Return to chapter overview
1. The 1st time you run PPFA ver 7.0.0, you will be offered a choice of what to do with existing files. Please read the messages carefully. If you choose to retain any of your existing databases, then if the new database structure has changed, PPFA will modify your old database to conform with the new structure. None of your old data will be lost, however, if the structure has changed, then any NEW fields added to the database file will NOT contain any values. PPFA will verify your databases and create any new databases required. All databases will be Re-Indexed so please be patient. A modern PC should take no longer than 10mins.
2. After installation you will need to Check or Setup your system defaults. If the System Parameters Window does not automatically open after PPFA goes through its one-time setup when you first run the program, then, Select FileMaintenance from the Drop down Menu at the top of the program, then System Parameters, System Form analysis Parameters and select the System Tab. Enter the drive and folder locations for Bet Selector and PPFA then click on the 'Verify Folders' button so that PPFA can check the information you have entered. Don't close this window as it will be used again in the next step.

3. The System Form Analysis Parameters window should still be displayed on the screen. If not, see the previous paragraph on how to open it. Select the “Misc” Tab. Enter the FA_Start as the first date to include when building the Horse Form File. PPFA recommends you go back approx. 3 years but ultimately, the choice is yours. Should you have BS Folders OLDER than 3 years and you wish to use form older than that recommended by PPFA, then set the FA_Start to 01/01/[Yr of your 1st BS Data Folder] e.g. 1997. It is not necessary to enter any date in the FA_Last field as this date is updated by PPFA when the Horseform database is updated.

The HO_Last field is used to create the HORSES database. The date entered here should be the first date to use when creating/updating the database. It will subsequently be updated by PPFA to reflect the latest date processed.

Close the window by pressing on the X in the top right-hand corner of the System Form Analysis Parameters Window or by clicking on the Close button.
4. For FIRST TIME USERS ONLY, ( optional for system Upgrades ), Select File, Update Selections and run the Update PPFA Horse Form ALL.

WARNING! This procedure can take anything from 45mins to 2 hours depending on the speed of your PC and the amount of Bet Selector Data you have stored on your PC. Please be patient as your PC may seem like it has “hung” but rest assured the process will complete. This procedure need only be run once when you first setup. It can also be used to reset your Horse Form File should you decide to eliminate very old form. This is a simple procedure which needs you to change the FA_Start Date, as in 3. above, to the year you would like your form to start from.


Setup System Parameters

Navigation: Setup >

Setup System Parameters

 Print this Topic Return to chapter overview

SETTING-UP PPFA ( Optional )

Changing PPFA’s System Form Analysis Parameters can drastically change the final rankings. This makes PPFA a powerful tool which can be tailored to individual preferences. The System Form Analysis Parameters are grouped by Tab Page in the associated File Maintenance procedure. To View or Change the parameters, choose FileMaintenance, System Form Analysis Parameters, from the Top Drop-Down Menu:

◆ If you do not wish to implement part or all of these Criteria, the Bonus or Penalty can be set to 0 and no adjustments will be made to the Bet Selector base rating. Close window when done.

◆ If you want to display the correct Race Jump Times according to your current location, make sure that you setup your State Times Database before generating any Race Day Browsers.

BlackBook System Parameters

Distance & Track Parameters

Form Analysis Parameters

Last Run Parameters

Miscellaneous Parameters

Weight Parameters

Wet Form Parameters

System Parameters


BlackBook Parameters

Navigation: Setup > Setup System Parameters >

BlackBook Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the BlackBook parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the BlackBook tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
How Many Runs to Apply Bonus
· This is the number of runs for which you want to apply the bonus. Minimum = 1, Maximum = 4
Multiply Bonus by ? For Run2 to Run4
· The original bonus/penalty you enter is applied to Run1. If you choose to apply the bonus/penalty to more than 1 run then PPFA will adjust the next runs bonus/penalty by multiplying the original bonus/penalty by the numbers entered here.
NB: Penalties ( negative bonus/penalty ) will always default to the original penalty no matter what you enter in these fields.

eg;
Bonus/Penalty | Multiply Factor | Calculated by PPFA for ensuing runs
6.0 | 1.00 | 6.0
6.0 | 0.75 | 4.5
6.0 |  |
-4.0 | 0.50 | -4.0


Distance+Tracks Parameters

Navigation: Setup > Setup System Parameters >

Distance + Tracks Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Wet Form parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the Distance+Tracks tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Distance Analysis - WIN & PLACE Criteria and Bonus
· Percentage based for win and place based on horses ability to handle today’s distance.
Track Analysis - WIN & PLACE Criteria and Bonus
· Percentage based for win and place based on horses ability to handle today’s course.


Form Analysis Parameters

Navigation: Setup > Setup System Parameters >

Form Analysis Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Form Analysis parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Win Criteria and Bonus
· Depending on the run in this preparation, the program will consider 1st, 2nd, 3rd , 4th , and 5th runs in. This will scan all past form for the same “run in” and allocate bonus based on Win Strike Rate % (there are 4 sections) as per the criteria, EG: if 2nd up today, and horse has won 35% of previous 2nd up runs, a bonus of 1.5 will be applied to the base rating.
Place Criteria and Bonus
· The same principal is applied but the win and place strike rates are added together to achieve the required %, this is to ensure that runners that have a high placing % but have not won are not disadvantaged.
Distance Analysis, Win and Place Criteria and Bonus
· Percentage based bonus based on previous wins at today’s distance. The Place Criteria Bonus combines the win and placing to achieve the % for bonus to be applied.
Run Bonus
· This part of the program is set in 4 categories, good, dead, slow and heavy tracks. All form is scanned based on today’s track conditions and the bonus is accumulated for win and placing in the conditions at previous runs. E.g. If the conditions today are slow, all form is scanned and runner will get a bonus of 1.5 for each win, 1 for each 2nd placing and 0.7 for each 3rd placing. Therefore 1 x win, 2 x 2nd placings and 1 x 3rd placing will accumulate 1.5 + 2.0 + 0.7 for a total bonus of 4.2


Last Run

Navigation: Setup > Setup System Parameters >

Last Run Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Last Run parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the Last Run tab.

Statistics indicate that backing First-Up horse does not give a positive return. With this in mind, PPFA gives the user the ability to penalise horses starting “First-Up”. Furthermore, if the horse’s previous preparations indicate that the horse does perform well “First-Up”, the user may elect to return part or all of the “First-Up Penalty”

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading

Criteria for First-Up Penalties
· Assign groups of days and associated penalty to apply
Criteria for Return of Penalties
· Is the Earliest Date to use when generating PPFA’s HorseForm File. This date may be adjusted for suit your individual requirements. Eg You may not want to include OLD form in your analysis. If this date is older than your oldest Bet Selector Form File, PPFA will simply find the first Form File after that date.
Minimum Last Run Days Before Applying
· This gives the user the option to set the spell days for the purpose of returning the penalty. Most form guides use 90 days as a general rule when assessing whether a runner has had a spell. PPFA recommends 60 days.
Minimum Win Strike Rate Percentage
· Any runner has to have at least this minimum win% to be considered for a return of penalty. PPFA recommends that as a general rule, a runner should have better than 25% WIN strike rate to qualify for consideration before applying any of above.
Minimum Place Strike Rate Percentage
· Any runner that has not Won 1st up but has been placed must have this minimum % to qualify. There are many 1st up runners that are placed and only need to improve marginally on previous attempts to record a win 1st up. This option allows the user to qualify these runners for inclusion in the calculations before applying any of above.
Max Distance for Win/Place SR Return
· The user can set the distance of races where runners are to be considered for qualifying for a return of penalties. PPFA's examination of the results over the last 4 yrs show that the strike rate of 1st up runners in races up to 1100m is approximately 36% and drops significantly in the distance range from 1101m and upwards.
Max Percentage of Penalty to Return
· Using this field you may limit how much of the original Penalty to Return.


Misc.

Navigation: Setup > Setup System Parameters >

Misc. Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Wet Form parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the Misc. tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Spell Days
· Number of days since last run which you would consider to be a Spell.enalty is at the discretion of the user.
FA_Start
· Is the Earliest Date to use when generating PPFA’s HorseForm File. This date may be adjusted for suit your individual requirements. Eg You may not want to include OLD form in your analysis. If this date is older than your oldest Bet Selector Form File, PPFA will simply find the first Form File after that date.

FA_Last
· Is the date of the LATEST Bet Selector Form File which has been included in PPFA’s Form File. In most circumstances, the user does not need to edit this field.
HO_Last
· Is the date of the LATEST Bet Selector Horses File which has been included in PPFA’s Horses File. In most circumstances, the user does not need to edit this field.
Penalty if Last Start Maiden Winner
· Last start maiden winners generally receive a higher than expected rating for the win and over the years it has become very apparent that only a very small percentage of last start maiden winners go on and win at the next start, with that in mind, a provision has been made to penalise last start maiden winners
Create FA_Audit File?
· When Updating the Form Analysis, PPFA generates an Audit File. This file is rarely accessed by the user and removing the TICK will speed up performance.


Weight

Navigation: Setup > Setup System Parameters >

Weight Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Wet Form parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the Weight tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Weight
· PPFA has examined results over an extensive period and statistics have shown that runners that carry 58kg or more have an inferior strike rate. With this in mind, PPFA now has an option to set a Weight Penalty. A penalty can be applied to all runners that carry this weight or more or the user has the option to not impose a penalty if the runner has Won previously with the allocated weight. The amount of the penalty is at the discretion of the user. The On-Screen field prompts and help screen will assist in your decision making.


Wet Form Parameters

Navigation: Setup > Setup System Parameters >

Wet From Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Wet Form parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the Wet Form tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Wet Strike Percentage and Bonus
· Percentage based bonus allocated for wins on Dead, Slow and Heavy tracks. As the Strike% raises so should the Bonus.
Wet Box Win Criteria
· Percentage based to determine whether upper or lower case Y is to be applied. The more proficient the horse is in the going, the upper case Y will be applied and the more significant the impact on the overall ratings.
Wet Box Place Criteria
· Percentage based combining win and place runs. This is affective in cases where a runner does not have a high win Strike Rate but very high place Strike Rate. E.g. had 4 runs on heavy for 1 win, ( 25% ), would get “y”, but placed at other 3 runs, therefore has 100% placed, this would elevate to “Y”.
Wet Box Poor Form
· Please Note that the adjustment of upper case whether they be “Y” or “N” is significant, less so with lower case “y” or “n”.
· Within Bet selector there is a provision in the view past form/edit ratings/wet box to allocate YYNN or yynn depending on the horse’s ability to handle the conditions and this factor can significantly alter the rated prices. A minimum of 2 runs in the conditions is required before any determination can be made as to whether the horse can handle the conditions. If only 2 runs and the % is 0, a lower case n will be applied, if more than 2 runs and strike rate is below 26%, upper case N is applied ( please note that the default minimum run of 2 can be changed to your own thoughts on this point )


System

Navigation: Setup > Setup System Parameters >

System Parameters

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the System parameters, choose FileMaintenance, System Parameters, System Form Analysis Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Form Analysis' tab so click on the System tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Bet Selector Drive Letter
· This is the Hard Disk Drive Letter of the Bet Selector Folder - normally C - Enter the letter ONLY
Bet Selector Folder
· This is the folder where Bet Selector is installed - normally PRICE - Enter the folder location here, NO Drive letter is required, NO trailing Back Slash eg; mydocuments\racing\BetSelector - DEFAULT Bet Selector Folder - PRICE
PPFA Drive Letter
· This is the Hard Disk Drive Letter of the PPFA Folder - normally C - Enter the letter ONLY
PPFA Folder
· This is the folder where PPFA is installed - normally PRICEPPJ - Enter the folder location here, NO Drive letter is required, NO trailing Back Slash eg; mydocuments\racing\PPFA - DEFAULT PPFA Folder - PRICEPPJ
Default Jockey Rating - CITY/PROVINCIAL/COUNTRY
· These fields are the DEFAULT ratings to apply to any Jockey riding in a City, Provincial or Country Meeting. When PPFA processes a meeting, each time it needs to apply Jockey data, it will find the Jockey in the 'Jockeys' database and use the data from this record. If for some reason you have not added the jockey which PPFA is checking, then PPFA will use the Default values you have entered here.
Default Apprentice Claim - CITY/PROVINCIAL/COUNTRY
· These fields are the DEFAULT ratings to apply to any APPRENTICE Jockey riding in a City, Provincial or Country Meeting. When PPFA processes a meeting, each time it needs to apply Jockey data, it will find the Jockey in the 'Jockeys' database and use the Apprentice Claim data from this record. If for some reason you have not added the jockey which PPFA is checking, then PPFA will use the Default Apprentice Cliam values you have entered here.
Default NEW Apprentice Jockey Rating
· This field is no longer applicable. It is a legacy field from the original Jockey Ratings Program
Race Times Browser Settings
· Within the Race Times Browser you have the ability to select which fields to display and save these settings. Rather than manually choosing to restore your saved settings each time the browser is opened you may simply select for which of the browsers within the Race Times Browser you wish to restore your saved settings.


Setup Field Strength Parameters

Navigation: Setup >

Setup Field Strength Parameters

 Print this Topic Return to chapter overview

It has become apparent that there is a vast difference in the strength of races between each State’s Classes, Day of Race and the Grade of Tracks. It has long been accepted that Class 1 races etc are basically the same whether they are run on a Monday, Tuesday or Friday in NSW, Vic Qld WA etc. Our research has clearly indicated that this is not the case, far from it. We have analysed races run over an extended period and given each Class of race a Field Strength Rating based on the statistics for the particular State, Day and Track. The Tracks have been graded as Metropolitan, Provincial and Country.

In addition to the Race Field Strengths, we have developed a Field strength ranking within Races based on the runner’s last start.

These calculations are used to create a Field Strength Ranking within PPFA. You may either allow PPFA to automatically apply a bonus based on the criteria contained in the System Field Strength Parameters or alternatively, you may switch this feature off and use the PPFA Field Strength Ranking to assist you in making any manual adjustments to the Bet Selector Base Ratings. The Field Strength Rankings and data are displayed in the Race Day Browsers.

The preliminary research has revealed that in cases where a runner is rated in the Top 4 by PPFA and is also rated similarly in the Field Strength Rankings, these runners tend to perform to expectations. In cases where the PPFA Top 4 runners are Poorly ranked in the Field Strengths, these runners tend to be a risky betting proposition, that is not to say that they cannot win but in many cases the Base Rating has been created using its 2nd or 3rd last run as the major contributor to the base rating calculation and the Field Strengths indicate that its Last Run was poor. Another factor that has given indications of a coming winning run is in cases where the Field Strength today is weaker than last run AND the runner is dropping weight as well as where the beaten margin is less than 4 Lengths.

This information can be invaluable when assessing runners chances and gives the user the opportunity to manually fine tune the ratings with more accuracy.

In this section of the File Maintenance the user has the ability to apply a sliding scale rating to apply to a runner’s details based on its last start.


Field Strengths Criteria

Navigation: Setup > Setup Field Strength Parameters >

Field Strengths Criteria

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Field Strengths Criteria, choose FileMaintenance, System Parameters, System Field Strength Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'FS Criteria' tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading

Weight Criteria Scale
· For each half kilo weight change since the horse’s last run a Bonus/Penalty can be applied. Using PPFA’s default settings, a runner going up 2.5kg on last start, the weight is multiplied by 0.60 = 1.5. As it is rising in weight, it would be a penalty of -1.5. If it was dropping in weight, it would be a bonus and therefore +1.5.
Margin Criteria Scale
· In the case of Margins, there are 2 sets of scales. One for winning and one for beaten margins. The same principal as the Weight Criteria Scale is applied. A beaten margin of 5.5 would be multiplied by 0.40 and a penalty of 2.2 would be applied. If it was a winning margin, multiply by 0.80 and 4.4 bonus would be applied.
Weight Adjustment if Last Start Winner
· This is a Special Weight Allowance for Last Start Winners ONLY. It is added to the Horse’s Last Carried Weight before calculating the Field Strength.


Field Strengths Bonus

Navigation: Setup > Setup Field Strength Parameters >

Field Strengths Criteria

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Field Strengths Bonus, choose FileMaintenance, System Parameters, System Field Strength Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'FS Criteria' tab so click on the 'FS Bonus' tab.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading

Bonus for Field Strength Ranking
· This bonus is applied to the BS Ratings based on the horse’s ranking in the Field Strengths if you have ticked the 'Apply to BS Rating' box. Only Rankings 1 to 6 attract a bonus.
Bonus if Weight Penalty has been Applied
· If a Weight Penalty has been applied as per the Criteria set in the System Form Analysis Parameters for Weight, the you may elect to return SOME or ALL of this penalty based on the horse’s Field Strength Ranking and its change in FS and or Weight.
· The 1st column in this section is for horses dropping in FS and Weight and the 2nd column is for horses dropping in either Weight or FS. Only 1 bonus is applied so if the horse is dropping in both, Column 1 is applied other wise column 2 is assessed.
Apply to Bet Selector Base Rating
· Tick this box if you want Bet Selector updated with the Field Strengths bonuses when you run the Update Field Strengths Bonus procedure.
IMPORTANT!
1. If the Horse has the WEIGHT PENALTY applied and DOES NOT RANK IN THE TOP 6 in the Field Strengths, the full penalty remains and 0 is returned. Any adjustment will need to be made manually as the user sees fit.
2. Users can adjust any of the settings and apply values as you choose, if you don’t wish to apply Field Strength adjustments set all the values to 0 and no bonus will be applied. Users may also wish to apply some of the Field Strength ratings or only the Top 2 in all or some of the sections, you may mix and match as you see fit and the values you apply will determine the bonus applied.


Setup Par Times

Navigation: Setup >

Setup Par Times

 Print this Topic Return to chapter overview

PPFA has developed a Race Times database which contains PAR times for GOOD/DEAD/SLOW/HEAVY for most tracks and distances in Australia, NZ and HK.

The Race Times module checks the run/track/condition of a horses past form and applies bonus/penalties based on the criteria you enter.

◆ Don't forget to check the Times Constants TAB. This TAB is not explained herein as it is fully explained on screen in the PPFA Application.

◆ To Access the 'Times Constants' TAB of the Times Analysis parameters, choose FileMaintenance, System Parameters, System Race Times Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Times Analysis' tab so simply click on the 'Times Constants' tab.

These criteria are presented in the following topics:


Times Analysis

Navigation: Setup > Setup Par Times >

Times Analysis

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

To Access the Times Analysis parameters, choose FileMaintenance, System Parameters, System Race Times Parameters, from the Top Drop-Down Menu. The default Tab Page displayed is the 'Times Analysis' tab.

The automated procedure will allocate a value as per your system parameter settings for each Ranked position you have selected. You may allocate different values.

You can also vary the PPFA calculated bonus to be applied to Bet Selector by Ticking the 'Apply Bonus Days Percentages to Bet Selector'. If this box is ticked, PPFA will adjust the bonus based on the data contained in the 'Bonus Days Percentages'. The general idea here is that you may decide to apply a smaller bonus if the horse's best run is say older than 365 days. There are 4 levels of percentage bonuses which may be applied.

PLEASE NOTE:

Users can adjust any of the settings and apply values as you choose. If you don’t wish to apply Par Times adjustments set all the values to 0 and no bonus will be applied. Users may also wish to apply some of the times ratings to all or part of the Top 6 rankings in all or some of the boxes, you may mix and match as you see fit.

NB: When processing the RaceTimes, by default, PPFA groups certain track conditions such as Fast, Good & Dead are grouped as 1 condition. If you prefer to process each of the track conditions individually, then tick the box to the right of "Do you want individual GOING calculations"

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading
Column headings explained
· Each of the column headings prefixed with 'F_' are related to filtered data meaning that the horse's form run must match the criteria.
· The 2 column headings prefixed with 'U_' are related to UNfiltered data meaning that the horse's form run is its fastest career run not taking any of the crietria of today's race into account
RM
· Race Times with Margins Adjustments. A horse’s time is determined based on the qualifying run which will be with similar conditions and distance range.
· The beaten margin is taken into account.
RMW
· Race Rimes with Margin and Weight Adjustment. The horse’s time is adjusted to take into account any weight changes from the qualifying run to today’s race eg: if the qualifying run was with 58kg and it’s carrying 54kg in today’s race, the time is re-calculated to a theoretical time it would have run if it was carrying 54kg in the qualifying run, that is, it would have run faster with the lighter weight and therefore its ranking may improve.
RMWD
· Race Times with Margin, Weight and Distance adjustments. A sliding scale is used to adjust a horse’s time based on distance change from the qualifying run to today’s race distance ( if applicable) The theory is that a horse will most likely be able to sustain speed over a shorter distance and conversely drop its speed rating over extended distance.
U_RM
· This box displays the horses best run in comparison to par at any track and distance, there are no filters applied and therefore the run may be in an unsuitable distance range compared to today’s race eg; the horse may be 1st up and the Non Filter run may be in a 2000m race The runs are displayed as a percentage, 100.00 being par, a figure below 100 indicates that the horse has bettered the par time for the qualifying run. A figure above 100 indicates that the horse has run slower than the par time. A horse that rates 1st in the times with a figure greater than 100 can still be considered as the ranking indicates that this horse is the best of a “poor lot”, these tend to be at long odds and value prices.


Times Constants

Navigation: Setup > Setup Par Times >

Times Constants

 Print this Topic Return to chapter overview

The Times Constants are used when generating the Race Times Sheets.

The prompts and 'Distance Criteria' in the screenshot should be self explanatory


Setup Position in Running

Navigation: Setup >

Setup Position in Running

 Print this Topic Return to chapter overview

The position in running function does NOT apply any bonus or penalties to the ratings. It has been designed to be used as a tool that can assist to determine the possible racing pattern of horses in today’s race. When considering PIR it is relevant to look at the runners performance at similar distances as today's race.

In the Race Day Browsers the PIR can be activated by double clicking on the required race. The runners are listed in Rated Order.

Runners are color coded to highlight to relevant distance runs as per the users System Parameter settings.

Under File Maintenance select system parameters, System Parameters PIR

To Access the System PIR Parameters, choose FileMaintenance, System Parameters, System PIR Parameters, from the Top Drop-Down Menu.

Distance Options.

This allows users to set the range of distances that will be considered when assessing runners PIR.

The distance selected will be for today’s race and is equal to or less than the distance listed in the distance column.

e.g. If selecting as the lowest distance 1100m the function will check the distance of today's race.

e.g. 1050m and compare with the first distance box of 1100m, if lower than this distance, use that criteria. If the race was over 1100m it would go to the next range and check if today's distance is equal to or less than the listed distance and so on until the distance is matched. Once this has been done, the corresponding criteria are applied.

Adj4low and Adj4high.

These fields are used to identify the distance range of the qualifying runs for today's race.

e.g. if the race is 1400m and the adj4low is 150 and adj4high 200 the races in the horses form to be considered will be all runs between 1250m and 1600m - (down 150 up 200).

When displaying, the runs are listed in distance order, all runs that fit the distance criteria as per the users settings will be highlighted in GREEN.


Setup Alarm Parameters

Navigation: Setup >

Setup Alarm Parameters

 Print this Topic Return to chapter overview

Users have the option to set a race time warning alarm for races of interest on race day.

Under File Maintenance/ System Parameters /System Parameters Alarms users can set their preferences.

Users can set from one to three warning bells as required.

Select the browser option (at the end of the alarm sound line) this will open users’ media options. Select the WAV file to be used. Most users will have Windows Media Options.

Once selected, using the up/down arrows adjust the time required (in minutes), tick the boxes to activate the number of warnings required, Verify and close.

When the race day sheets have been finalized, open the Race Day Browser with Times.

There is a column ALARMS with a tick box. Click on the first race that is required, this will highlight in Blue, using the scroll bar, activate by placing tick in box, use the down key and repeat the procedure for all races required.


Setup State Times

Navigation: Setup >

Setup State Times

 Print this Topic Return to chapter overview

Choose FileMaintenance, State Times from the Top Drop-Down Menu:

You will need to select your “Home State” so that the Race Day Browser adjusts the Jump Times for your State.

Mouse Click in the displayed window then navigate to your Home State.

Now move across to the “Is Home State” column and Click Twice or press the Spacebar to select your Home State. You must move off this row, ( Cursor UP or Cursor DOWN ), for the change to take effect. This will automatically remove any previous selection.


Setup System Colours

Navigation: Setup >

Setup System Colours

 Print this Topic Return to chapter overview

The Race Day Browser with Times highlight various rows and individual cells to highlight information deemed by PPFA to be important to the professional punter. To setup your own System Colours, from the top pull-down menu, select, File Maintenance, System Parameters, System Colours for RaceTimes Browser.

You will see from the image displayed below that setting up colours is self explanatory.

The buttons across the top row are navigation buttons which allow you to easily go to the section you want to edit.

The "Reset All " button will reset all colours to the defaults. The default colours are always displayed in the "RESET" Column.

Each row which has a BLACK background is a header row and cannot be edited.

Each colour you change will display the text in the left-hand columns of the window in your chosen colour with the RESET column always displaying PPFA's default colours. For each row, you can activate or de-activate the colour processing by ticking or un-ticking the "ACTIVE" cell.

· To edit a Background Colour, double-click in the BACK_GR column and row for the appropriate field you want to change.
· To edit a Foreground Colour, double-click in the FORE_GR column and row for the appropriate field you want to change.
· To Restore to PPFA's default colours, double-click in the RESET column and row for the appropriate field you want to reset.
· If you deactivate a colour then that data will simply display standard colours in the browser.
· To reset all colours to PFA defaults, click on the 'Reset ALL' button.


Setup PPFA Base Ratings

Navigation: Setup >

Setup PPFA Base Ratings

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

When Bet Selector imports the form files it creates a Base Rating, (TBASE) using the form runs included in the download.

PPFA allows you to use an alternative method for creating the Base Rating. To use PPFA's method, you need to enter your preferred parameters which will then be used to create the Base Rating.

PPFA's own Base Rating uses Bet Selector's TRT, (CIS), rating from each form run. It will overwrite the original rating. The following Bet Selector fields will be saved in the horse's owner field using the <E> legend.

IMP 1 character

DOK 1 character

FOK 1 character

WNF 1 character

LBD 4 characters FORMAT 99.9

TBASE 4 characters FORMAT 99.9

Include PPFA Base Ratings in Batch Updates
· If ON then PPFA BAse Ratings will be active in the Batch Updates Screen, otherwise, it will not display.
No. of Past Runs to Include
· Will not include any more form runs than the number entered here.
Exclude Form Run if Older than xxxx days
· Any form runs older than today's race date - the number of days indicated will be omitted from calculations.
Clear Bet Selector Fields
· The following Bet Selector fields have some impact on the final ranking. IMP (improver), DOK (distance ok!), FOK (form ok!), WNF (winning form), LBD (last best distance). The first time the Generate PPFA BAse Ratings is run, these fields, together with Bet Selector's TBASE (Base Rating), are saved in the horse's owner field using the legend and format described above. For each of these checkboxes that is checked, PPFA will clear the current value in Bet Selector. For each unchecked checkbox, Bet Selector's original value will be restored.
Distance, Change Down & Up for Top & 2nd Levels
· When analysing past runs, PPFA attempts to establish if the distance change from the Form Run being processed and today's race is acceptable to you. This is done by allowing the end-user to enter their own distance criteria. The first distance you enter should be the lowest distance to apply the range to and each next distance should be higher until the last distance whose Distance should be equal to the value entered in the 2nd Last Distance + 1.

When checking, PPFA compares if the RACE DISTANCE is less than or equal to the Distance Value entered, commencing with the 1st Distance then applies the 'upper' and 'lower' range. If the Race Distance is GREATER than the value entered in the Last Distance, then these criteria will apply.

PPFA maintains a Hi/Lo Distance Range for Level 1 and Level 2 Distance Criterias for each race and then attempts to match each Form Run. The Form Run is then qualified as a Level 1, Level 2 or if the Form Run Distance is not matched with either of the Hi/Lo ranges a Level 3.
PPFA then calculates the new Base Rating matching the Qualifier with the appropriate percentages for each Form Run. The percenatge is applied to Bet Selector's TRT rating.
No. of runs to use when generating Base Rating
· After gathering, qualifying and sorting the horse's past form runs, how many of these runs should be used when calculating the new Base Rating.
Percentages
· After gathering, qualifying and sorting the horse's past form runs, what percentage of the form run's TRT, (CIS), should be used when calculating the new Base Rating.


Update Functions

Navigation: »No topics above this level«

Update Functions

 Print this Topic Return to chapter overview

PPFA 'Update Functions' are generally procedures which update the data in Bet Selector. They are written as individual procedures to allow the end-user to make selective updates. The topics included in this chapter will introduce you to the purpose of each procedure.


Batch Updates

Navigation: Update Functions >

Batch Updates

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

Batch Updates is the engine room of PPFA. This screen offers all of the procedures that you would normally run to generate the Race Day Browsers. The Auto Group Select offers you the ability to automatically select the appropriate options using 1 click. This group acts like a toggle switch. When you click a button in this group, all other buttons in the group will switch off and depending whether the button you clicked is ON or OFF the appropriate update procedures above will be switched ON or OFF.

Click the [image] to show the detail below each heading
Click the [image] to hide the detail below each heading

Default Download Tote

· Displays available totes for the "Download Tote" procedure. The default tote is the tote you selected in the 'File Maintenance', 'System Parameters', 'System Form Analysis', 'System TAB' window.
Download BestForm
· Takes you directly to Bet Selector's "Download BestForm" where you can choose the meetings you want to download.
Select Date Range
· Displays available dates with today’s date highlighted. Click ok or select your date range then click ok.
· You must "Select Date Range" before "Process Date Range" is allowed.
Process Date Range
· You must have at least 1 update procedure and a valid date range selected before "Process Date Range" is allowed.
· Clicking on this button will execute each of the procedures selected. During processing a progress window will display. As each procedure completes, an appropriate message will display to the right of the option in the Batch Updates screen
[Auto Group Select] - Daily DataBase Updates
· This option activates all the PPFA functions that need to be run to update the PPFA databases. You would normally only need to run these options once for each date range. Only options that users are licensed to run will be selected. If users do not wish to run any particular function, untick the box. Included is the Update horse form New function that ensures the latest data has been added to the database prior to running today’s races
[Auto Group Select] - Daily Procedures
· This option activates all the PPFA functions that need to be run to generate the Race Day/Times Browsers. You would normally run these options once for each date range. Reasons for re-running these options would be Scratchings, Track Condition Changes, Adjustments to the System Parameters after having run these procedures for the day, Changes to the PPFA Databases after having run these procedures for the day.
[Auto Group Select] - Procedures for Selected Races
· During the day track conditions may alter, users can now select the races required and only run the procedures over the selected races. The functions that will be run are in highlighted in BLUE
1. Tick procedures for selected races
2. Click selected races.
3. Browser opens displaying today's meetings. Choose 'Clear Selections' to remove any previously selected races. Alternatively, Double-Clicking on a race in the 'Selected Races' browser will remove it form the 'Selected Races'.
4. Select the meeting required by double click on the name of meeting. Races will be displayed in the 'Races for' browser.
5. In the GOING column double click on the race/races that you wish to change (one at a time). A drop down menu opens, select the new track conditions as required.
NB In ver 5, you now only need to change the track condition once or alternatively, select the first race for which you want to make a track condition change then click on the "Batch Process" button. In the resulting window, you can select the track condition then click the radio buttons of your choosing.

"Add to Selected Races" adds the races to the "Selected Races Window"

"Clear Selected Races" will clear the "Selected Races Window" before adding the new races

"Process All Races" will process ALL races for the selected Meeting

"Process form Current" will process from the race you selected before clicking the "Batch Process" button

6. Double clicking on a race in the Racename column will add the selected race to the 'Selected Races' in the bottom browser
7. CLOSE this window when completed
8. Cick Process Selected Races. A display box will indicate that you are about to update, continue.
9. This procedure may be required several times for various meetings throughout the day, repeat the procedures BUT when selecting new races, CLEAR any previous races listed in the browser by clicking CLEAR SELECTIONS.
[Auto Group Select] - Procedures for End of Day
· Once all the races have been completed this option will download the results for viewing In Race Times not filtered RM.dbf (under file maintenance) and the preset filters can be applied to view the performance of the runners that were time ranked.
· This function can be run at the start of the day if users wish to have a list of runner’s highlighted based on number of times it has appeared in the time rankings and its rated position. Users can select options under pre set filters
[Auto Group Select] - Historical Processing
· By selecting this option users may re process PAST data for a selected date range.
· Tick historical processing option, select date range, enter upper and lower dates and then process date range.
· Please note that ALL functions will be applied except Black Book option as this changes daily and past comments are not retained.
· It is important to note that it is not prudent to process past data over 6 months old, the variables in the times will have changed and this has a significant bearing on the rating. It must also be noted that if at any stage the process encounters corrupted data it will STOP.
· If you are contemplating run historical data, please ensure that you check all the meetings in BS for the period under consideration and delete the possible meetings that can cause problems. Experience has shown that most meetings with less than 7 races are generally of poor quality and are in most cases NON TAB meetings (picnics etc) In most cases this will mainly apply to users of BESTFORM as the download includes all these meetings. Once you have downloaded and run update Horse Form NEW, it may be prudent to delete these meetings as they have caused issues in the past.


Update Horses NEW

Navigation: Update Functions > Batch Updates >

Update Horses NEW

 Print this Topic Return to chapter overview

Scan all horses from the meetings of the selected date range and update the Horse DataBase.

This database is used to cross reference for duplicate horse names from different countries...

e.g. "A Dollar Short" races in Australia and New Zealand and needs to be flagged whether a duplicate horse or not. If the same horse is racing in both countries then it is flagged as a NON Duplicate, otherwise, it is a Duplicate.

Using this database, PPFA can extract the appropriate horseform when processing updates.


Update Horse Form NEW

Navigation: Update Functions > Batch Updates >

Update Horse Form NEW

 Print this Topic Return to chapter overview

This function will update the Horse Form Database with the latest form downloaded in Bet Selector. The difference between this function and the Update Horse Form ALL is that this function only adds any horseform records since your last update whereas the Update Horse Form ALL totally re-creates the PPFA HorseForm database.


Update Horse Form w Trainers ALL/NEW

Navigation: Update Functions > Batch Updates >

Update Horse Form w Trainers ALL/NEW

 Print this Topic Return to chapter overview

This procedure will update the Horse Form Database with any Trainers missing from the HorseForm Database.

This procedure is required as the downloaded data only includes the Trainer names for today's races. All historical form excludes the Trainer name for past runs.

This procedure does not require any parameters such as date ranges as it is totally dependant on any missing Trainer names in the HorseForm database.

This procedure would normally be run after "Updating HorseForm NEW".


Update Horse Form w Field Strengths - NEW

Navigation: Update Functions > Batch Updates >

Update Horse Form w Field Strengths - NEW

 Print this Topic Return to chapter overview

This procedure will update the Horse Form Database with the appropriate PPFA Field Strength for each form run.

The Field Strength for each Form Run is then displayed in the RaceTimes Browser's HorseForm lookup allowing you to quickly see what type of races this horse has run in the past.


Generate PPFA Base Ratings

Navigation: Update Functions > Batch Updates >

Generate PPFA Base Ratings

 Print this Topic Return to chapter overview

This procedure will generate PPFA's own Base Rating using Bet Selector's TRT, (CIS), rating from each form run. It will overwrite the original rating. The following Bet Selector fields will be saved in the horse's owner field using the <E> legend.

IMP 1 character

DOK 1 character

FOK 1 character

WNF 1 character

LBD 4 characters FORMAT 99.9

TBASE 4 characters FORMAT 99.9

For an overview of PPFA's Base Rating, see Setup, Setup PPFA's Base Ratings Parameters.


Update Market Percentages

Navigation: Update Functions > Batch Updates >

Update Market Percentages

 Print this Topic Return to chapter overview

This procedure will update the Market Percentages stored in Bet Selector.

The values stored will be read from the Market Percentages Database, MPC.dbf, which you can edit using File Maintenance. See Steve's workbook on this topic for more information.


Download Tote

Navigation: Update Functions > Batch Updates >

Download Tote

 Print this Topic Return to chapter overview

This procedure will connect to OzBet or UniTab and update today's meetings with relevant data as per the user selected options.
The tote used will be the tote selected in the "Default Download Tote" selection box at the top of the "Batch Updates" screen.


Reverse Updates

Navigation: Update Functions > Batch Updates >

Reverse Updates

 Print this Topic Return to chapter overview

This facility has been made available so that users may remove all adjustments and restore the original base ratings to Bet Selector. To implement, you need to run this procedure and then go into Bet Selector and go to Edit / Scr and click next through ALL the races and ALL meetings to which you have applied this function. Alternatively, you can choose to run the Remove Option on a daily basis, and then you can restore the ratings by running the Bet Selector Program and then Race Tab Live which will re-adjust the markets.


Update BS w Jockey and Last Run

Navigation: Update Functions > Batch Updates >

Update BS w Jockey and Last Run

 Print this Topic Return to chapter overview

Date Range Required

This function will implement all Jockey Penalties and make any adjustments for form based on days since last run as per the System Parameter Criteria


Update BS w Trainer Bonuses

Navigation: Update Functions > Batch Updates >

Update BS w Trainer Bonuses

 Print this Topic Return to chapter overview

Update BS w Trainer Bonuses

This function will implement all Trainer Bonus/Penalties.


Trainer/Jockey Combination - Bonus/Penalties

Navigation: Update Functions > Batch Updates >

Trainer/Jockey Combination - Bonus/Penalties

 Print this Topic Return to chapter overview

Using the procedure for creating Trainer/Jockey combinations you may assign Jockeys to Trainers and set a Bonus or Penalty for when a horse has that combination.

This update procedure will identify any Trainers you have setup the Trainer/Jockey database and if an associated Jockey is riding the horse then the Bonus or Penalty is applied.

NB: See Steve's Workbooks for more information.


Update BS w Low Grade Track Penalties

Navigation: Update Functions > Batch Updates >

Update BS w Low Grade Track Penalties

 Print this Topic Return to chapter overview

Date Range Required

As many are aware, BS ratings on low grade tracks such as picnic meetings, non tab etc can appear higher than they should, this function will impose a track penalty to the appropriate tracks to bring the base rating in line with a more acceptable figure.


Update Horse Form Analysis

Navigation: Update Functions > Batch Updates >

Update Horse Form Analysis

 Print this Topic Return to chapter overview

Date Range Required

This will implement all the criteria you have set up in the System Form Analysis Parameters


Update Barrier Positions

Navigation: Update Functions > Batch Updates >

Update Barrier Positions

 Print this Topic Return to chapter overview

Date Range Required

This will adjust the BP to the actual gate after scratchings.


Update Barrier Bonus Penalties

Navigation: Update Functions > Batch Updates >

Update Barrier Bonus Penalties

 Print this Topic Return to chapter overview

Date Range Required

This will implement all the criteria you have set up in the Barriers Database. PPFA provides a default Barriers Database with the installation program. Bonus/Penalties are given to runners as applicable at today’s track. The significance of having a good barrier draw is emphasized in testing over 60,000 races and runners drawn 1-7 won over 70 % of the races. Each track has been allocated penalties and bonus for the different barriers on an individual basis rather than general across the board assessment. After running this function, go to File Maintenance, Form Analysis –Barriers. Here you will see any track and distance that is NOT already in the data base. Please make appropriate adjustments to your Barriers Database using File Maintenance and re-run this function if you have made adjustments to the Barriers Database.


Update Weight Adjustment

Navigation: Update Functions > Batch Updates >

Update Weight Adjustment

 Print this Topic Return to chapter overview

Date Range Required

This function will apply the Weights Penalties for horses carrying big weights as per the criteria set in the System Form Analysis Weights TAB.


Update BlackBook Bonus Penalty

Navigation: Update Functions > Batch Updates >

Update BlackBook Bonus Penalty

 Print this Topic Return to chapter overview

Date Range Required

When entering your Blackbook runs, you have the ability to also enter a Bonus/Penalty for the horse’s next run. If this value is not ZERO and the horse is running today, then the Blackbook Bonus/Penalty is applied.


Generate Field Strengths

Navigation: Update Functions > Batch Updates >

Generate Field Strengths

 Print this Topic Return to chapter overview

Single Date Range Required

This will prepare the Field Strengths Data for the selected Date Range. This procedure does not change the Bet Selector Ratings. The data generated is included in the Race Data Browser for your manual perusal and adjustment.


Update Field Strength Bonuses

Navigation: Update Functions > Batch Updates >

Update Field Strength Bonuses

 Print this Topic Return to chapter overview

Single Date Range Required

Field Strength bonuses applied to Bet Selector as per System Parameter Settings.


Generate Race Times Sheets

Navigation: Update Functions > Batch Updates >

Generate Race Times Sheets

 Print this Topic Return to chapter overview

Single Date Range Required

Race Time rankings calculated based on RaceTimes Database.


Update Race Times Bonuses

Navigation: Update Functions > Batch Updates >

Update Race Times Bonuses

 Print this Topic Return to chapter overview

Single Date Range Required

Race Times bonuses applied to Bet Selector as per System Parameter Settings.


Generate Race Day Sheets

Navigation: Update Functions > Batch Updates >

Generate Race Day Sheets

 Print this Topic Return to chapter overview

Single Date Required

After ALL of the above functions have been completed return to PPFA and run Generate Race Day Sheets for the selected day. If at any stage of the day you make any adjustments to the ratings in Bet Selector, you MUST re-generate the Race Day Sheets to reflect the new Market ratings.


OLD Updates Menu

Navigation: Update Functions >

OLD Updates Menu

 Print this Topic Return to chapter overview

These are the procedures in the original Updates Menu [OLD MENU]


Update PPFA HorseForm - NEW

Navigation: Update Functions > OLD Updates Menu >

Update PPFA HorseForm - NEW

 Print this Topic Return to chapter overview

This function will update the Horse Form Database with the latest form downloaded in Bet Selector. The difference between this function and the Update Horse Form ALL is that this function only adds any horseform records since your last update whereas the Update Horse Form ALL totally re-creates the PPFA HorseForm database.


Update Jockeys

Navigation: Update Functions > OLD Updates Menu >

Update Jockeys

 Print this Topic Return to chapter overview

Adds NEW Jockeys to Database ( these will generally be new apprentices, overseas jockeys )

After selecting this option, a window will open with To and From dates listed. Select the date range you wish to process and run. This will scan fields for any previously unlisted riders and add them to the Jockeys database. To check if any jockeys have been added to the Jockeys database, once this procedure has completed, go to File Maintenance, Jockeys, Filters, New Jockeys. The jockeys now displayed in the data browser will be only NEW jockeys. You can now adjust the default ratings with penalty ratings for all venues. When you have made the changes, you should uncheck the IS_NEW checkbox which is one of the last columns of the browser. You will need to use the slider in the window or maximise the window to see this column. When you uncheck this checkbox, the record will disappear from view as your current filter is set for NEW jockeys only and, as you have now changed the jockey to NOT new, it will no longer display. Alternatively, you may choose not to change New Jockeys from True to False and run the Reset Jockeys from NEW to NOT NEW option in one of the Update Selections Menus. Reset Jockeys from NEW to NOT NEW saves you the trouble of changing each record as you go by automatically scanning ALL new jockeys and resetting them to NOT new.

When editing in the File Maintenance Browser, don't forget to switch ON the EDIT_MODE so you can make the necessary changes or alternatively, click the EDIT button to make your changes.


Update Trainers

Navigation: Update Functions > OLD Updates Menu >

Update Trainers

 Print this Topic Return to chapter overview

Adds NEW Trainers to Database

After selecting this option, a window will open with To and From dates listed. Select the date range you wish to process and run. This will scan fields for any previously unlisted trainers and add them to the Trainers database. To check if any trainers have been added to the Trainers database, once this procedure has completed, go to File Maintenance, Trainers, Filters, New Trainers. The trainers now displayed in the data browser will be only NEW trainers. You can now adjust the default ratings with penalty ratings for all venues. When you have made the changes, you should uncheck the IS_NEW checkbox which is one of the last columns of the browser. You will need to use the slider in the window or maximise the window to see this column. When you uncheck this checkbox, the record will disappear from view as your current filter is set for NEW trainers only and, as you have now changed the trainer to NOT new, it will no longer display. Alternatively, you may choose not to change New Tarainers from True to False and run the Reset Trainers from NEW to NOT NEW option in one of the Update Selections Menus. Reset Trainers from NEW to NOT NEW saves you the trouble of changing each record as you go by automatically scanning ALL new trainers and resetting them to NOT new.

When editing in the File Maintenance Browser, don't forget to switch ON the EDIT_MODE so you can make the necessary changes or alternatively, click the EDIT button to make your changes.


Update Missing Jockeys

Navigation: Update Functions > OLD Updates Menu >

Update Missing Jockeys

 Print this Topic Return to chapter overview

This will scan the race fields and generate a list of horses without an allocated jockey. When you run this procedure, a FROM and TO date is requested. On completion, you may check for any Missing Jockeys in the Apply Missing Jockeys in under the Updates Menu at the top of the screen.

You will then need to check TAB for -MR- and go to Bet Selector and manually adjust the jockey rating in View past form/edit ratings. The BLANK Jockey Name on Bet Selector will be replaced with the text “-MR-”.


Update BS w Jockey and Last Run

Navigation: Update Functions > OLD Updates Menu >

Update BS w Jockey and Last Run

 Print this Topic Return to chapter overview

Date Range Required

This function will implement all Jockey Penalties and make any adjustments for form based on days since last run as per the System Parameter Criteria


Update BS w Trainer Bonuses

Navigation: Update Functions > OLD Updates Menu >

Update BS w Trainer Bonuses

 Print this Topic Return to chapter overview

Update BS w Trainer Bonuses

This function will implement all Trainer Bonus/Penalties.


Update BS w Low Grade Track Penalties

Navigation: Update Functions > OLD Updates Menu >

Update BS w Low Grade Track Penalties

 Print this Topic Return to chapter overview

Date Range Required

As many are aware, BS ratings on low grade tracks such as picnic meetings, non tab etc can appear higher than they should, this function will impose a track penalty to the appropriate tracks to bring the base rating in line with a more acceptable figure.


Update Horse Form Analysis

Navigation: Update Functions > OLD Updates Menu >

Update Horse Form Analysis

 Print this Topic Return to chapter overview

Date Range Required

This will implement all the criteria you have set up in the System Form Analysis Parameters


Update Barrier Bonus Penalties

Navigation: Update Functions > OLD Updates Menu >

Update Barrier Bonus Penalties

 Print this Topic Return to chapter overview

Date Range Required

This will implement all the criteria you have set up in the Barriers Database. PPFA provides a default Barriers Database with the installation program. Bonus/Penalties are given to runners as applicable at today’s track. The significance of having a good barrier draw is emphasized in testing over 60,000 races and runners drawn 1-7 won over 70 % of the races. Each track has been allocated penalties and bonus for the different barriers on an individual basis rather than general across the board assessment. After running this function, go to File Maintenance, Form Analysis –Barriers. Here you will see any track and distance that is NOT already in the data base. Please make appropriate adjustments to your Barriers Database using File Maintenance and re-run this function if you have made adjustments to the Barriers Database.


Update Barrier Positions

Navigation: Update Functions > OLD Updates Menu >

Update Barrier Positions

 Print this Topic Return to chapter overview

Date Range Required

This will adjust the BP to the actual gate after scratchings.


Update Weight Adjustment

Navigation: Update Functions > OLD Updates Menu >

Update Weight Adjustment

 Print this Topic Return to chapter overview

Date Range Required

This function will apply the Weights Penalties for horses carrying big weights as per the criteria set in the System Form Analysis Weights TAB.


Update BlackBook Bonus Penalty

Navigation: Update Functions > OLD Updates Menu >

Update BlackBook Bonus Penalty

 Print this Topic Return to chapter overview

Date Range Required

When entering your Blackbook runs, you have the ability to also enter a Bonus/Penalty for the horse’s next run. If this value is not ZERO and the horse is running today, then the Blackbook Bonus/Penalty is applied.


Generate Field Strengths

Navigation: Update Functions > OLD Updates Menu >

Generate Field Strengths

 Print this Topic Return to chapter overview

Single Date Range Required

This will prepare the Field Strengths Data for the selected Date Range. This procedure does not change the Bet Selector Ratings. The data generated is included in the Race Data Browser for your manual perusal and adjustment.


Update Field Strength Bonuses

Navigation: Update Functions > OLD Updates Menu >

Update Field Strength Bonuses

 Print this Topic Return to chapter overview

Single Date Range Required

Field Strength bonuses applied to Bet Selector as per System Parameter Settings.


Generate Race Times Sheets

Navigation: Update Functions > OLD Updates Menu >

Generate Race Times Sheets

 Print this Topic Return to chapter overview

Single Date Range Required

Race Time rankings calculated based on RaceTimes Database.


Update Race Times Bonuses

Navigation: Update Functions > OLD Updates Menu >

Update Race Times Bonuses

 Print this Topic Return to chapter overview

Single Date Range Required

Race Times bonuses applied to Bet Selector as per System Parameter Settings.


Generate Race Day Sheets

Navigation: Update Functions > OLD Updates Menu >

Generate Race Day Sheets

 Print this Topic Return to chapter overview

Single Date Required

After ALL of the above functions have been completed return to PPFA and run Generate Race Day Sheets for the selected day. If at any stage of the day you make any adjustments to the ratings in Bet Selector, you MUST re-generate the Race Day Sheets to reflect the new Market ratings.


Reset Jockey Status

Navigation: Update Functions > OLD Updates Menu >

Reset Jockey Status

 Print this Topic Return to chapter overview

Changes ALL NEW Jockeys to NOT NEW


Reset Trainer Status

Navigation: Update Functions > OLD Updates Menu >

Reset Trainer Status

 Print this Topic Return to chapter overview

Changes ALL NEW Trainers to NOT NEW


Update Horse Form ALL

Navigation: Update Functions > OLD Updates Menu >

Update Horse Form ALL

 Print this Topic Return to chapter overview

This will Delete the HorseForm Database and re-create it based on the dates set in the System Parameters. Be aware that this procedure may take up to 90 mins depending on the amount of past form you have and the power of your computer.


Update Horse Form w Trainers ALL/NEW

Navigation: Update Functions > OLD Updates Menu >

Update Horse Form w Trainers ALL/NEW

 Print this Topic Return to chapter overview

This procedure will update the Horse Form Database with any Trainers missing from the HorseForm Database.

This procedure is required as the downloaded data only includes the Trainer names for today's races. All historical form excludes the Trainer name for past runs.

This procedure does not require any parameters such as date ranges as it is totally dependant on any missing Trainer names in the HorseForm database.

This procedure would normally be run after "Updating HorseForm NEW".


Reverse ALL PPFA Changes to Bet Selector

Navigation: Update Functions > OLD Updates Menu >

Reverse ALL PPFA Changes in Bet Selector

 Print this Topic Return to chapter overview

This procedure will Reverse all currently applied PPFA Bonus/Penalties in Bet Selector.

NB: PPFA Generated Base Ratings are NOT reset.

Total reset of the data can be achieved by deleting the meeting/s in question and re-downloading them.


Reset Jockey Weights to Published Weights

Navigation: Update Functions > OLD Updates Menu >

Reset Jockey Weights to Published Weights

 Print this Topic Return to chapter overview

When all of the Jockey Updates have been processed, the 'Published Weight' is adjusted to reflect the actual weight being carried by the horse.

This procedure will reset the Weight to the 'Published Weight'.


Race Day Browsers

Navigation: »No topics above this level«

Race Day Browsers

 Print this Topic Return to chapter overview

PPFA has 3 Race Day Browsers;

1. The original 'Lightweight' Browser - No longer required
2. The RaceDay Browser with TImes - 'RaceTimes Browser'
This is the browser of choice where you can see the Races, Runners, RaceTimes and Field Strengths all on the 1 screen.
3. The 'Edit Browser' - Allows you to adjust an individual horse's rating with instant updating of the Bet Selector data and the browser re-organising the fields into the newly ranked order.

Within the browsers are sub-browsers. Each sub-browser displays groups of data such as, RACES, RUNNERS, FIELD STRENGTHS, TIMES etc. Furthermore, double-clicking on some fields/rows will open another window containing sub-browsers with more information such as HORSEFORM, JOCKEY stats, TRAINER stats, POSITION IN RUNNING etc.

In most sub-browsers, you can choose which columns from the underlying database you wish to display and also choose the order in which those columns are displayed. If you save the column layout then it can be restored either as your default or on demand.

You can choose your columns by clicking on the Header Row of the sub-browser ..or..clicking on one of the setup buttons when they are displayed. Below are the buttons displayed whilst the RaceDay Browser's HorseForm window is visible.

When these buttons are not displayed in the sub-browser, you can click on the Header Row which will present a dialog similar to that displayed above.

The buttons are self explanatory, however, when you click on the "Choose...." button a screen similar to the following will display.

This button will add the selected field in the "Available Fields" to the "Selected Fields"

This button will remove the selected field in the "Selected Fields"

This button will add ALL fields in the "Available Fields" to the "Selected Fields"

This button will remove ALL fields from "Selected Fields"

You may now organise the fields into the order you want by individually selecting them in the "Selected Fields" window then clicking on the "UP" or "DOWN" button to move them up or down in the list.

You can also organise your columns directly in the sub-browser by dragging the HEADER to the position you want. Don't forget to "Save Current Field Layout" if you want to re-use the layout.

If you want your "Saved Layouts" to automatically display each time you open a particular browser then you need to switch your desired options ON in the System Setup, Setup after Installs.


Race Day Browser

Navigation: Race Day Browsers >

Race Day Browser

 Print this Topic Return to chapter overview

Race Day – Race Day Browser

This window displays 2 browsers, RACES and RUNNERS. The data displayed is the result of your latest “Generate Race Day Sheets” procedure.

All races are displayed in Jump Time Order according to your selected “Home State”.

The columns displayed in each browser can be changed by using the “Choose Columns” button in either the “Races” or “Runners” group of buttons. A list box will open and give you options to select or remove the columns you wish to view.

The “Choose Fields” Window has the following buttons:

> Add an AVAILABLE Field

>> Add ALL AVAILABLE Fields

< Remove a SELECTED Field

<< Remove ALL SELECTED Fields

UP Move SELECTED field UP in the order

DOWN Move SELECTED field DOWN in the order

You may save your new column selections and restore either the DEFAULTS ( PPFA’s ) or YOUR SAVED COLUMNS at any time. Your selections are permanently saved and may be restored again in the future.

RACES BROWSER

Colours: Each row has an alternative colour

Your selected row has a different colour

The first five columns have a different colour to indicate that the race is selected for

printing or betting.

The only column you may edit is the PRNT column where you may flag the races you want to print or bet in. Use the Spacebar or Click Twice to change the checkbox.

You may navigate to any Row/Race and the appropriate fields will be displayed in the Runners Browser.

RUNNERS BROWSER

This browser has similar features to those described above with the following additions

The screen display is colour coded to highlight the top 2 rated runners, 3rd and 4th rated runners and then for the benefit of novelty punters, 5th-8th are also colour coded for easier selection.

In addition, the user has the ability to view a runners form, ( only if the Horse Form Update procedures have been run ), on screen by double-clicking on the runner or adding a Black Book comment by changing the status of the checkbox.

It is important to note that depending on how you access this browser, the horse’s form or the Black Book checkbox may not respond. Simply moving off the row or pressing the UP ARROW key will correct this.

FIELD STRENGTH BROWSER ( In the Race Day Browser )

Clicking on any heading in the RUNNERS BROWSER will open the Field Strength Browser.

FsRanking = Position of Ranking

FsAdjustment = Net result of adjustments for Weight Changes and Margins

Margin = Margin Last Start (-1.5) = Winner by 1.5L, 2.6 = Beaten 2.6L

Margin Adj = Calculation as per scale set in System Parameters

Fs2Day = Field Strength of today's race

FsPrv = Field Strength Previous Start

FsDiff = Field Strength Difference between the Last Run and today

Wgt2Day = Weight Carried today

LstWgt = Weight Carried Last Start

WgtChg = Difference in Weight from Last Start to today’s weight

Wgt Adj = Calculation as per scale in System Parameters for Weight Change

FsR1Adj = Last Run Adjustment

HORSE FORM BROWSER:

Double-Clicking on a horse will open a window displaying all the details of its form. This window presents the user with the same ability to select the columns displayed as described above.

BLACKBOOK

The Black Book function has been integrated with the Race Day Browser to allow runners to be selected after the race by checking the box next to each runner. The horse is then stored in the Black Book Database with if you add one or without if you don’t add Comment and Bonus/Penalty and will automatically appear checked when this horse is racing next. Clicking on that horse in the Runners Browser will display the Black Book Comment. If, after the current race, the user does not wish to retain the runner in the Black Book, simply clearing the checkbox will remove the horse from the Black Book database. If you wish to retain, simply leave checked and it will be highlighted at its next run.

The Bonus/Penalty can be automatically applied if the horse is running on the day you choose when Running the “Update Selections”, “Update BS w Blackbook Entries”.

When making the comments in the race day browser, highlight the Black Box Checkbox for the runner required, then hit the SPACE bar which will tick the box. Now press ENTER key. Input box opens to allow comment to be entered and Bonus/Penalty to be entered. After comment is made, enter Bonus using a + key to prefix the number or a – key to prefix a Penalty. When completed click OK and details are added to database. Once Black Book adjustments have been made on the day, runners can be removed in 2 ways, within the race day browser highlight the Ticked boxes, hit space bar, tick will be removed and runner removed from database. Other option, File Maintenance, Black Book, Preset Filters, set to racing2day, Edit mode, set to Active. You can then delete all the records by highlighting and clicking delete button. This function should only be performed AFTER the Blackbook adjustments have been made.


Race Day Browser w Times

Navigation: Race Day Browsers >

Race Day Browser w Times

 Print this Topic Return to chapter overview

Race Day – Race Times Analysis Browser

PPFA has combined the ratings browser and the Field strength browser with the Four (4) times browsers so that users can view all the data on one screen for analysis.

After running the PPFA functions, open the Race Day Browser with Times.

Users now have the option to set the fields for display in any order you choose, double click on any heading in the Browser you wish to set, A box will open giving you the options to select your settings, once you have made your selections SAVE CURRENT FIELD LAYOUT, each time you open the browser it will have the default settings, simply click on any heading and select RESTORE SAVED FIELD LAYOUT.

Please note: The 1st time you open the Race Day Browser with Times you will need to choose your fields to display then click the option to Save current Field layout. All subsequent uses with simply require the option to restore saved field layout.
NB: Ver 5 allows for the automatic restoration of your default views.

View the horses form by double clicking on the name of the Horse in the Runners & Ratings Window.

View the Position in Running by double clicking on the Race in the Races Window.

Edit the BlackBook details by clicking on the "BB" button to the right of the BlackBook comment.

Add or delete a BlackBook Comment by Ticking or -Unticking the BB Box in the Horses window.

Checkout the System Colours for an explanation of the different colors


Races

Navigation: Race Day Browsers > Race Day Browser w Times >

Races

 Print this Topic Return to chapter overview

The 'Races Browser' within the 'Race Day Browser w Times' displays today's races in jump time order according to the local time in your selected state.

If you want a reminder before the 'Jump' time then check the 'ALARM' checkbox adjacent to the race.


Runners

Navigation: Race Day Browsers > Race Day Browser w Times >

Runners

 Print this Topic Return to chapter overview

The 'Runners Browser' within the 'Race Day Browser w Times' displays the runners for the selected race in rated order.


Times Filtered RM RMW & RMWD

Navigation: Race Day Browsers > Race Day Browser w Times >

Times Filtered RM RMW & RMWD

 Print this Topic Return to chapter overview

The 'Times Browsers' (4) within the 'Race Day Browser w Times' displays today's runners listed in order of the best time ranking for past from runs.

There are 4 'Times Browsers' and they can be identified by the heading colour and the RANK_??? column.

The browsers with the pink headings (3), are 'qualified' runs which means that the track condition of today's race must be similar to today's race. This is the RANK_RM browser.

The RANK_RMW has been adjusted for distance.

The RANK_RMWD has been adjusted for distance and weight.


Times UN-Filtered RM

Navigation: Race Day Browsers > Race Day Browser w Times >

Times UN-Filtered RM

 Print this Topic Return to chapter overview

The 'Times Browsers' (4) within the 'Race Day Browser w Times' displays today's runners listed in order of the best time ranking for past from runs.

There are 4 'Times Browsers' and they can be identified by the heading colour and the RANK_??? column.

The browser with the light blue heading (1), displays the horses fastest run.

The RANK_RM - NO adjustments for weight or distance.


Field Strengths

Navigation: Race Day Browsers > Race Day Browser w Times >

Field Strengths

 Print this Topic Return to chapter overview

The 'Field Strengths Browser' within the 'Race Day Browser w Times' displays today's runners listed in Field Strength Adjustment order.

The 'Field Strength Adjustment' is a special internal PPFA calculation and is based on PPFA's Filed strength applied to each race including today's race.


Edit Browser

Navigation: Race Day Browsers >

Edit Browser

 Print this Topic Return to chapter overview

This browser is similar to the Race Times Browser with some subtle differences. The major of the differences is that the Races are listed by Track then by Race No. so that you can concentrate on 1 meeting at a time.

The 'Edit Browser' will allow you to easily make any manual adjustments that users feel are appropriate. In the past these manual changes required continual switching between Bet selector and PPFA screens, adjusting the base rating in Bet Selector and then having to re generate the race day sheets in PPFA with the new rated order and having to repeat the process every time an adjustment was made.

Using the Edit Browser, you can make manual adjustments to the TBASE and the rankings for the whole field will automatically re-calculate as soon as the adjustment is committed. Users will now simply make the adjustment in the EDIT BROWSER and this will automatically be reflected in Bet Selector and PPFA Race Day Sheets. This allows users to view all the relevant information required to make an informed decision on one screen with the Field Strengths and Times boxes displayed, the Black Book comment available with all comments listed and all information displayed in the columns selected by users as being important in their analysis. As the manual adjustments are made, the ratings are re calculated and displayed immediately (these are also changed in Bet selector and in the Race day Sheets automatically).

The time saving and the ease in making manual adjustments are significant.

To make adjustments, change the TBASE value of the horse you wish to adjust. As soon as your adjustment is committed, the ratings will re-calculate and the MAN_ADJ column will reflect the amount by which you have adjusted the TBASE.

The original Ranking is displayed in the RANK column and then adjusted as manual changes are made. All manual adjustments are highlighted in GREEN for a plus and RED for a minus to the original base rating. The base rating is highlighted in YELLOW.

Users can set up which columns of data they choose to have displayed


Running PPFA Procedures

Navigation: »No topics above this level«

Running PPFA Procedures

 Print this Topic Return to chapter overview

RUNNING PPFA

To implement PPFA adjustments the following procedure is advised:

1. In Bet selector, after downloading the appropriate date/meetings, run Race TAB live to get track conditions and scratchings

2. Close bet selector

3. Run PPFA

4. From the PPFA Drop-Down Menu at the top of your PPFA Screen, choose Updates, Update Selections and run the following procedures: - Take care to select the correct date range.

4.1. Selection 1: Update PPFA Horseform NO Date Range Required

Selection 2: Update Jockeys Date Range Required

Selection 3: Update Trainers Date Range Required

Selection 4: Update Missing Jockeys Date Range Required

After running the above menu items,

4.1.1. The PPFA HorseForm File will be updated with any new records found from your latest Bet Selector Form Downloads. This procedure only needs to be run once after downloading any new Meetings from within Bet Selector.

4.1.2. The Jockeys database will be updated with any Jockeys allocated to ride within the date range you selected that do not exist in your Jockeys Database. You may want to examine the Jockeys database where you can View by New Jockeys allowing you to make the necessary adjustments if New Jockeys exist.

4.1.3. The Trainers database will be updated with any nominated Trainers within the date range you selected that do not exist in your Trainers Database. You may want to examine the Trainers Database where you can View by New Trainers allowing you to make the necessary adjustments if New Trainers exist.

4.1.4. The Missing Jockeys database will be updated with the names of any horses which have not at this time been allocated a rider. It will also replace the BLANK JOCKEY NAME of the jockey in the Bet Selector data to “-MR-”. When viewing data in Bet Selector and you notice a Jockey Name of “-MR-” then you know that PPFA has made this adjustment. This is done to prevent Race Tab Live Updates from resetting the jockey adjustments after you have made changes. You may want to examine the Missing Jockeys Database ( File Maintenance Menu ) where you can print a list. You will then need to get the Missing Jockeys from TAB information and return to PPFA, then from the Menu, select Updates, Apply Missing Jockeys. A list of Runners with Missing Jockeys will be listed on the Left of the Page with the Jockey Data Base on the Right Select the first horse whose rider is missing, then find the Allocated Jockeys name in the Jockey List. A Double-Click in the Jockey List will assign the Jockey to the Missing Jockeys list and automatically progress the Missing Jockeys list to the next horse. ( Once the jockey has been updated the row will be GREEN, WHITE rows indicate that the rider has not been updated. ) Scroll or page up/down to find jockey name as required. If you click in the Surname column of the Jockeys List and type the name you are looking for, a progressive search bar will appear on the bottom of the list. Pressing RETURN key will execute the search.

Once all Missing Jockeys have been entered Click on Update Bet Selector Button. This will apply the Missing Jockey Names into Bet Selector Note: This needs to be done before running Update Jockeys which will then apply the Jockey ratings. You will not be required to make manual jockey adjustments in Bet Selector unless there is NO RIDER NOTIFIED

NOTE: You may exit this program and return later and your selections will be present. Running this routine multiple times will not adversely affect your data.

The above databases can be accessed from the File, PPFA File Maintenance Menu.

4.1.5. Run the following:

Selection 5: Update BS w Jockeys + Last Run Penalties

Selection 6: Update BS w Trainer Bonuses

Selection 7: Update BS w Low Grade Track Penalties

Selection 8: Update BS w Horse Form Analysis

Selection 9: Update BS w Actual Starting Barrier Positions

Selection 10: Update BS w Barrier Bonus/Penalties

Selection 11: Update Form Weight Adjustment – UNLIMITED ONLY

Selection 12: Update BS w Blackbook Entries – UNLIMITED ONLY

Selection 13: Generate Field Strengths

Selection 14: Update Form Field Strength – UNLIMITED ONLY+RACETIMES

Selection 15 Generate Race Times Sheets/Ratings – UNLIMITED ONLY+RACETIMES

Selection 16 Update BS with race Times Bonus – UNLIMITED ONLY+RACETIMES

Take care to select the correct date range.

If you are using the Field Strength feature of PPFA and maintaining your own databases, you will need to check for and ADD any Missing Field Strengths. If you have subscribed to the PPFA DATABASE UPDATES, these additions will be sent to you.

4.2. Go to File Maintenance/Field Strength AUDIT

4.3. Select Preset Filters and choose Missing Field strengths. This will give you a list of the Missing Field Strengths. You can print the Missing Field Strengths out via Print/Standard report or if you prefer, jot them down.

Close the Field Strengths Audit window.

4.4. If you have any Missing Field Strengths, go to File Maintenance, Field Strengths.

To add a record, click in the Key ID column and type details of the first Missing Field Strength. EG, if you are missing CLS2NSWWEDX, if you type CLS2NSWWED then press RETURN KEY, it will take you to a the first record that matches your search. To create a new Field Strength record, select an existing record similar to the one you wish to create then click on the CLONE RECORD button. This will duplicate the currently selected record and you will now see 2 records with the same KEY. Now set the Edit Mode to Active, Double-Click on the new record and change the details as required. Don’t forget to assign an appropriate Field Strength Rating [FSTR]. Repeat this procedure for each Missing Field Strength.

4.5. Close the Field Strengths Window

4.6. You may now re-run the Update Selections, Update Form Field Strength to fix the Missing Field Strengths.

5. Close PPFA

6. Re-Open Bet Selector, choose RUN, SYSTEM SELECTOR and run the AUTO UPDATE PPFA system which will re-calculate the BS ratings with the new PPFA adjustments. If you do not have the Auto Update PPFA already set up, simply go into Bet Selector and create a system test called AUTO UPDATES PPFA. No rules need to be set as this has been designed to re calculate all PPFA adjustments.

6.1. If you don’t have Race TAB Live, you must go into Bet Selector and Edit Scratchings then click Next through each race for each meeting for all adjustments to be implemented

7. If during the course of the day the track conditions change, it is recommended that a manual adjustment be made in Bet selector. Only alter track conditions from the race no. where the track condition changed. This is done by running Bet Selector, choosing Edit Scratchings, Select the Track Condition of the race where you want the change to start, then click Next through to the last race. EXIT Bet Selector and run PPFA. In PPFA run the function Update Form Analysis. EXIT PPFA. Re-run Bet Selector. Go to edit scratchings, select the 1st race where conditions have changed, then click next race until meeting completed. The TAB's are very slow in updating track conditions; in most cases they do it at the end of the day. DONT RUN RACETAB LIVE after you have made manual adjustment to track conditions as this will override the manual Track Condition adjustments you have just made. If you are SURE the TAB service has updated to the latest Track conditions, then it would be safe to re-run Race TAB Live. After this has been done, EXIT Bet Selector, re-run PPFA, got Updates and re-run Generate Race Day Sheets so that you are viewing the latest ratings in the Race Day Browser.

NOTE: In the event of track condition changes, all previous ratings are removed for that track only and re-applied with appropriate adjustments for the new track conditions

8. SUMMARY

8.1. After completing all of the above, if adjustments are made to any of the following you MUST re-run Generate Race Day Sheets to reflect those changes

8.2. Any jockey changes or missing jockeys-- after making your manual adjustments in Bet Selector you will need to click the update button immediately below the BASE RATING. Using either of the other two update buttons will reset Bet selector defaults and nullify all adjustments. made in Bet Selector This needs to be done for every race where adjustments have been made

8.3. Late scratchings If any runner is scratched you will need to manually apply the scratching in Bet selector then in PPFA updates, re-run actual barrier positions and update barrier penalties/bonus functions

8.4. Track condition changes as described above


DataBases

Navigation: »No topics above this level«

DataBases

 Print this Topic Return to chapter overview

The Databases used by PPFA and Bet Selector are 'dBase' files.

The field names are restricted to 10 characters and those field names used by the program can sometimes be cryptic to the end user.

The structure of the databases used by PPFA and Bet Selector have been presented for user reference.

It is not necessary to study this chapter, however, from time to time when you need to better understand the purpose of a particular field/s, you can use this chapter to see an explanation of the field/s purpose.

The databases are presented in 'Table' format and an explanation of each column is provided below.

Field Name | The 'Field Name', limited to 10 characters. This is the name you will most commonly see when viewing the data in PPFA or Bet Selector
Type | Each field's content is restricted to it's 'Field Type', see below for an explanation of the 'Field Types'
Field Length | The maximum length of the field. If the field is numeric, this includes the decimal point where 'Decimals' is greater than zero. eg; If the 'Field Length' is 5 and the 'Decimals' is 2 then the higest number which can be stored is '99.99' and the lowest number would be '-9.99'. Both the examples are 5 wide.
Decimals | This is the maximum width of the decimals. eg; 1 = tenths, 2 = one hundredths and so on.
Description | This is a full description of the field purpose

Field Types

TYPE | Description | Length
C | Character field, accepts all characters including numbers | Set by Desinder
N | Numeric Field | Set by Designer
L | Logical field, TRUE, FALSE, .t., .f. | 1
D | Date Field | 8


PPFA

Navigation: DataBases >

PPFA

 Print this Topic Return to chapter overview

Data Bases used by PPFA

Barriers

BaseRatings

BlackBook

DistChge

FA

FA_Barriers

FStrength

FStrength_Audit

FSTRXREF

HorseForm

Jockeys

JockMiss

Market Percentages

RaceTimes_Audit

RaceTimes_Header

RaceTimes_NOT_Filtered_RM

RaceTimes_Params

RCLasses

RSD

RSH

Selected_Races

SysPar

TAB_BSMeetings

TAB_Meetings

TAB_MeetingsDetail

TAB_Results

TAB_Runners

Times

Tracks

Tracks_ALL

Trainers

Trainer Jockey

Weights_Audit


Alarms

Navigation: DataBases > PPFA >

Alarms - Jump Time warnings in the RaceTimes Browser

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RACEID | C | 16 | 0 | RaceID from the Race Day Browser Header File
TRACK | C | 16 | 0 | Race Track Name
RNO | N | 2 | 0 | Race No.
JUMP | C | 5 | 0 | Race Jump Time
ALARM | C | 5 | 0 | Alarm Time
RADATE | D | 8 | 0 | Race Date
ISSET | L | 1 | 0 | Alarm is Set - TRUE/FALSE
SEQ | N | 1 | 0 | Alarm Sequence 1,2,3 - Use to sort Alarms 1 to 3 for each race


Barriers

Navigation: DataBases > PPFA >

Barriers - Stores Barrier Bonus/Penalty for all tracks

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | Description
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
TRCODE | C | 3 | 0 | Track Code
BCODE | C | 9 | 0 | Barrier Code
DISTANCE | N | 4 | 0 | Distance for this Barrier Code
BAR01 | N | 4 | 1 | Bonus/Penalty for Barrier 01
BAR02 | N | 4 | 1 | Bonus/Penalty for Barrier 02
BAR03 | N | 4 | 1 | Bonus/Penalty for Barrier 03
BAR04 | N | 4 | 1 | Bonus/Penalty for Barrier 04
BAR05 | N | 4 | 1 | Bonus/Penalty for Barrier 05
BAR06 | N | 4 | 1 | Bonus/Penalty for Barrier 06
BAR07 | N | 4 | 1 | Bonus/Penalty for Barrier 07
BAR08 | N | 4 | 1 | Bonus/Penalty for Barrier 08
BAR09 | N | 4 | 1 | Bonus/Penalty for Barrier 09
BAR10 | N | 4 | 1 | Bonus/Penalty for Barrier 10
BAR11 | N | 4 | 1 | Bonus/Penalty for Barrier 11
BAR12 | N | 4 | 1 | Bonus/Penalty for Barrier 12
BAR13 | N | 4 | 1 | Bonus/Penalty for Barrier 13
BAR14 | N | 4 | 1 | Bonus/Penalty for Barrier 14
BAR15 | N | 4 | 1 | Bonus/Penalty for Barrier 15
BAR16 | N | 4 | 1 | Bonus/Penalty for Barrier 16
BAR17 | N | 4 | 1 | Bonus/Penalty for Barrier 17
BAR18 | N | 4 | 1 | Bonus/Penalty for Barrier 18
BAR19 | N | 4 | 1 | Bonus/Penalty for Barrier 19
BAR20 | N | 4 | 1 | Bonus/Penalty for Barrier 20
BAR21 | N | 4 | 1 | Bonus/Penalty for Barrier 21
BAR22 | N | 4 | 1 | Bonus/Penalty for Barrier 22
BAR23 | N | 4 | 1 | Bonus/Penalty for Barrier 23
BAR24 | N | 4 | 1 | Bonus/Penalty for Barrier 24


BaseRatings

Navigation: DataBases > PPFA >

BaseRatings - Stores Base Ratings

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RDATE | D | 8 | 0 | Race Date
HORSE | C | 20 | 0 | Horse Name
TBASE | N | 4 | 1 | Base Rating
SAVE_BASE | N | 4 | 1 | Saved Base Rating
MAN_ADJ | N | 5 | 1 | Difference between the Base Rating and the Saved Base Rating


BlackBook

Navigation: DataBases > PPFA >

BlackBook

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Name of Horse
CTRY | C | 4 | 0 | Country of Horse, eg HK, NZ, INT - All blanks deemed to be Australia
BON_PEN | N | 4 | 1 | Bonus or Penalty for Run
ENTRYDATE | D | 8 | 0 | Date the Blackbook Entry was made
COMMENT | C | 100 | 0 | BlackBook Comment 1
COMMENT2 | C | 100 | 0 | BlackBook Comment 2
COMMENT3 | C | 100 | 0 | BlackBook Comment 3
BON_PEN2 | N | 4 | 1 | Bonus for 2nd Run since BlackBook entry
BON_PEN3 | N | 4 | 1 | Bonus for 3rd Run since BlackBook entry
BON_PEN4 | N | 4 | 1 | Bonus for 4th Run since BlackBook entry
RUNSEQ2DAY | N | 1 | 0 | Run Number 2day since BlackBook entry
JUMP | C | 7 | 0 | If racing today, the Jump time
RNO | N | 2 | 0 | If racing today, the Race No
TNO | N | 2 | 0 | TAB No if racing today
RNK | N | 2 | 0 | If racing today, today's PPFA Ranking
LRUNDATE | D | 8 | 0 | Date this Horse was last considered for a BlackBook Bonus
TRACK2DAY | C | 16 | 0 | If this horse is racing today, name of track
RACING2DAY | L | 1 | 0 | Logical: Racing today - TRUE/FALSE
LDEL | L | 1 | 0 | Logical: Flagged for deletion - TRUE/FALSE
TRACK_RUN1 | C | 16 | 0 | Trackname of the 1st run considered for Bonus/Penalty
RDATE1 | D | 8 | 0 | Date of the 1st run considered for Bonus/Penalty
TRACK_RUN2 | C | 16 | 0 | Trackname of the 2nd run considered for Bonus/Penalty
RDATE2 | D | 8 | 0 | Date of the 2nd run considered for Bonus/Penalty
TRACK_RUN3 | C | 16 | 0 | Trackname of the 3rd run considered for Bonus/Penalty
RDATE3 | D | 8 | 0 | Date of the 3rd run considered for Bonus/Penalty
TRACK_RUN4 | C | 16 | 0 | Trackname of the 4th run considered for Bonus/Penalty
RDATE4 | D | 8 | 0 | Date of the 4th run considered for Bonus/Penalty


BR_Audit

Navigation: DataBases > PPFA >

BR_Audit - Stores audit created during the Generation of PPFA's Base Ratings

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | HorseName from HorseForm
RCLASS | C | 9 | 0 | Race Class fom HorseForm
FDATE | D | 8 | 0 | Form Date
DIST2DAY | N | 6 | 0 | Race Distance today
FDIST | N | 6 | 0 | Form Distance
TRT | N | 7 | 1 | Form TRT
QUALIFIES | N | 2 | 0 | Qualifying Run Level: 1, 2 or 3
PERC | N | 3 | 0 | Percentage of TRT applied
BASERATE | N | 7 | 1 | Cumulative Base Rate
ORIGRATE | N | 7 | 1 | Saved Bet Selector Rating prior to PPFA generating new rating
PERCSPREAD | N | 3 | 0 | Percentage left to spread between qual runs if not enough career runs
TRACK | C | 16 | 0 | Today's Track
RNO | N | 2 | 0 | Today's Race No.
TNO | N | 2 | 0 | Today's TAB No.


BR_Calc

Navigation: DataBases > PPFA >

BR_Calc - Stores Individual horse's form runs - used to create PPFA's Base Ratings

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | HorseName from HorseForm
RCLASS | C | 9 | 0 | Race Class fom HorseForm
FDATE | D | 8 | 0 | Form Date
DIST2DAY | N | 6 | 0 | Race Distance today
FDIST | N | 6 | 0 | Form Distance
TRT | N | 7 | 1 | Form TRT
QUALIFIES | N | 2 | 0 | Qualifying Run Level: 1, 2 or 3


DistChge

Navigation: DataBases > PPFA >

DistChge - Distance Change - Used by the Race Times

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
DISTANCE | N | 4 | 0 | RaceTimes lookup file for Distance Change Bonus/Penalties
PENALTY | N | 4 | 2 | RaceTimes lookup file for Distance Change Bonus/Penalties


FA

Navigation: DataBases > PPFA >

FA - Form Analysis - Audit file created by Update Form Analysis

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | D | 8 | 0 | Meeting Date
TCODE | C | 3 | 0 | Track Code
RNO | N | 2 | 0 | Race Number
HORSE | C | 20 | 0 | Name of Horse
WET | C | 4 | 0 | Wet Box Bonus/Penalty yYnN
STARTS | N | 3 | 0 | Career Starts
THISRUN | N | 3 | 0 | What run number in this preparation
G1 | N | 3 | 0 | Total Wins on a Good Track
G2 | N | 3 | 0 | Total 2nds on a Good Track
G3 | N | 3 | 0 | Total 3rds on a Good Track
GSTARTS | N | 3 | 0 | Career Starts on a Good Track
D1 | N | 3 | 0 | Total Wins on a Dead track
D2 | N | 3 | 0 | Total 2nds on Dead Track
D3 | N | 3 | 0 | Total 3rds on Dead Track
DSTARTS | N | 3 | 0 | Career Starts on a Dead Track
S1 | N | 3 | 0 | Total Wins on Slow Track
S2 | N | 3 | 0 | Total 2nds on Slow Track
S3 | N | 3 | 0 | Total 2nds on Slow Track
SSTARTS | N | 3 | 0 | Career Starts on a Slow Track
H1 | N | 3 | 0 | Total Wins on Heavy Track
H2 | N | 3 | 0 | Total 2nds on Heavy Track
H3 | N | 3 | 0 | Total 3rds on Heavy Track
HSTARTS | N | 3 | 0 | Career Starts on a Heavy Track
WRB1 | N | 5 | 2 | Wet Track Run Bonus 1
WRB2 | N | 5 | 2 | Wet Track Run Bonus 2
WRB3 | N | 5 | 2 | Wet Track Run Bonus 3
WRB4 | N | 5 | 2 | Wet Track Run Bonus 4
WSRB1 | N | 5 | 2 | Wet Track Strike Rate Bonus 1
WSRB2 | N | 5 | 2 | Wet Track Strike Rate Bonus 2
WSRB3 | N | 5 | 2 | Wet Track Strike Rate Bonus 3
WSRB4 | N | 5 | 2 | Wet Track Strike Rate Bonus 4
WSRWPERC1 | N | 5 | 2 | Form Analysis - Wet Strike Rate Win Percentage 1
WSRWPERC2 | N | 5 | 2 | Form Analysis - Wet Strike Rate Win Percentage 2
WSRWPERC3 | N | 5 | 2 | Form Analysis - Wet Strike Rate Win Percentage 3
WSRWPERC4 | N | 5 | 2 | Form Analysis - Wet Strike Rate Win Percentage 4
WSRPPERC1 | N | 5 | 2 | Form Analysis - Wet Strike Rate Placed Percentage 1
WSRPPERC2 | N | 5 | 2 | Form Analysis - Wet Strike Rate Placed Percentage 2
WSRPPERC3 | N | 5 | 2 | Form Analysis - Wet Strike Rate Placed Percentage 3
WSRPPERC4 | N | 5 | 2 | Form Analysis - Wet Strike Rate Placed Percentage 4
WETRATE | N | 5 | 2 | Track Condition Bonus
FA_1_1 | N | 3 | 0 | Career Wins First-Up
FA_1_2 | N | 3 | 0 | Career 2nds First-Up
FA_1_3 | N | 3 | 0 | Career 3rds First-Up
FA_1_4 | N | 3 | 0 | Career Starts First-Up
FA_2_1 | N | 3 | 0 | Career Wins 2nd-Up
FA_2_2 | N | 3 | 0 | Career 2nds 2nd-Up
FA_2_3 | N | 3 | 0 | Career 3rds 2nd-Up
FA_2_4 | N | 3 | 0 | Career Starts 2nd-Up
FA_3_1 | N | 3 | 0 | Career Wins 3rd-Up
FA_3_2 | N | 3 | 0 | Career 2nds 3rd-Up
FA_3_3 | N | 3 | 0 | Career 3rds 3rd-Up
FA_3_4 | N | 3 | 0 | Career Starts 3rd-Up
FA_4_1 | N | 3 | 0 | Career Wins 4th-Up
FA_4_2 | N | 3 | 0 | Career 2nds 4th-Up
FA_4_3 | N | 3 | 0 | Career 3rds 4th-Up
FA_4_4 | N | 3 | 0 | Career Starts 4th-Up
FA_5_1 | N | 3 | 0 | Career Wins 5th-Up
FA_5_2 | N | 3 | 0 | Career 2nds 5th-Up
FA_5_3 | N | 3 | 0 | Career 3rds 5th-Up
FA_5_4 | N | 3 | 0 | Career Starts 5th-Up
FAWINPERC | N | 5 | 2 | Career Win Percentage
FAPLACEPER | N | 5 | 2 | Career Place Percentage
FARATE | N | 5 | 2 | Total FA Adjustment to Base Rating
TRKWPERC | N | 5 | 2 | This Track Win Percentage
TRKPPERC | N | 5 | 2 | This Track Place Percentage
TRKBON | N | 5 | 2 | Bonus for performance at this track
DISTWPERC | N | 5 | 2 | Form Analysis - Percentage Won at this Distance
DISTPPERC | N | 5 | 2 | Form Analysis - Percentage Placed at this Distance
DISTBON | N | 5 | 2 | Form Analysis Bonus received for Distance performances


FA_Barriers

Navigation: DataBases > PPFA >

FA_Barriers - Audit file created by Update Barrier Bonus/Penalties and stores codes not found

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
TRCODE | C | 3 | 0 | Track Code
BCODE | C | 9 | 0 | Barrier Code
RDISTANCE | N | 4 | 0 | Actual Race Distance
BDISTANCE | N | 4 | 0 | Race Distance as adjusted by PPFA for Barrier Lookup


FA_LowGrade

Navigation: DataBases > PPFA >

FA_LowGrade - Audit File created by Update LowGrade Track Penalties

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Name of Horse
TBASE | N | 4 | 1 | Bet Selector Base Rating
XPEAK | N | 4 | 1 | Bet Selector's PEAL Base Rating
RS1 | N | 4 | 1 | CIS Rating Last start
RS2 | N | 4 | 1 | CIS Rating 2 Starts Ago
RS3 | N | 4 | 1 | CIS Rating 3 Starts Ago
SH1_1 | N | 4 | 1 | Last Run TRT Rating
SH1_2 | N | 4 | 1 | Low Grade Track Penalty Last Run
SH2_1 | N | 4 | 1 | 2nd Last Run TRT Rating
SH2_2 | N | 4 | 1 | Low Grade Track Penalty 2nd Last Run
SH3_1 | N | 4 | 1 | 3rd Last Run TRT Rating
SH3_2 | N | 4 | 1 | Low Grade Track Penalty 3rd Last Run
RNO | N | 2 | 0 | Race Number
PENALTY | N | 4 | 1 | Low-Grade Track Penalty
RDATE | D | 8 | 0 | Race Date
COMMENT | C | 40 | 0 | Low-Grade Track Penalty as a String


FStrength

Navigation: DataBases > PPFA >

FStrengths - Field Strengths

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
FSTR | N | 3 | 0 | Field Strength Value for this type of race
KEY_ID | C | 30 | 0 | Field Strength Key Code for Indexing


FStrength_Audit

Navigation: DataBases > PPFA >

FStrengths_Audit - Field Strengths Audit - Created by Generate Field Strengths

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
KEY_ID | C | 50 | 0 | Field Strength Key Code for Indexing
ERROR | C | 100 | 0 | Indicates if an error ocurred finding this Field Strength Code
TNO | N | 2 | 0 | Horse's Saddle Cloth No.
HORSE | C | 20 | 0 | Name of Horse
FSTR2DAY | N | 3 | 0 | Field Strength for Today's Race
FSTRR1 | N | 3 | 0 | Field Strength for Last Run
MARGIN | N | 5 | 1 | Winning/Beaten margin
BON_PEN_1 | N | 6 | 2 | Overall Field Strength Bonus/Penalty based on last run
FSTRRANK | N | 2 | 0 | Field Strength Ranking for this run
RATING | C | 12 | 0 | Field Strength rating for this run - Lowest is BEST
FSTRDIFF1 | N | 5 | 1 | Difference in Field Strength between Today and Last Run
WGT2DAY | N | 4 | 1 | Actual Weight being carried today after adjustments
WGTR1 | N | 4 | 1 | Actual Weight being carried Last Start after adjustments
WGTDIFF1 | N | 5 | 1 | Weight Difference beween Last run and Today
WGT_ELE | N | 2 | 0 | Number indicating which element in the Weight Table was used for calculating the Weight Bonus/Penalty
WGT_BP | N | 6 | 2 | Field Strength Weight Bonus/Penalty
MGN_ELE | N | 2 | 0 | Number indicating which element in the Margins Table was used for calculating the Margin Bonus/Penalty
MGN_BP | N | 6 | 2 | Field Strength Margin Bonus/Penalty
FSTRR1_ADJ | N | 6 | 2 | Calculated Bonus/Penalty using Weight and Margin Only
TRACK | C | 6 | 0 | Race Track Name eg Caulfield
TRSTATE | C | 3 | 0 | Race Track's Location State
LOCATION | C | 10 | 0 | One Character code for Race Track Location - M,X,Z,W etc
RDAY | C | 3 | 0 | Race Day - Mon, Tue, Wed etc
RCLASS | C | 25 | 0 | Race Class
EVENT | C | 15 | 0 | Description of Race - 2up Mdn-sw
AGE | C | 10 | 0 | Horse's Age
REST | C | 30 | 0 | Race Restrictions - If Any
HORSEID | C | 7 | 0 | Horse's Key Code for Indexing/Lookup
TRIALLED | L | 1 | 0 | Horse has Trialled


FSTRXREF

Navigation: DataBases > PPFA >

FSTRXREF - Field Strengths Cross Reference to match Race Class in the Races Files with the Race Class in the Form File

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RACE_FLD | C | 25 | 0 | Race Class Description in Bet Selector's Race File
FORM_FLD | C | 10 | 0 | Race Class Description in Bet Selector's Form File


HorseForm

Navigation: DataBases > PPFA >

HorseForm

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Name of Horse
FIN | N | 2 | 0 | Horse's Finishing Position
STR | N | 2 | 0 | Starters in race
MARG | N | 5 | 1 | Winning/Beaten margin
DATE | D | 8 | 0 | Horse's Run Date
TRACK | C | 6 | 0 | Race Track Name eg Caulfield
M | C | 1 | 0 | Race Track Grading (pP,M,U)
RNO | N | 2 | 0 | Race Number
PRIZE | N | 6 | 1 | Prize Money
PRWIN | N | 6 | 1 | Prize Money Won for this Race
EVENT | C | 15 | 0 | Race Description ( 3yc&g Mdn-sw )
CLASS | C | 5 | 0 | Race Class
AGE | C | 2 | 0 | Horse's Age
REST | C | 4 | 0 | Race Restrictions - If Any
G | C | 1 | 0 | Going, Track Condition - F, G,D,S,H
DIST | N | 4 | 0 | Race Distance
TIME | N | 6 | 2 | Race Time of Winner
SDIST | N | 4 | 0 | Sectional Distance
STIME | N | 6 | 2 | Sectional Time
OP | C | 6 | 0 | Opening Price
MP | C | 6 | 0 | Middle Price
SP | C | 7 | 0 | Starting Price
WGT | N | 4 | 1 | Horse's Weight
ALL | N | 4 | 1 | Apprentice Jockey Allowance
LIM | N | 4 | 1 | Race Weight Limit
JOCKEY | C | 16 | 0 | Jockey's Name
BP | N | 2 | 0 | Barrier Starting Position
SD | N | 2 | 0 | Settling Poistion of Horse in Race
TW | N | 2 | 0 | 1200m Poistion of Horse in Race
EI | N | 2 | 0 | 800m Poistion of Horse in Race
FO | N | 2 | 0 | 400m Poistion of Horse in Race
F1 | C | 2 | 0 | Horse in OTHER1:- [1]=Winner's Name [2]=Name of 2nd Place Getter
OTHER1 | C | 18 | 0 | See [F1] :- 1=Winner's Name, 2=2nd Place Getter
WGT1 | N | 4 | 1 | Weight of Horse in OTHER1
F2 | C | 2 | 0 | Horse in OTHER2:- [2]=Name of 2nd Place Getter [3]=Name of 3rd Place Getter
OTHER2 | C | 18 | 0 | See [F2] :- 2=Name of 2nd Place Getter, 3=Name of 3rd Place Getter
WGT2 | N | 4 | 1 | Weight of Horse in OTHER2
F3 | C | 2 | 0 | Horse in OTHER3:- [3]=Name of 3rd Place Getter [4]=Name of 4th Place Getter
OTHER3 | C | 18 | 0 | See [F3] :- 3=Name of 3rd Place Getter, 4=Name of 4th Place Getter
WGT3 | N | 4 | 1 | Weight of Horse in OTHER3
TRT | N | 4 | 1 | Bet Selector's CIS Rating
WRT | N | 4 | 1 | ### Unknown ###
TRAINER | C | 25 | 0 | Name of Trainer for this run
FSTR | N | 3 | 0 | Up to 3 digit Key of FSTRENGTH for this run


HorseForm Comments

Navigation: DataBases > PPFA >

HorseForm Comments - Database of the comments added by the user for each form run.

 Print this Topic Return to chapter overview
FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Horse Name
DATE | D | 8 | 0 | Date of Run
TRACK | C | 6 | 0 | Abbreviated Track Name
RNO | N | 2 | 0 | Race No.
COMMENT | C | 150 | 0 | User's Comment


Horses

Navigation: DataBases > PPFA >

Horses - Database of all horses, used to identify duplicate horses

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Horse Name
AUS | L | 1 | 0 | Y/N or T/F If raced in Australia
NZ | L | 1 | 0 | Y/N or T/F If raced in NZ
HK | L | 1 | 0 | Y/N or T/F If raced in HK
UNKNOWN | L | 1 | 0 | Y/N or T/F If raced in Unknown Country
DUPLICATE | C | 1 | 0 | Y = Duplicate, N = Same Horse


Horses_Audit

Navigation: DataBases > PPFA >

Horses_Audit - Created by Update Horses New - Identify horses which need to be assigned if duplicate or not

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Horse Name
AUS | L | 1 | 0 | Y/N or T/F If raced in Australia
NZ | L | 1 | 0 | Y/N or T/F If raced in NZ
HK | L | 1 | 0 | Y/N or T/F If raced in HK
UNKNOWN | L | 1 | 0 | Y/N or T/F If raced in Unknown Country
DUPLICATE | C | 1 | 0 | Y = Duplicate, N = Same Horse


Jockeys

Navigation: DataBases > PPFA >

Jockeys

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
JOCKEY | C | 16 | 0 | Jockey's Name
SURNAME | C | 16 | 0 | Jockey's Surname
STATE | C | 3 | 0 | Jockey's Home State
CITY_PENAL | N | 4 | 1 | Penalty when riding at City Meetings
CITY_ALLOW | N | 4 | 1 | Allowance when riding at City Meetings
PROV_PENAL | N | 4 | 1 | Default Penalty when riding at Provincial Meetings
PROV_ALLOW | N | 4 | 1 | Default Allowance when riding at Provincial Meetings
CTRY_PENAL | N | 4 | 1 | Penalty when riding at Country Meetings
CTRY_ALLOW | N | 4 | 1 | Allowance when riding at Country Meetings
IS_NEW | L | 1 | 0 | Is this a NEW Jockey - .T., .F., Y, N
IS_APPREN | L | 1 | 0 | Is Jockey an Apprentice - .T., .F., Y, N


JockMiss

Navigation: DataBases > PPFA >

JockMiss - Missing Jockeys - Created by Update Missing Jockeys so missing jockeys can be identified

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | D | 8 | 0 | Meeting Date
TCODE | C | 3 | 0 | Track Code
RNO | N | 2 | 0 | Race Number
TNO | N | 2 | 0 | Horse's Saddle Cloth No.
HORSE | C | 20 | 0 | Name of Horse
SURNAME | C | 16 | 0 | Jockey's Surname
JOCKEY | C | 16 | 0 | Jockey's Name


MPC

Navigation: DataBases > PPFA >

MPC - Market Percentages

 Print this Topic Return to chapter overview
FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
DOW | C | 3 | 0 | Market Percentages - Day of Week
DEF_CITY | N | 3 | 0 | DEFAULT Market Percentage for CITY meeting
DEF_PROV | N | 3 | 0 | DEFAULT Market Percentage for PROVINCIAL meeting
DEF_CTRY | N | 3 | 0 | DEFAULT Market Percentage for COUNTRY meeting
VIC_CITY | N | 3 | 0 | VIC Market Percentage for CITY meeting
VIC_PROV | N | 3 | 0 | VIC Market Percentage for PROVINCIAL meeting
VIC_CTRY | N | 3 | 0 | VIC Market Percentage for COUNTRY meeting
NSW_CITY | N | 3 | 0 | NSW Market Percentage for CITY meeting
NSW_PROV | N | 3 | 0 | NSW Market Percentage for PROVINCIAL meeting
NSW_CTRY | N | 3 | 0 | NSW Market Percentage for COUNTRY meeting
QLD_CITY | N | 3 | 0 | QLD Market Percentage for CITY meeting
QLD_PROV | N | 3 | 0 | QLD Market Percentage for PROVINCIAL meeting
QLD_CTRY | N | 3 | 0 | QLD Market Percentage for COUNTRY meeting
SA_CITY | N | 3 | 0 | SA Market Percentage for CITY meeting
SA_PROV | N | 3 | 0 | SA Market Percentage for PROVINCIAL meeting
SA_CTRY | N | 3 | 0 | SA Market Percentage for COUNTRY meeting
WA_CITY | N | 3 | 0 | WA Market Percentage for CITY meeting
WA_PROV | N | 3 | 0 | WA Market Percentage for PROVINCIAL meeting
WA_CTRY | N | 3 | 0 | WA Market Percentage for COUNTRY meeting
TAS_CITY | N | 3 | 0 | TAS Market Percentage for CITY meeting
TAS_PROV | N | 3 | 0 | TAS Market Percentage for PROVINCIAL meeting
TAS_CTRY | N | 3 | 0 | TAS Market Percentage for COUNTRY meeting
ACT_CITY | N | 3 | 0 | ACT Market Percentage for CITY meeting
ACT_PROV | N | 3 | 0 | ACT Market Percentage for PROVINCIAL meeting
ACT_CTRY | N | 3 | 0 | ACT Market Percentage for COUNTRY meeting
NT_CITY | N | 3 | 0 | NT Market Percentage for CITY meeting
NT_PROV | N | 3 | 0 | NT Market Percentage for PROVINCIAL meeting
NT_CTRY | N | 3 | 0 | NT Market Percentage for COUNTRY meeting
NZ_CITY | N | 3 | 0 | NZ Market Percentage for CITY meeting
NZ_PROV | N | 3 | 0 | NZ Market Percentage for PROVINCIAL meeting
NZ_CTRY | N | 3 | 0 | NZ Market Percentage for COUNTRY meeting
HK_CITY | N | 3 | 0 | HK Market Percentage for CITY meeting
HK_PROV | N | 3 | 0 | HK Market Percentage for PROVINCIAL meeting
HK_CTRY | N | 3 | 0 | HK Market Percentage for COUNTRY meeting


Menu_User

Navigation: DataBases > PPFA >

Menu_User - Menu items presented by clicking 'Ctrl+M'

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
NO | C | 3 | 0 | Class Name to Call otherwise NA_HEADER or NA_BLANK or NA_FUNCTION
KEYID | N | 3 | 0 | Class Method() or Global Function() to call
DESC | C | 50 | 0 | Menu Description
HELP | C | 200 | 0 | Help for selected line
MENUTYPE | N | 3 | 0 | Not displayed, used to sort the Menu Lines into required order
CALLCLASS | C | 40 | 0 | 1=Header, 2=Blank Line, 3=Clase, 4=Local Method, 5=Global Function()
CALLFUNC | C | 40 | 0 | No to display along side Description
PARAM1 | C | 20 | 0 | Parameter 1 for Method() or Function
PARAM2 | C | 20 | 0 | Parameter 2 for Method() or Function
PARAM3 | C | 20 | 0 | Parameter 3 for Method() or Function
PARAM4 | C | 20 | 0 | Parameter 4 for Method() or Function
EXTRA | C | 30 | 0 | Extra Parameter


RaceTimes_Archive

Navigation: DataBases > PPFA >

RaceTimes_Archive - Updated RaceTimes Archive appends all today's RaceTimes data for future analysis to this database

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
ERROR2 | C | 10 | 0 | Short Error Description
RATRACK | C | 16 | 0 | Race Track Name
RATRACKCDE | C | 3 | 0 | Race Track Code
RADATE | D | 8 | 0 | Race Date
RAGOING | C | 5 | 0 | Track condition
RADIST | N | 4 | 0 | Race Distance
RADIST_R | N | 4 | 0 | Race Distance Rounded
RAPAR_R | N | 6 | 2 | Race Par Time Rounded
RACENO | N | 2 | 0 | Race Number
HORSE | C | 20 | 0 | Horse Name
FORM | C | 4 | 0 | Horse's form box
TABNO | N | 2 | 0 | TAB Number
FDATE | D | 8 | 0 | Date of horseform run
FGOING | C | 1 | 0 | Going for the horseform run
FTRACK | C | 6 | 0 | Track of the horsesform run
FDIST | N | 4 | 0 | Distance of the horseform run
FTIME | N | 6 | 2 | Time of the horseform run
FDIST_R | N | 4 | 0 | Rounded distance of the horseform run
FTIME_R | N | 7 | 3 | Rounded time of the horseform run
FMGN | N | 5 | 1 | Winning/losing margin of the horseform run
FMGNADJ | N | 7 | 3 | Margin adjustment for the horseform run
FTIME_RM | N | 7 | 3 | Time of the horseform run after rounding and margin adjustment
FPAR_R | N | 7 | 3 | Rounded Par Time of the horseform run
FPAR_RRAT | N | 7 | 3 | Horseform adjusted Time to HorseForm Par Ratio
RAPAR_RRAT | N | 7 | 3 | Horseform adjusted time to Race Par Ratio
FLIM | N | 4 | 1 | Weight Limit for the horseform run
FWGT | N | 4 | 1 | Weight carried in the horseform run
FALL | N | 4 | 1 | Jockey allowance in the horsefrom run
FNETWGT | N | 4 | 1 | Net weight carried in the horseform run
RACEWGT | N | 4 | 1 | Weight being carried in today's race
WGTDIFF | N | 5 | 1 | Difference betweeen todays's weight and the net weight carried in the horseform run
WGTCHGSECS | N | 5 | 2 | No of seconds to adjust for weight change between today and horseform run
FTIME_RMW | N | 7 | 3 | Horseform time after adjustment for rounding, margin & weight
DC | N | 5 | 0 | Distance change between horseform run and today's race
DCBONPEN | N | 7 | 3 | Bonus penalty fo distance change
FTIME_RMD | N | 7 | 3 | Horseform time after adjustment for rounding, margin & distance
FTIME_RMWD | N | 7 | 3 | Horseform time after adjustment for rounding, margin, weight & distance
RANK_RM | N | 7 | 3 | Today's rating after rounding and margin adjustment
RANK_RMW | N | 7 | 3 | Today's rating after rounding, margin and weight adjustment
RANK_RMWD | N | 7 | 3 | Today's rating after rounding, margin, weight and distance adjustment
PRED_RM | N | 7 | 3 | Today's predicted run time after rounding and margin adjustment
PRED_RMW | N | 7 | 3 | Today's predicted run time after rounding, margin and weight adjustment
PRED_RMWD | N | 7 | 3 | Today's predicted run time after rounding, margin, weight and distance adjustment
POS_SETTLE | N | 2 | 0 | Position settled in horseform run
POS_1200 | N | 2 | 0 | Position at 1200 in horseform run
POS_0800 | N | 2 | 0 | Position as 800 in horseform run
POS_0400 | N | 2 | 0 | Position at 400 in horseform run
ERROR | C | 100 | 0 | Descriptive error
KEYID | C | 16 | 0 | ID for this record - used for indexing
RACEID | C | 16 | 0 | Race ID for this record - used for indexing
HORSEID | C | 16 | 0 | Horse ID for this record - used for indexing
RANK | N | 2 | 0 | Race Times ranking order for the selected window. Horse may be ranked differently in each of the 4 RaceTimes windows
NOUF | N | 2 | 0 | This value = 1 if the horse does not qualify in any of the filtered windows, otherwise 0
APPEARS | N | 4 | 0 | How many of the 4 times windows this horse appears. A 1 or 0 appears for each window
BRNK | N | 2 | 0 | Bet Ranking assigned manually by PPFA. This is a grading on whether to bet in this race
PPRNK | N | 2 | 0 | Bet selctor ranking by rated price
FIN | N | 2 | 0 | Finishing position - after Ozbet Update
WINDIV | N | 7 | 2 | Tote win price after Ozbet Update
PCEDIV | N | 7 | 2 | Tote place price after Ozbet Update
IMPROVER | L | 1 | 0 | Flag if this horse's ranking improved from Filtered_RM


RaceTimes_Audit

Navigation: DataBases > PPFA >

RaceTimes_Audit - Created when generating the Race Times for each meeting - can be perused to find missing times for any tracks.

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
ERROR2 | C | 10 | 0 | Short Error Description
RATRACK | C | 16 | 0 | Race Track Name
RATRACKCDE | C | 3 | 0 | Race Track Code
RADATE | D | 8 | 0 | Race Date
RAGOING | C | 5 | 0 | Track condition
RADIST | N | 4 | 0 | Race Distance
RADIST_R | N | 4 | 0 | Race Distance Rounded
RAPAR_R | N | 6 | 2 | Race Par Time Rounded
RACENO | N | 2 | 0 | Race Number
HORSE | C | 20 | 0 | Horse Name
FORM | C | 4 | 0 | Horse's form box
TABNO | N | 2 | 0 | TAB Number
FDATE | D | 8 | 0 | Date of horseform run
FGOING | C | 1 | 0 | Going for the horseform run
FTRACK | C | 6 | 0 | Track of the horsesform run
FDIST | N | 4 | 0 | Distance of the horseform run
FTIME | N | 6 | 2 | Time of the horseform run
FDIST_R | N | 4 | 0 | Rounded distance of the horseform run
FTIME_R | N | 7 | 3 | Rounded time of the horseform run
FMGN | N | 5 | 1 | Winning/losing margin of the horseform run
FMGNADJ | N | 7 | 3 | Margin adjustment for the horseform run
FTIME_RM | N | 7 | 3 | Time of the horseform run after rounding and margin adjustment
FPAR_R | N | 7 | 3 | Rounded Par Time of the horseform run
FPAR_RRAT | N | 7 | 3 | Horseform adjusted Time to HorseForm Par Ratio
RAPAR_RRAT | N | 7 | 3 | Horseform adjusted time to Race Par Ratio
FLIM | N | 4 | 1 | Weight Limit for the horseform run
FWGT | N | 4 | 1 | Weight carried in the horseform run
FALL | N | 4 | 1 | Jockey allowance in the horsefrom run
FNETWGT | N | 4 | 1 | Net weight carried in the horseform run
RACEWGT | N | 4 | 1 | Weight being carried in today's race
WGTDIFF | N | 5 | 1 | Difference between today's weight and the net weight carried in the horseform run
WGTCHGSECS | N | 5 | 2 | No of seconds to adjust for weight change between today and horseform run
FTIME_RMW | N | 7 | 3 | Horseform time after adjustment for rounding, margin & weight
DC | N | 5 | 0 | Distance change between horseform run and today's race
DCBONPEN | N | 7 | 3 | Bonus penalty fo distance change
FTIME_RMD | N | 7 | 3 | Horseform time after adjustment for rounding, margin & distance
FTIME_RMWD | N | 7 | 3 | Horseform time after adjustment for rounding, margin, weight & distance
RANK_RM | N | 7 | 3 | Today's rating after rounding and margin adjustment
RANK_RMW | N | 7 | 3 | Today's rating after rounding, margin and weight adjustment
RANK_RMWD | N | 7 | 3 | Today's rating after rounding, margin, weight and distance adjustment
PRED_RM | N | 7 | 3 | Today's predicted run time after rounding and margin adjustment
PRED_RMW | N | 7 | 3 | Today's predicted run time after rounding, margin and weight adjustment
PRED_RMWD | N | 7 | 3 | Today's predicted run time after rounding, margin, weight and distance adjustment
POS_SETTLE | N | 2 | 0 | Position settled in horseform run
POS_1200 | N | 2 | 0 | Position at 1200 in horseform run
POS_0800 | N | 2 | 0 | Position as 800 in horseform run
POS_0400 | N | 2 | 0 | Position at 400 in horseform run
ERROR | C | 100 | 0 | Descriptive error
KEYID | C | 16 | 0 | ID for this record - used for indexing
RACEID | C | 16 | 0 | Race ID for this record - used for indexing
HORSEID | C | 16 | 0 | Horse ID for this record - used for indexing


RaceTimes_Header

Navigation: DataBases > PPFA >

RaceTimes_Header - Created when generating the Race Times sheets each day. This contains all the races for the day which are displayed in the RaceTimes Browser

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
ERROR2 | C | 10 | 0 | Error String
ALARM | L | 1 | 0 | TRUE if alarm set for this race, otherwise FALSE
RNO | N | 2 | 0 | Race No.
RACENAME | C | 40 | 0 | Race Name
DIST | N | 4 | 0 | Race Distance
RADIST_R | N | 4 | 0 | Race Distance Rounded
RAPAR_R | N | 6 | 2 | Race Par Time for Rounded distance
JUMP | C | 7 | 0 | Race Jump Time
CLASS | C | 25 | 0 | Race Class
STAKES | N | 8 | 0 | Race Stakes
AGE | C | 10 | 0 | Age description of this race
REST | C | 30 | 0 | Any Restrictions for this race
CLAIM | C | 6 | 0 | Apprentices can claim ?
WEIGHTS | C | 14 | 0 | Any Race Weight condtions
LIMIT | N | 4 | 1 | Race Limit
NREC | N | 2 | 0 | No. of Records
GOING | C | 5 | 0 | Track conditions for this race
KEYID | C | 16 | 0 | KEYID
RACEID | C | 16 | 0 | RACEID
TRACK | C | 16 | 0 | Race Track
RDATE | D | 8 | 0 | Race Date
STARTERS | N | 2 | 0 | Number of Starters in this race
PRNT | L | 1 | 0 | Logical whether to print this race
DUMP | L | 1 | 0 | Logical whether to dump this race when exporting for RaceRatings
RR_VIEW | L | 1 | 0 | Flag if we have selected this race to be viewed in RaceRatings
BETRATING | N | 1 | 0 | Steve's Bet Ratings
CTRY | C | 3 | 0 | Country of this race, eg AUS, HK, NZ, INT
ERROR | C | 100 | 0 | Error String
LOCATION | C | 1 | 0 | Track Grade City, Provincial or Country


RaceTimes_NOT & _Filtered

Navigation: DataBases > PPFA >

RaceTimes_NOT & _Filtered

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview

When generating the RaceTimes Sheets, PPFA generates the following files all with the same structure which is described below.

_NOT_FILTERED_RM Times/Rankings not adjusted for going or weight or distance - Fastest Time

_FILTERED_RM Times/Rankings are adjusted for going only

_FILTERED_RMW Times/Rankings are adjusted for going and weight

_FILTERED_RMWD Times/Rankings are adjusted for going, weight and distance

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
ERROR2 | C | 10 | 0 | Short Error Description
RATRACK | C | 16 | 0 | Race Track Name
RATRACKCDE | C | 3 | 0 | Race Track Code
RADATE | D | 8 | 0 | Race Date
RAGOING | C | 5 | 0 | Track condition
RADIST | N | 4 | 0 | Race Distance
RADIST_R | N | 4 | 0 | Race Distance Rounded
RAPAR_R | N | 6 | 2 | Race Par Time Rounded
RACENO | N | 2 | 0 | Race Number
HORSE | C | 20 | 0 | Horse Name
FORM | C | 4 | 0 | Horse's form box
TABNO | N | 2 | 0 | TAB Number
FDATE | D | 8 | 0 | Date of horseform run
FGOING | C | 1 | 0 | Going for the horseform run
FTRACK | C | 6 | 0 | Track of the horsesform run
FDIST | N | 4 | 0 | Distance of the horseform run
FTIME | N | 6 | 2 | Time of the horseform run
FDIST_R | N | 4 | 0 | Rounded distance of the horseform run
FTIME_R | N | 7 | 3 | Rounded time of the horseform run
FMGN | N | 5 | 1 | Winning/losing margin of the horseform run
FMGNADJ | N | 7 | 3 | Margin adjustment for the horseform run
FTIME_RM | N | 7 | 3 | Time of the horseform run after rounding and margin adjustment
FPAR_R | N | 7 | 3 | Rounded Par Time of the horseform run
FPAR_RRAT | N | 7 | 3 | Horseform adjusted Time to HorseForm Par Ratio
RAPAR_RRAT | N | 7 | 3 | Horseform adjusted time to Race Par Ratio
FLIM | N | 4 | 1 | Weight Limit for the horseform run
FWGT | N | 4 | 1 | Weight carried in the horseform run
FALL | N | 4 | 1 | Jockey allowance in the horsefrom run
FNETWGT | N | 4 | 1 | Net weight carried in the horseform run
RACEWGT | N | 4 | 1 | Weight being carried in today's race
WGTDIFF | N | 5 | 1 | Difference betweeen todays's weight and the net weight carried in the horseform run
WGTCHGSECS | N | 5 | 2 | No of seconds to adjust for weight change between today and horseform run
FTIME_RMW | N | 7 | 3 | Horseform time after adjustment for rounding, margin & weight
DC | N | 5 | 0 | Distance change between horseform run and today's race
DCBONPEN | N | 7 | 3 | Bonus penalty fo distance change
FTIME_RMD | N | 7 | 3 | Horseform time after adjustment for rounding, margin & distance
FTIME_RMWD | N | 7 | 3 | Horseform time after adjustment for rounding, margin, weight & distance
RANK_RM | N | 7 | 3 | Today's rating after rounding and margin adjustment
RANK_RMW | N | 7 | 3 | Today's rating after rounding, margin and weight adjustment
RANK_RMWD | N | 7 | 3 | Today's rating after rounding, margin, weight and distance adjustment
PRED_RM | N | 7 | 3 | Today's predicted run time after rounding and margin adjustment
PRED_RMW | N | 7 | 3 | Today's predicted run time after rounding, margin and weight adjustment
PRED_RMWD | N | 7 | 3 | Today's predicted run time after rounding, margin, weight and distance adjustment
POS_SETTLE | N | 2 | 0 | Position settled in horseform run
POS_1200 | N | 2 | 0 | Position at 1200 in horseform run
POS_0800 | N | 2 | 0 | Position as 800 in horseform run
POS_0400 | N | 2 | 0 | Position at 400 in horseform run
ERROR | C | 100 | 0 | Descriptive error
KEYID | C | 16 | 0 | ID for this record - used for indexing
RACEID | C | 16 | 0 | Race ID for this record - used for indexing
HORSEID | C | 16 | 0 | Horse ID for this record - used for indexing
RANK | N | 2 | 0 | Race Times ranking order for the selected window. Horse may be ranked differently in each of the 4 RaceTimes windows
NOUF | N | 2 | 0 | This value = 1 if the horse does not qualify in any of the filtered windows, otherwise 0
APPEARS | N | 4 | 0 | How many of the 4 times windows this horse appears. A 1 or 0 appears for each window
BRNK | N | 2 | 0 | Bet Ranking assigned manually by PPFA. This is a grading on whether to bet in this race
PPRNK | N | 2 | 0 | Bet selctor ranking by rated price
FIN | N | 2 | 0 | Finishing position - after Ozbet Update
WINDIV | N | 7 | 2 | Tote win price after Ozbet Update
PCEDIV | N | 7 | 2 | Tote place price after Ozbet Update
IMPROVER | L | 1 | 0 | Flag if this horse's ranking improved from Filtered_RM


RaceTimes_Params

Navigation: DataBases > PPFA >

RaceTimes_Params - User criteria for generating the Race Times

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview
APPLY_BS | L | 1 | 0 | Apply to BS Ratings
APPLY_DC | L | 1 | 0 | Apply Distance Change Bonus/Penalty whilst creating Race Times Ratings
APPLY_WC | L | 1 | 0 | Apply Weight Change Bonus/Penalty whilst creating Race Times Ratings
IND_GOING | L | 1 | 0 | When calculating the RaceTimes, Use individual or grouped track conditions: Default = FALSE = OFF
RUNS | N | 2 | 0 | Number of runs to include from HorseForm File
LENPERSEC | N | 4 | 1 | Lengths per Second - Program now calculates based on Race Time
SECSPERKG | N | 4 | 2 | Seconds per Kg
DEAD2GOOD | N | 8 | 6 | Factor to convert Dead Time to Good time
SLOW2GOOD | N | 8 | 6 | Factor to convert Slow Time to Good time
HEAVY2GOOD | N | 8 | 6 | Factor to convert Heavy Time to Good time
DSTRGE01 | N | 4 | 0 | Race Distance 01
DSTRGE01DN | N | 4 | 0 | Allow Distance Change Down from Race Distance 01
DSTRGE01UP | N | 4 | 0 | Allow Distance Change UP from Race Distance 01
DSTRGE02 | N | 4 | 0 | Race Distance 02
DSTRGE02DN | N | 4 | 0 | Allow Distance Change Down from Race Distance 02
DSTRGE02UP | N | 4 | 0 | Allow Distance Change UP from Race Distance 02
DSTRGE03 | N | 4 | 0 | Race Distance 03
DSTRGE03DN | N | 4 | 0 | Allow Distance Change Down from Race Distance 03
DSTRGE03UP | N | 4 | 0 | Allow Distance Change UP from Race Distance 03
DSTRGE04 | N | 4 | 0 | Race Distance 04
DSTRGE04DN | N | 4 | 0 | Allow Distance Change Down from Race Distance 04
DSTRGE04UP | N | 4 | 0 | Allow Distance Change UP from Race Distance 04
DSTRGE05 | N | 4 | 0 | Race Distance 05
DSTRGE05DN | N | 4 | 0 | Allow Distance Change Down from Race Distance 05
DSTRGE05UP | N | 4 | 0 | Allow Distance Change UP from Race Distance 05
BF_RM01 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 01
BF_RM02 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 02
BF_RM03 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 03
BF_RM04 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 04
BF_RM05 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 05
BF_RM06 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin Ranked 06
BF_RMW01 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 01
BF_RMW02 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 02
BF_RMW03 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 03
BF_RMW04 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 04
BF_RMW05 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 05
BF_RMW06 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight Ranked 06
BF_RMWD01 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 01
BF_RMWD02 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 02
BF_RMWD03 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 03
BF_RMWD04 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 04
BF_RMWD05 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 05
BF_RMWD06 | N | 4 | 1 | Bonus for Filtered/Ranked/Margin/Weight/Distance Ranked 06
BU_RM01 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 01
BU_RM02 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 02
BU_RM03 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 03
BU_RM04 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 04
BU_RM05 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 05
BU_RM06 | N | 4 | 1 | Bonus for UNFiltered/Ranked Ranked 06
EXCDAYS | N | 4 | 0 | Exclude Form run if Form run older than this # of Days
APPLY_PCT | L | 1 | 0 | Apply the days since last penalty percentage to the bonus
DF_RM01 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin Setting 01
PF_RM01 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin Setting 01
DF_RM02 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin Setting 02
PF_RM02 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin Setting 02
DF_RM03 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin Setting 03
PF_RM03 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin Setting 03
DF_RM04 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin Setting 04
PF_RM04 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin Setting 04
DF_RMW01 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight Setting 01
PF_RMW01 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight Setting 01
DF_RMW02 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight Setting 02
PF_RMW02 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight Setting 02
DF_RMW03 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight Setting 03
PF_RMW03 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight Setting 03
DF_RMW04 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight Setting 04
PF_RMW04 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight Setting 04
DF_RMWD01 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight/Distance Setting 01
PF_RMWD01 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight/Distance Setting 01
DF_RMWD02 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight/Distance Setting 02
PF_RMWD02 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight/Distance Setting 02
DF_RMWD03 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight/Distance Setting 03
PF_RMWD03 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight/Distance Setting 03
DF_RMWD04 | N | 4 | 0 | Days allowable since last run for Filtered/Rank/Margin/Weight/Distance Setting 04
PF_RMWD04 | N | 3 | 0 | Percentage to apply to Bonus for Filtered/Rank/Margin/Weight/Distance Setting 04
DU_RM01 | N | 4 | 0 | Days allowable since last run for UNFiltered/Rank/Margin Setting 01
PU_RM01 | N | 3 | 0 | Percentage to apply to Bonus for UNFiltered/Rank/Margin Setting 01
DU_RM02 | N | 4 | 0 | Days allowable since last run for UNFiltered/Rank/Margin Setting 02
PU_RM02 | N | 3 | 0 | Percentage to apply to Bonus for UNFiltered/Rank/Margin Setting 02
DU_RM03 | N | 4 | 0 | Days allowable since last run for UNFiltered/Rank/Margin Setting 03
PU_RM03 | N | 3 | 0 | Percentage to apply to Bonus for UNFiltered/Rank/Margin Setting 03
DU_RM04 | N | 4 | 0 | Days allowable since last run for UNFiltered/Rank/Margin Setting 04
PU_RM04 | N | 3 | 0 | Percentage to apply to Bonus for UNFiltered/Rank/Margin Setting 04
BOXSHOW02 | N | 4 | 1 | Bonus if Horse appears in any 2 Times Boxes
BOXSHOW03 | N | 4 | 1 | Bonus if Horse appears in any 3 Times Boxes
BOXSHOW04 | N | 4 | 1 | Bonus if Horse appears in ALL 4 Times Boxes
MATCH_HK | L | 1 | 0 | Flag indicating whether to match form runs to today's track - HONG KONG ONLY


RClasses

Navigation: DataBases > PPFA >

RClasses - Race Classes

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RCLASS | C | 25 | 0 | Race Class Description
ACTIVE | L | 1 | 0 | Is this class active for BS System Selector, TRUE or FALSE


RSD

Navigation: DataBases > PPFA >

RSD - Race Day Sheets Detail - Created by Generate Race Day Sheets

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview
RNO | N | 2 | 0 | Race Number
TNO | N | 2 | 0 | Horse's TAB Number
ICONFILE | C | 7 | 0 | 6 char field for ID of icon file. "000000" means no icon file for this horse
E | C | 1 | 0 | How many of the 4 times windows this horse appears. A 1 or 0 appears for each window
FORM | C | 4 | 0 | Bet Ranking assigned manually by PPFA. This is a grading on whether to bet in this race
HORSE | C | 20 | 0 | Bet selctor ranking by rated price
RANK | N | 2 | 0 | Finishing position - after Ozbet Update
CTY | C | 3 | 0 | Tote win price after Ozbet Update
BP | N | 2 | 0 | Tote place price after Ozbet Update
JOCKEY | C | 16 | 0 | Jockey's Name
ALL | N | 3 | 1 | Apprentice Jockey Allowance
WGT | N | 4 | 1 | Horse's Weight
STAKES | N | 8 | 0 | Race Stakes $$$'s
AGE | N | 2 | 0 | Horse's Age
COL | C | 5 | 0 | Horse Colour
SEX | C | 1 | 0 | Horse's Sex
TRAINER | C | 25 | 0 | Horse's Trainer
STABLES | C | 20 | 0 | Where horse is stabled
STARTS | N | 3 | 0 | Career Starts
WINS | N | 3 | 0 | Career Wins
PL2 | N | 3 | 0 | Total Career 2nds
PL3 | N | 3 | 0 | Total Career 3rds
TDS | N | 3 | 0 | Total Starts at this Distance
TDW | N | 3 | 0 | Total Wins at this Distance
TD2 | N | 3 | 0 | Total 2nds at this Distance
TD3 | N | 3 | 0 | Total 3rds at this Distance
TCS | N | 3 | 0 | Total Career Starts at this Track
TCW | N | 3 | 0 | Total Career Wins at this Track
TC2 | N | 3 | 0 | Total Career 2nds at this Track
TC3 | N | 3 | 0 | Total Career 3rds at this Track
FS | N | 3 | 0 | Total Starts on a Fast Track
FW | N | 3 | 0 | Total Wins on a Fast track
F2 | N | 3 | 0 | Total 2nds on a Fast track
F3 | N | 3 | 0 | Total 3rds on a Fast track
GS | N | 3 | 0 | Career Starts on a Good Track
GW | N | 3 | 0 | Career Wins on a Good Track
G2 | N | 3 | 0 | Total 2nds on a Good Track
G3 | N | 3 | 0 | Total 3rds on a Good Track
DS | N | 3 | 0 | Career Starts on a Dead Track
DW | N | 3 | 0 | Wind on Dead track
D2 | N | 3 | 0 | Total 2nds on Dead Track
D3 | N | 3 | 0 | Total 3rds on Dead Track
SS | N | 3 | 0 | Career Starts on Slow track
SW | N | 3 | 0 | Total Rins on Slow Track
S2 | N | 3 | 0 | Total 2nds on Slow Track
S3 | N | 3 | 0 | Total 3rds on Slow Track
HS | N | 3 | 0 | Career Starts on a Heavy Track
HW | N | 3 | 0 | Career Wins on a Heavy Track
H2 | N | 3 | 0 | Total 2nds on Heavy Track
H3 | N | 3 | 0 | Total 3rds on Heavy Track
FUS | N | 3 | 0 | Total First-Up Starts
FUW | N | 3 | 0 | Total First-Up Wins
FU2 | N | 3 | 0 | Total First-Up 2nds
FU3 | N | 3 | 0 | Total First-Up 3rds
DAYS | N | 3 | 0 | Days Since Last Run
RUNS | N | 2 | 0 | Runs back from a spell
DDIST | N | 5 | 0 | Change in Distance from Last Run
DWGT | N | 5 | 1 | Change in Weight from Last Start
BREEDING | C | 55 | 0 | Horse's Breeding
OWNER | C | 90 | 0 | Horse's Owner/s
SILKS | C | 90 | 0 | Jockey Silk Colours
DISTWINS | C | 100 | 0 | Wins at which Distance
TBASE | N | 4 | 1 | Bet Selector's Base Rating
XPEAK | N | 4 | 1 | Bet Selector's PEAL Base Rating
PRICE | C | 5 | 0 | Bet Selector's Predicted Starting Price
LBD | N | 4 | 0 | Horse's Last Best Distance
SCR | C | 1 | 0 | Flag when horse is scratched
DOK | C | 1 | 0 | Horse is OK! At this Distance
FOK | C | 1 | 0 | First Up Okay (Y for bonus, N for penalty)
IMP | C | 1 | 0 | Is this Horse an Improver Today - yY " "
LEN | N | 4 | 1 | Predicted Margin in Lengths
FNO | N | 3 | 0 | Holds Form Lower Range from Last Start
FRT | N | 3 | 0 | Holds Form Upper Range from Last Start
WNF | C | 1 | 0 | Is the Horse in Winning Form
POS | N | 2 | 0 | Position in Bet Selector's Market
WET | C | 4 | 0 | Wet Box Bonus/Penalty yYnN
JRT | N | 3 | 1 | Jockey Ratings - Lower is Better
DS1 | D | 8 | 0 | Career Wins on a Dead Track
DS2 | D | 8 | 0 | Career 2nds on a Dead Track
DS3 | D | 8 | 0 | Career 3rds on a Dead Track
RS1 | N | 4 | 1 | CIS Rating Last start
RS2 | N | 4 | 1 | CIS Rating 2 Starts Ago
RS3 | N | 4 | 1 | CIS Rating 3 Starts Ago
BPRICE | N | 6 | 2 | zzz
CPRICE | N | 6 | 2 | zzz
TS1 | C | 1 | 0 | ???
TS2 | C | 1 | 0 | ???
TS3 | C | 1 | 0 | ???
COMMENT | C | 40 | 0 | Horse's Comment inc PPFA Adjustment
KEYID | C | 16 | 0 | KEYID
RACEID | C | 16 | 0 | RACEID
TIMESID | C | 16 | 0 | TIMESID
PRICEDEC | C | 7 | 0 | PPFA Market Price as decimal value
BLACKBOOK | L | 1 | 0 | Flag indicating if a Blackbook Entry Exists
HORSEID | C | 7 | 0 | Horse's Key Code for Indexing/Lookup
FSTRRANK | N | 2 | 0 | Field Strength Ranking for this run
FSTR2DAY | N | 3 | 0 | Field Strength for Today's Race
FSTRR1 | N | 3 | 0 | Field Strength for Last Run
FSTRDIFF1 | N | 5 | 1 | Difference in Field Strength between Today and Last Run
WGT2DAY | N | 4 | 1 | Actual Weight being carried today after adjustments
WGTR1 | N | 4 | 1 | Actual Weight being carried Last Start after adjustments
WGTDIFF1 | N | 5 | 1 | Weight Difference beween Last run and Today
WGT_ELE | N | 2 | 0 | Number indicating which element in the Weight Table was used for calculating the Weight Bonus/Penalty
WGT_BP | N | 6 | 2 | Field Strength Weight Bonus/Penalty
MARGIN | N | 5 | 1 | Winning/Beaten margin
MGN_ELE | N | 2 | 0 | Number indicating which element in the Margins Table was used for calculating the Margin Bonus/Penalty
MGN_BP | N | 6 | 2 | Field Strength Margin Bonus/Penalty
FSTRR1_ADJ | N | 6 | 2 | Calculated Bonus/Penalty using Weight and Margin Only
BON_PEN_1 | N | 6 | 2 | Overall Field Strength Bonus/Penalty based on last run
TRIALLED | L | 1 | 0 | Horse has trialled
DUPE | L | 1 | 0 | TRUE if Duplicate Horse Name, otherwise FALSE
SAME_TRAIN | N | 2 | 0 | Is today's Trainer the same as last run Trainer
SAME_JOCK | N | 2 | 0 | Is today's Jockey the same as last run Jockey
MAN_ADJ | N | 5 | 1 | Records any Manual Adjustments made using Edit Bet Selector Ratings


RSH

Navigation: DataBases > PPFA >

RSH - Race Day Sheets Header - Created by Generate Race Day Sheets

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RNO | N | 2 | 0 | Race Number
RACENAME | C | 40 | 0 | Description of Race
DIST | N | 4 | 0 | Race Distance
JUMP | C | 7 | 0 | Race Jump Time
CLASS | C | 25 | 0 | Race Class
STAKES | N | 8 | 0 | Race Stakes $$$'s
AGE | C | 10 | 0 | Age Restriction for Race
REST | C | 30 | 0 | Race Restrictions - If Any
CLAIM | C | 6 | 0 | Indicates if race is an Apprentice Claiming Race
WEIGHTS | C | 14 | 0 | Race Weights - Set, Handicap etc
LIMIT | N | 4 | 1 | Race Weight Limit
NREC | N | 2 | 0 | No of Runners in this Race
GOING | C | 5 | 0 | Today's Track Condition - F,G,D,S,H
KEYID | C | 16 | 0 | KEYID
RACEID | C | 16 | 0 | RACEID
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
RDATE | D | 8 | 0 | Race Date
STARTERS | N | 2 | 0 | No. of Starters in Race after Scratchings
PRNT | L | 1 | 0 | Prize Money
DUMP | L | 1 | 0 | Flag indicating whether to Export this Race for the Steve's Sheets
RR_VIEW | L | 1 | 0 | Flag if we have selected this race to be viewed in RaceRatings
BETRATING | N | 1 | 0 | Steve's Bet Strength Rating for this race
CTRY | C | 3 | 0 | Country of Race, eg AUS, HK, NZ, INT


Selected_Races

Navigation: DataBases > PPFA >

Selected_Races - Stores 'selected races' for Batch Updates

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | D | 8 | 0 | Stores Selected Races for Tote & Batch Updates: Meeting Date
TRACK | C | 16 | 0 | Stores Selected Races for Tote & Batch Updates: Track Name
RNO | N | 2 | 0 | Stores Selected Races for Tote & Batch Updates: Race Number
GOING | C | 5 | 0 | Stores Selected Races for Tote & Batch Updates: Track condition
RACENAME | C | 40 | 0 | Stores Selected Races for Tote & Batch Updates: Race Name
DIST | N | 4 | 0 | Stores Selected Races for Tote & Batch Updates: Race Distance
JUMP | C | 7 | 0 | Stores Selected Races for Tote & Batch Updates: Jump Time
CLASS | C | 25 | 0 | Stores Selected Races for Tote & Batch Updates: Race Class
STAKES | N | 8 | 0 | Stores Selected Races for Tote & Batch Updates: Prize Money
AGE | C | 10 | 0 | Stores Selected Races for Tote & Batch Updates: Age Restriction
REST | C | 30 | 0 | Stores Selected Races for Tote & Batch Updates: Other Race Restrictions
CLAIM | C | 6 | 0 | Stores Selected Races for Tote & Batch Updates: Can Apprentices Claim
WEIGHTS | C | 14 | 0 | Stores Selected Races for Tote & Batch Updates: Race Weights - Set, Handicap etc
LIMIT | N | 4 | 1 | Stores Selected Races for Tote & Batch Updates: Race Weight Limit
TCODE | C | 3 | 0 | Stores Selected Races for Tote & Batch Updates: Track Code
SOURCE | C | 6 | 0 | Stores Selected Races for Tote & Batch Updates: Data Vendor Info


SysColors

Navigation: DataBases > PPFA >

SysColors

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
DESC | C | 60 | 0 | Group Header or Description of Color Condition
ACTIVE | L | 1 | 0 | If checked, this color condition is active
BACK_GR | C | 10 | 0 | Click here to choose BackGround Color - Displays selected Color
FORE_GR | C | 10 | 0 | Click here to choose ForeGround Color - Displays selected Color
REST | C | 10 | 0 | Click here to Reset color to default
KEY | C | 10 | 0 | Used to index records
B_RED | N | 3 | 0 | Selected BackGround Red Number
B_GREEN | N | 3 | 0 | Selected BackGround Green Number
B_BLUE | N | 3 | 0 | Selected BackGround Blue Number
F_RED | N | 3 | 0 | Selected ForeGround Red Number
F_GREEN | N | 3 | 0 | Selected ForreGround Green Number
F_BLUE | N | 3 | 0 | Selected ForeGround Blue Number
DB_RED | N | 3 | 0 | Default BackGround Red Number
DB_GREEN | N | 3 | 0 | Default BackGround Green Number
DB_BLUE | N | 3 | 0 | Default BackGround Blue Number
DF_RED | N | 3 | 0 | Default ForeGround Red Number
DF_GREEN | N | 3 | 0 | Default ForeGround Green Number
DF_BLUE | N | 3 | 0 | Default ForeGround Blue Number
FLAG | N | 1 | 0 | Flag == 1 if the row is a header row


SysPar

Navigation: DataBases > PPFA >

SysPar - System Parameters

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview
VERSION | C | 12 | 0 | PPFA Software Version
REG_USER | C | 40 | 0 | Registered User of Software
PP_DRIVE | C | 1 | 0 | PPFA Drive for location of Programs/Data
PP_FOLDER | C | 60 | 0 | PPFA Folder for location of Programs/Data
PPJ_DRIVE | C | 1 | 0 | PPFA Drive for location of Programs/Data
PPJ_FOLDER | C | 60 | 0 | PPFA Folder for location of Programs/Data
CITY_PENAL | N | 3 | 1 | Default Penalty when riding at City Meetings
CITY_ALLOW | N | 3 | 1 | Default Allowance when riding at City Meetings
PROV_PENAL | N | 3 | 1 | Default Penalty when riding at Provincial Meetings
PROV_ALLOW | N | 3 | 1 | Default Allowance when riding at Provincial Meetings
CTRY_PENAL | N | 3 | 1 | Default Penalty when riding at Country Meetings
CTRY_ALLOW | N | 3 | 1 | Defualt Allowance when riding at Country Meetings
DEF_APPJRT | N | 3 | 1 | Default Jockey Rating for Apprentices
LRP1_LDAYS | N | 3 | 0 | Last Run - Lower Days for Penalty 1
LRP1_UDAYS | N | 3 | 0 | Last Run - Upper Days for Penalty 1
LRP1 | N | 4 | 1 | Last Run - Penalty 1
LRP2_LDAYS | N | 3 | 0 | Last Run - Lower Days for Penalty 2
LRP2_UDAYS | N | 3 | 0 | Last Run - Upper Days for Penalty 2
LRP2 | N | 4 | 1 | Last Run - Penalty 2
LRP3_LDAYS | N | 3 | 0 | Last Run - Lower Days for Penalty 3
LRP3_UDAYS | N | 3 | 0 | Last Run - Upper Days for Penalty 3
LRP3 | N | 4 | 1 | Last Run - Penalty 3
LRP4_LDAYS | N | 3 | 0 | Last Run - Lower Days for Penalty 4
LRP4_UDAYS | N | 3 | 0 | Last Run - Upper Days for Penalty 4
LRP4 | N | 4 | 1 | Last Run - Penalty 4
LRP5 | N | 4 | 1 | Last Run - Penalty 5
WRB_G_1 | N | 4 | 1 | Form Analysis - Good Track Win Bonus 1
WRB_G_2 | N | 4 | 1 | Form Analysis - Good Track Win Bonus 2
WRB_G_3 | N | 4 | 1 | Form Analysis - Good Track Win Bonus 3
WRB_D_1 | N | 4 | 1 | Form Analysis - Dead Track Win Bonus 1
WRB_D_2 | N | 4 | 1 | Form Analysis - Dead Track Win Bonus 2
WRB_D_3 | N | 4 | 1 | Form Analysis - Dead Track Win Bonus 3
WRB_S_1 | N | 4 | 1 | Form Analysis - Slow Track Win Bonus 1
WRB_S_2 | N | 4 | 1 | Form Analysis - Slow Track Win Bonus 2
WRB_S_3 | N | 4 | 1 | Form Analysis - Slow Track Win Bonus 3
WRB_H_1 | N | 4 | 1 | Form Analysis - Heavy Track Win Bonus 1
WRB_H_2 | N | 4 | 1 | Form Analysis - Heavy Track Win Bonus 2
WRB_H_3 | N | 4 | 1 | Form Analysis - Heavy Track Win Bonus 3
WSR_D_CRI1 | N | 3 | 0 | Form Analysis - Wet Strike Rate Dead Track Criteria 1
WSR_D_CRI2 | N | 3 | 0 | Form Analysis - Wet Strike Rate Dead Track Criteria 2
WSR_D_CRI3 | N | 3 | 0 | Form Analysis - Wet Strike Rate Dead Track Criteria 3
WSR_D_CRI4 | N | 3 | 0 | Form Analysis - Wet Strike Rate Dead Track Criteria 4
WSR_D_CRI5 | N | 3 | 0 | Form Analysis - Wet Strike Rate Dead Track Criteria 5
WSR_S_CRI1 | N | 3 | 0 | Form Analysis - Wet Strike Rate Slow Track Criteria 1
WSR_S_CRI2 | N | 3 | 0 | Form Analysis - Wet Strike Rate Slow Track Criteria 2
WSR_S_CRI3 | N | 3 | 0 | Form Analysis - Wet Strike Rate Slow Track Criteria 3
WSR_S_CRI4 | N | 3 | 0 | Form Analysis - Wet Strike Rate Slow Track Criteria 4
WSR_S_CRI5 | N | 3 | 0 | Form Analysis - Wet Strike Rate Slow Track Criteria 5
WSR_H_CRI1 | N | 3 | 0 | Form Analysis - Wet Strike Rate Heavy Track Criteria 1
WSR_H_CRI2 | N | 3 | 0 | Form Analysis - Wet Strike Rate Heavy Track Criteria 2
WSR_H_CRI3 | N | 3 | 0 | Form Analysis - Wet Strike Rate Heavy Track Criteria 3
WSR_H_CRI4 | N | 3 | 0 | Form Analysis - Wet Strike Rate Heavy Track Criteria 4
WSR_H_CRI5 | N | 3 | 0 | Form Analysis - Wet Strike Rate Heavy Track Criteria 5
WSR_D_BON1 | N | 4 | 1 | Form Analysis - Wet Strike Rate Dead Track Bonus 1
WSR_D_BON2 | N | 4 | 1 | Form Analysis - Wet Strike Rate Dead Track Bonus 2
WSR_D_BON3 | N | 4 | 1 | Form Analysis - Wet Strike Rate Dead Track Bonus 3
WSR_S_BON1 | N | 4 | 1 | Form Analysis - Wet Strike Rate Slow Track Bonus 1
WSR_S_BON2 | N | 4 | 1 | Form Analysis - Wet Strike Rate Slow Track Bonus 2
WSR_S_BON3 | N | 4 | 1 | Form Analysis - Wet Strike Rate Slow Track Bonus 3
WSR_H_BON1 | N | 4 | 1 | Form Analysis - Wet Strike Rate Heavy Track Bonus 1
WSR_H_BON2 | N | 4 | 1 | Form Analysis - Wet Strike Rate Heavy Track Bonus 2
WSR_H_BON3 | N | 4 | 1 | Form Analysis - Wet Strike Rate Heavy Track Bonus 3
WBX_DWCRI1 | N | 3 | 0 | Wet Box Won on Dead Going Criteria 1
WBX_DWCRI2 | N | 3 | 0 | Wet Box Won on Dead Going Criteria 2
WBX_DWCRI3 | N | 3 | 0 | Wet Box Won on Dead Going Criteria 3
WBX_SWCRI1 | N | 3 | 0 | Wet Box Won on Slow Going Criteria 1
WBX_SWCRI2 | N | 3 | 0 | Wet Box Won on Slow Going Criteria 2
WBX_SWCRI3 | N | 3 | 0 | Wet Box Won on Slow Going Criteria 3
WBX_HWCRI1 | N | 3 | 0 | Wet Box Won on Heavy Going Criteria 1
WBX_HWCRI2 | N | 3 | 0 | Wet Box Won on Heavy Going Criteria 2
WBX_HWCRI3 | N | 3 | 0 | Wet Box Won on Heavy Going Criteria 3
WBX_DPCRI1 | N | 3 | 0 | Wet Box Placed on Dead Going Criteria 1
WBX_DPCRI2 | N | 3 | 0 | Wet Box Placed on Dead Going Criteria 2
WBX_DPCRI3 | N | 3 | 0 | Wet Box Placed on Dead Going Criteria 3
WBX_SPCRI1 | N | 3 | 0 | Wet Box Placed on Slow Going Criteria 1
WBX_SPCRI2 | N | 3 | 0 | Wet Box Placed on Slow Going Criteria 2
WBX_SPCRI3 | N | 3 | 0 | Wet Box Placed on Slow Going Criteria 3
WBX_HPCRI1 | N | 3 | 0 | Wet Box Placed on Heavy Going Criteria 1
WBX_HPCRI2 | N | 3 | 0 | Wet Box Placed on Heavy Going Criteria 2
WBX_HPCRI3 | N | 3 | 0 | Wet Box Placed on Heavy Going Criteria 3
FA_W_CRI_1 | N | 3 | 0 | Form Analysis Win Criteria 1
FA_W_CRI_2 | N | 3 | 0 | Form Analysis Win Criteria 2
FA_W_CRI_3 | N | 3 | 0 | Form Analysis Win Criteria 3
FA_W_CRI_4 | N | 3 | 0 | Form Analysis Win Criteria 4
FA_W_CRI_5 | N | 3 | 0 | Form Analysis Win Criteria 5
FA_W_CRI_6 | N | 3 | 0 | Form Analysis Win Criteria 6
FA_W_CRI_7 | N | 3 | 0 | Form Analysis Win Criteria 7
FA_W_BON_1 | N | 4 | 1 | Form Analysis Win Bonus 1
FA_W_BON_2 | N | 4 | 1 | Form Analysis Win Bonus 2
FA_W_BON_3 | N | 4 | 1 | Form Analysis Win Bonus 3
FA_W_BON_4 | N | 4 | 1 | Form Analysis Win Bonus 4
FA_P_CRI_1 | N | 3 | 0 | Form Analysis Place Criteria 1
FA_P_CRI_2 | N | 3 | 0 | Form Analysis Place Criteria 2
FA_P_CRI_3 | N | 3 | 0 | Form Analysis Place Criteria 3
FA_P_CRI_4 | N | 3 | 0 | Form Analysis Place Criteria 4
FA_P_CRI_5 | N | 3 | 0 | Form Analysis Place Criteria 5
FA_P_BON_1 | N | 4 | 1 | Form Analysis Place Bonus 1
FA_P_BON_2 | N | 4 | 1 | Form Analysis Place Bonus 2
FA_P_BON_3 | N | 4 | 1 | Form Analysis Place Bonus 3
SPELL_DAYS | N | 4 | 0 | Form Analysis No. of Days since Last Run to be considered as a Spell
FA_START | D | 8 | 0 | Start Date for Creation of PPFA's Horseform File
FA_LAST | D | 8 | 0 | Date of Last Meeting used to Update PPFA's Horseform
HO_LAST | D | 8 | 0 | Date of Last Meeting used to Update PPFA's Horses Database
DIST_WCRI1 | N | 3 | 0 | Form Analysis - Distance Win Criteria 1
DIST_WCRI2 | N | 3 | 0 | Form Analysis - Distance Win Criteria 2
DIST_WCRI3 | N | 3 | 0 | Form Analysis - Distance Win Criteria 3
DIST_WCRI4 | N | 3 | 0 | Form Analysis - Distance Win Criteria 4
DIST_WCRI5 | N | 3 | 0 | Form Analysis - Distance Win Criteria 5
DIST_WBON1 | N | 4 | 1 | Form Analysis - Distance Win Bonus/Penalty 1
DIST_WBON2 | N | 4 | 1 | Form Analysis - Distance Win Bonus/Penalty 2
DIST_WBON3 | N | 4 | 1 | Form Analysis - Distance Win Bonus/Penalty 3
DIST_PCRI1 | N | 3 | 0 | Form Analysis - Distance Placed Criteria 1
DIST_PCRI2 | N | 3 | 0 | Form Analysis - Distance Placed Criteria 2
DIST_PCRI3 | N | 3 | 0 | Form Analysis - Distance Placed Criteria 3
DIST_PBON1 | N | 4 | 1 | Form Analysis - Distance Placed Bonus/Penalty 1
DIST_PBON2 | N | 4 | 1 | Form Analysis - Distance Placed Bonus/Penalty 1
TRK_WCRI1 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 1
TRK_WCRI2 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 2
TRK_WCRI3 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 3
TRK_WCRI4 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 4
TRK_WCRI5 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 5
TRK_WCRI6 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 6
TRK_WCRI7 | N | 3 | 0 | Form Analysis - Win at this Track Criteria 7
TRK_WBON1 | N | 4 | 1 | Form Analysis - Win at this Track Bonus 1
TRK_WBON2 | N | 4 | 1 | Form Analysis - Win at this Track Bonus 2
TRK_WBON3 | N | 4 | 1 | Form Analysis - Win at this Track Bonus 3
TRK_WBON4 | N | 4 | 1 | Form Analysis - Win at this Track Bonus 4
TRK_PCRI1 | N | 3 | 0 | Form Analysis - Place at this Track Criteria 1
TRK_PCRI2 | N | 3 | 0 | Form Analysis - Place at this Track Criteria 2
TRK_PCRI3 | N | 3 | 0 | Form Analysis - Place at this Track Criteria 3
TRK_PBON1 | N | 4 | 1 | Form Analysis - Place at this Track Bonus 1
TRK_PBON2 | N | 4 | 1 | Form Analysis - Place at this Track Bonus 2
CRFAAUDIT | L | 1 | 0 | Create Form Analysis Audit File
WBXMINRUN1 | N | 3 | 0 | Form Analysis - Wet Box Minimum Runs required before considering
WBXMINPER1 | N | 4 | 1 | Form Analysis - Wet Box Minimum Runs Percentage required before considering
WBXMINPER2 | N | 4 | 1 | Form Analysis - Wet Box Others Minimum Percentage required before considering
MDN_PENAL | N | 4 | 1 | Form Analysis - Penalty if Last start Maiden Winner
LSTWINBON | N | 4 | 1 | Bonus if Last Start Winner & Career Start <= LSTWINSTRT
LSTWINSTRT | N | 3 | 0 | Max Career runs to use when applying LSTWINBON
WGT_PENGTE | N | 4 | 1 | Weight Analysis - Include if Weight is Greater than Equal To
WGT_APPWB4 | L | 1 | 0 | Weight Analysis - Apply Penalty even if Horse has won carrying this weight before
WGT_PEN | N | 4 | 1 | Weight Analysis - Penalty to apply if Criteria is met
WGT_INCMDN | L | 1 | 0 | Weight Analysis - Include Maiden Winners in Calaculations
FSAPPLY | L | 1 | 0 | Field Strength - Apply to Base Rating When process run?
FSTRAUDIT | L | 1 | 0 | Field Strength - Include ALL Horses in Audit, otherwise only Errors
FSMGN1_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 1
FSMGN2_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 2
FSMGN3_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 3
FSMGN4_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 4
FSMGN5_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 5
FSMGN6_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 6
FSMGN7_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 7
FSMGN8_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 8
FSMGN9_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 9
FSMGNA_LTE | N | 4 | 1 | Field Strength - Margin Less Than or Equal To Criteria 10
FSMGN1_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 1
FSMGN2_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 2
FSMGN3_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 3
FSMGN4_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 4
FSMGN5_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 5
FSMGN6_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 6
FSMGN7_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 7
FSMGN8_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 8
FSMGN9_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 9
FSMGNA_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 10
FSMGNB_WB | N | 4 | 1 | Field Strength - Win Margin Bonus 11
FSMGN1_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 1
FSMGN2_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 2
FSMGN3_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 3
FSMGN4_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 4
FSMGN5_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 5
FSMGN6_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 6
FSMGN7_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 7
FSMGN8_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 8
FSMGN9_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 9
FSMGNA_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 10
FSMGNB_LP | N | 4 | 1 | Field Strength - Lose Margin Penalty 11
FSWGT1_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 1
FSWGT2_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 2
FSWGT3_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 3
FSWGT4_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 4
FSWGT5_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 5
FSWGT6_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 6
FSWGT7_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 7
FSWGT8_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 8
FSWGT9_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 9
FSWGTA_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 10
FSWGTB_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 11
FSWGTC_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 12
FSWGTD_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 13
FSWGTE_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 14
FSWGTF_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 15
FSWGTG_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 16
FSWGTH_LTE | N | 4 | 1 | Field Strength - Weight Difference Less Than or Equal To Criteria 17
FSWGT1_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 1
FSWGT2_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 2
FSWGT3_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 3
FSWGT4_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 4
FSWGT5_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 5
FSWGT6_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 6
FSWGT7_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 7
FSWGT8_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 8
FSWGT9_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 9
FSWGTA_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 10
FSWGTB_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 11
FSWGTC_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 12
FSWGTD_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 13
FSWGTE_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 14
FSWGTF_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 15
FSWGTG_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 16
FSWGTH_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 17
FSWGTI_BP | N | 5 | 2 | Field Strength - Weight Difference Bonus 18
FSWINWGTAJ | N | 4 | 1 | Field Strength - Weight Adjustment if Last Start Winner
FSRNK1_BP | N | 6 | 2 | Field Strength Bonus for Ranking 1
FSRNK2_BP | N | 6 | 2 | Field Strength Bonus for Ranking 2
FSRNK3_BP | N | 6 | 2 | Field Strength Bonus for Ranking 3
FSRNK4_BP | N | 6 | 2 | Field Strength Bonus for Ranking 4
FSRNK5_BP | N | 6 | 2 | Field Strength Bonus for Ranking 5
FSRNK6_BP | N | 6 | 2 | Field Strength Bonus for Ranking 6
FSWPSDROP1 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 1
FSWOSDROP1 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 1
FSWPSDROP2 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 2
FSWOSDROP2 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 2
FSWPSDROP3 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 3
FSWOSDROP3 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 3
FSWPSDROP4 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 4
FSWOSDROP4 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 4
FSWPSDROP5 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 5
FSWOSDROP5 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 5
FSWPSDROP6 | N | 6 | 2 | Field Strength Weight PLUS Strength Drop Bonus 6
FSWOSDROP6 | N | 6 | 2 | Field Strength Weight OR Strength Drop Bonus 6
LRWSR0 | N | 3 | 0 | Last Run - Percentage Win Strike Rate Minimum before considering
LRWSR1 | N | 3 | 0 | Last Run - Percentage Win Strike Rate Criteria 1
LRWSR2 | N | 3 | 0 | Last Run - Percentage Win Strike Rate Criteria 2
LRWSR3 | N | 3 | 0 | Last Run - Percentage Win Strike Rate Criteria 3
LRWSR1PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Win Percentage 1
LRWSR2PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Win Percentage 2
LRWSR3PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Win Percentage 3
LRWSR4PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Win Percentage 4
LRPSR0 | N | 3 | 0 | Last Run - Percentage Place Strike Rate Minimum before considering
LRPSR1 | N | 3 | 0 | Last Run - Percentage Place Strike Rate Criteria 1
LRPSR2 | N | 3 | 0 | Last Run - Percentage Place Strike Rate Criteria 2
LRPSR1PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Place Percentage 1
LRPSR2PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Place Percentage 1
LRPSR3PERC | N | 3 | 0 | Last Run - Percentage of Last Run Penalty to Return for Place Percentage 1
LRBONDIST | N | 4 | 0 | Last Run - Maximum Distance to Consider for Bonus/Penalty Returns
LRMINDAYS | N | 3 | 0 | Last Run - Minimum Days before considering Bonus/Penalty Returns
LRMAXPERC | N | 3 | 0 | Last Run - Maximum Percenatge of Bonus/Penalty to return
RTBU_RACE | L | 1 | 0 | Restore User Selected Columns for RACES in the RaceDay Times Browser ?
RTBU_RUNS | L | 1 | 0 | Restore User Selected Columns for RUNNERS in the RaceDay Times Browser ?
RTBU_FS | L | 1 | 0 | Restore User Selected Columns for F_STRENGTHS in the RaceDay Times Browser ?
RTBU_FRM | L | 1 | 0 | Restore User Selected Columns for TIMES_FRM in the RaceDay Times Browser ?
RTBU_FRMW | L | 1 | 0 | Restore User Selected Columns for TIMES_FRMW in the RaceDay Times Browser ?
RTBU_FRMWD | L | 1 | 0 | Restore User Selected Columns for TIMES_FRMWD in the RaceDay Times Browser ?
RTBU_URM | L | 1 | 0 | Restore User Selected Columns for TIMES_URM in the RaceDay Times Browser ?
RTBU_HF | L | 1 | 0 | Restore User Selected Columns for Horseform any Race Browser ?
BB_RUNS | N | 1 | 0 | No of runs to apply BlackBook entries
BB_RUN2FAC | N | 4 | 2 | Factor to multiply the Bonus for Run 2
BB_RUN3FAC | N | 4 | 2 | Factor to multiply the Bonus for Run 3
BB_RUN4FAC | N | 4 | 2 | Factor to multiply the Bonus for Run 4
QR_DIST_LO | N | 4 | 0 | Lowest Distance for qualified runs in the RaceTimes Browser/Races
QR_DIST_HI | N | 4 | 0 | Highest Distance for qualified runs in the RaceTimes Browser/Races
TOTE | N | 2 | 0 | User's preferred tote - allows default selection of Tote in Batch Updates
AGE01 | N | 5 | 1 | Bonus/Penalty for horses aged 1
AGE02 | N | 5 | 1 | Bonus/Penalty for horses aged 2
AGE03 | N | 5 | 1 | Bonus/Penalty for horses aged 3
AGE04 | N | 5 | 1 | Bonus/Penalty for horses aged 4
AGE05 | N | 5 | 1 | Bonus/Penalty for horses aged 5
AGE06 | N | 5 | 1 | Bonus/Penalty for horses aged 6
AGE07 | N | 5 | 1 | Bonus/Penalty for horses aged 7
AGE08 | N | 5 | 1 | Bonus/Penalty for horses aged 8
AGE09 | N | 5 | 1 | Bonus/Penalty for horses aged 9
AGE10 | N | 5 | 1 | Bonus/Penalty for horses aged > 9


SysPar_Alarms

Navigation: DataBases > PPFA >

SysPar_Alarms - System Parameters for Race Day Sheets Alarms

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
A1_ON | L | 1 | 0 | TRUE if Alarm #1 is SET, otherwise FALSE
A1_SND | L | 1 | 0 | TRUE if Alarm #1 is to play a sound file, otherwise FALSE
A1_MEDIA | C | 100 | 0 | Full path to sound file to play for Alarm #1
A1_MINS | N | 3 | 0 | Number of minutes before Jump Time to Play Alarm #1
A2_ON | L | 1 | 0 | TRUE if Alarm #2 is SET, otherwise FALSE
A2_SND | L | 1 | 0 | TRUE if Alarm #2 is to play a sound file, otherwise FALSE
A2_MEDIA | C | 100 | 0 | Full path to sound file to play for Alarm #2
A2_MINS | N | 3 | 0 | Number of minutes before Jump Time to Play Alarm #2
A3_ON | L | 1 | 0 | TRUE if Alarm #3 is SET, otherwise FALSE
A3_SND | L | 1 | 0 | TRUE if Alarm #3 is to play a sound file, otherwise FALSE
A3_MEDIA | C | 100 | 0 | Full path to sound file to play for Alarm #3
A3_MINS | N | 3 | 0 | Number of minutes before Jump Time to Play Alarm #3


SysPar_BR

Navigation: DataBases > PPFA >

SysPar_BR - Paramaters for creation of PPFA Base Ratings

FIELD

NAME

TYPE

FIELD

LENGTH

DECIMALS

DESCRIPTION
Print this Topic Return to chapter overview
SHOWBU | L | 1 | 0 | Show Generate Base Ratings in Batch Updates
IMP | L | 1 | 0 | Clear Bet Selector's IMP field
DOK | L | 1 | 0 | Clear Bet Selector's DOK field
FOK | L | 1 | 0 | Clear Bet Selector's FOK field
WNF | L | 1 | 0 | Clear Bet Selector's WNF field
LBD | L | 1 | 0 | Clear Bet Selector's LBD field
EXCDAYS | N | 4 | 0 | Exclude form runs if older than this many days
FORMRUNS | N | 2 | 0 | Number of form runs to include when generating Bsae Rating
MATCH_HK | L | 1 | 0 | Match Hong Kong form run track to meeting track
DSTRGE01 | N | 4 | 0 | Distance 1
DSTRGE01DN | N | 4 | 0 | Max metres down from distance 1
DSTRGE01UP | N | 4 | 0 | Max metres up from distance 1
DSTRGE02 | N | 4 | 0 | Distance 2
DSTRGE02DN | N | 4 | 0 | Max metres down from distance 2
DSTRGE02UP | N | 4 | 0 | Max metres up from distance 2
DSTRGE03 | N | 4 | 0 | Distance 3
DSTRGE03DN | N | 4 | 0 | Max metres down from distance 3
DSTRGE03UP | N | 4 | 0 | Max metres up from distance 3
DSTRGE04 | N | 4 | 0 | Distance 4
DSTRGE04DN | N | 4 | 0 | Max metres down from distance 4
DSTRGE04UP | N | 4 | 0 | Max metres up from distance 4
DSTRGE05 | N | 4 | 0 | Distance 5
DSTRGE05DN | N | 4 | 0 | Max metres down from distance 5
DSTRGE05UP | N | 4 | 0 | Max metres up from distance 5
DSTRGE06 | N | 4 | 0 | Distance 6
DSTRGE06DN | N | 4 | 0 | Max metres down from distance 6
DSTRGE06UP | N | 4 | 0 | Max metres up from distance 6
DSTRGE07 | N | 4 | 0 | Distance 7
DSTRGE07DN | N | 4 | 0 | Max metres down from distance 7
DSTRGE07UP | N | 4 | 0 | Max metres up from distance 7
DSTRGE08 | N | 4 | 0 | Distance 8
DSTRGE08DN | N | 4 | 0 | Max metres down from distance 8
DSTRGE08UP | N | 4 | 0 | Max metres up from distance 8
DSTRGE09 | N | 4 | 0 | Distance 9
DSTRGE09DN | N | 4 | 0 | Max metres down from distance 9
DSTRGE09UP | N | 4 | 0 | Max metres up from distance 9
DSTRGE10 | N | 4 | 0 | Distance 10
DSTRGE10DN | N | 4 | 0 | Max metres down from distance 10
DSTRGE10UP | N | 4 | 0 | Max metres up from distance 10
DSTRG201 | N | 4 | 0 | distance_level_2 1
DSTRG201DN | N | 4 | 0 | Max metres down from distance_level_2 1
DSTRG201UP | N | 4 | 0 | Max metres up from distance_level_2 1
DSTRG202 | N | 4 | 0 | distance_level_2 2
DSTRG202DN | N | 4 | 0 | Max metres down from distance_level_2 2
DSTRG202UP | N | 4 | 0 | Max metres up from distance_level_2 2
DSTRG203 | N | 4 | 0 | distance_level_2 3
DSTRG203DN | N | 4 | 0 | Max metres down from distance_level_2 3
DSTRG203UP | N | 4 | 0 | Max metres up from distance_level_2 3
DSTRG204 | N | 4 | 0 | distance_level_2 4
DSTRG204DN | N | 4 | 0 | Max metres down from distance_level_2 4
DSTRG204UP | N | 4 | 0 | Max metres up from distance_level_2 4
DSTRG205 | N | 4 | 0 | distance_level_2 5
DSTRG205DN | N | 4 | 0 | Max metres down from distance_level_2 5
DSTRG205UP | N | 4 | 0 | Max metres up from distance_level_2 5
DSTRG206 | N | 4 | 0 | distance_level_2 6
DSTRG206DN | N | 4 | 0 | Max metres down from distance_level_2 6
DSTRG206UP | N | 4 | 0 | Max metres up from distance_level_2 6
DSTRG207 | N | 4 | 0 | distance_level_2 7
DSTRG207DN | N | 4 | 0 | Max metres down from distance_level_2 7
DSTRG207UP | N | 4 | 0 | Max metres up from distance_level_2 7
DSTRG208 | N | 4 | 0 | distance_level_2 8
DSTRG208DN | N | 4 | 0 | Max metres down from distance_level_2 8
DSTRG208UP | N | 4 | 0 | Max metres up from distance_level_2 8
DSTRG209 | N | 4 | 0 | distance_level_2 9
DSTRG209DN | N | 4 | 0 | Max metres down from distance_level_2 9
DSTRG209UP | N | 4 | 0 | Max metres up from distance_level_2 9
DSTRG210 | N | 4 | 0 | distance_level_2 10
DSTRG210DN | N | 4 | 0 | Max metres down from distance_level_2 10
DSTRG210UP | N | 4 | 0 | Max metres up from distance_level_2 10
BASERUNS | N | 2 | 0 | After extracting max form runs, max runs to use for generating Base Rating
PQR1_1 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run1 is Level1
PQR1_2 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run1 is Level2
PQR1_3 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run1 is Level3
PQR2_1 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run2 is Level1
PQR2_2 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run2 is Level2
PQR2_3 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run2 is Level3
PQR3_1 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run3 is Level1
PQR3_2 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run3 is Level2
PQR3_3 | N | 3 | 0 | Percentage of TRT to apply if Qual_Run3 is Level3


SysPar_PIR

Navigation: DataBases > PPFA >

SysPar_PIR - System Parameters for Position in Running

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
LT_1 | N | 4 | 0 | Lowest Distance to check for Position in Running
LT_1_MINUS | N | 4 | 0 | Metres below Lowest Distance to allow for tolerance
LT_1_PLUS | N | 4 | 0 | Metres above Lowest Distance to allow for tolerance
LT_2 | N | 4 | 0 | #2 Distance to check for Position in Running
LT_2_MINUS | N | 4 | 0 | Metres below #2 Distance to allow for tolerance
LT_2_PLUS | N | 4 | 0 | Metres above #2 Distance to allow for tolerance
LT_3 | N | 4 | 0 | #3 Distance to check for Position in Running
LT_3_MINUS | N | 4 | 0 | Metres below #3 Distance to allow for tolerance
LT_3_PLUS | N | 4 | 0 | Metres above #3 Distance to allow for tolerance
LT_4 | N | 4 | 0 | #4 Distance to check for Position in Running
LT_4_MINUS | N | 4 | 0 | Metres below #4 Distance to allow for tolerance
LT_4_PLUS | N | 4 | 0 | Metres above #4 Distance to allow for tolerance
LT_5 | N | 4 | 0 | #5 Distance to check for Position in Running
LT_5_MINUS | N | 4 | 0 | Metres below #5 Distance to allow for tolerance
LT_5_PLUS | N | 4 | 0 | Metres above #5 Distance to allow for tolerance
LT_6 | N | 4 | 0 | #6 Distance to check for Position in Running
LT_6_MINUS | N | 4 | 0 | Metres below #6 Distance to allow for tolerance
LT_6_PLUS | N | 4 | 0 | Metres above #6 Distance to allow for tolerance
LT_7 | N | 4 | 0 | #7 Distance to check for Position in Running
LT_7_MINUS | N | 4 | 0 | Metres below #7 Distance to allow for tolerance
LT_7_PLUS | N | 4 | 0 | Metres above #7 Distance to allow for tolerance
LT_8 | N | 4 | 0 | #8 Distance to check for Position in Running
LT_8_MINUS | N | 4 | 0 | Metres below #8 Distance to allow for tolerance
LT_8_PLUS | N | 4 | 0 | Metres above #8 Distance to allow for tolerance


TAB_BSMEETINGS

Navigation: DataBases > PPFA >

TAB_BSMEETINGS

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | D | 8 | 0 | Meeting Date
TCODE | C | 3 | 0 | Tote's Track Code
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
NREC | N | 2 | 0 | Number of races at this Meeting
FMAX | N | 2 | 0 | Number of form runs downloaded
SOURCE | C | 6 | 0 | Data Vendor Information
LOCATION | C | 1 | 0 | One Character code for Race Track Location - M,X,Z,W etc


TAB_MEETINGS

Navigation: DataBases > PPFA >

TAB_MEETINGS

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | C | 8 | 0 | Meeting Date
MCODE | C | 4 | 0 | Meeting Code
MTRACK | C | 25 | 0 | Meeting Track
RACES | N | 2 | 0 | No of Races as this meeting
WEATHER | C | 16 | 0 | Weather Condtion
GOING | C | 10 | 0 | Track condition, going
BSTCODE | C | 7 | 0 | Best Selector's Track Code


TAB_MEETINGSDETAIL

Navigation: DataBases > PPFA >

TAB_MEETINGSDETAIL

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RDATE | C | 8 | 0 | Race Date
RCODE | C | 4 | 0 | Race Track Code
RTRACK | C | 25 | 0 | Race Track
RNO | N | 2 | 0 | Race Number
RSTATUS | C | 16 | 0 | Race Status, Open, Abandoned, Released etc
RJUMP | C | 5 | 0 | Race Jump Time
ACCEPT | N | 2 | 0 | Number of acceptances
RCLASS | C | 25 | 0 | Race Class
RNAME | C | 40 | 0 | Race Name
RDIST | N | 4 | 0 | Race Distance
GOING | C | 10 | 0 | Race Going
WEATHER | C | 10 | 0 | Weather conditions
BSTCODE | C | 7 | 0 | Best Selector's Track Code


TAB_RESULTS

Navigation: DataBases > PPFA >

TAB_RESULTS

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RDATE | C | 8 | 0 | Race Date
BSRCODE | C | 3 | 0 | Bet Selector Race Track Code
RCODE | C | 4 | 0 | Race Code
RTRACK | C | 25 | 0 | Race Track
RNO | N | 2 | 0 | Race Number
F1_DH | N | 2 | 0 | TAB No. of winner2 if a Dead Heat
WINDIV_DH | N | 7 | 2 | Win2 Dividend if a Dead Heat
PCEDIV1_DH | N | 7 | 2 | Winner2's place dividend if a Dead Heat
F1 | N | 2 | 0 | TAB No. of winner
F2 | N | 2 | 0 | TAB No. of second place getter
F3 | N | 2 | 0 | TAB No. of third palce getter
F4 | N | 2 | 0 | TAB No. of fourth place getter
WINDIV | N | 7 | 2 | Win Dividend
PLACEDIV1 | N | 7 | 2 | Winner's place dividend
PLACEDIV2 | N | 7 | 2 | 2nd place getter dividend
PLACEDIV3 | N | 7 | 2 | 3rd place getter dividend
QUIN_NOS | C | 5 | 0 | Quinella numbers
QUINELLA | N | 9 | 2 | Quinella Dividend
EXAC_NOS | C | 5 | 0 | Exacta numbers
EXACTA | N | 9 | 2 | Exacta dividend
TRIF_NOS | C | 8 | 0 | Trifecta numbers
TRIFECTA | N | 9 | 2 | Trifecta dividend
QUAR_NOS | C | 11 | 0 | Quartet numbers
QUARTET | N | 9 | 2 | Quartet dividend
DBL1_NOS | C | 5 | 0 | Double 1 numbers
DOUBLE1 | N | 9 | 2 | Double 1 dividend
DBL2_NOS | C | 5 | 0 | Double 2 numbers
DOUBLE2 | N | 9 | 2 | Double 2 dividend
QUAD_NOS | C | 11 | 0 | Quaddie numbers
QUADDIE | N | 9 | 2 | Quaddie dividend


TAB_RUNNERS

Navigation: DataBases > PPFA >

TAB_RUNNERS

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RDATE | C | 8 | 0 | Race Date
BSRCODE | C | 3 | 0 | Bet Selector Race Track code
RCODE | C | 4 | 0 | Race Code
RTRACK | C | 25 | 0 | Race Track
RNO | N | 2 | 0 | Race Number
TABNO | N | 2 | 0 | TAB Number
HORSE | C | 20 | 0 | Horse Name
WIN | C | 10 | 0 | Win Dividend
PLACE | C | 10 | 0 | Palce Dividend
JOCKEY | C | 16 | 0 | Jockey Name
GOING | C | 5 | 0 | Track Condition


Times

Navigation: DataBases > PPFA >

Times - System settings used to adjust the Jump Times for the state in which you live/Stay.

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
STATE_ID | C | 3 | 0 | Key Code for State
HOME_ID | C | 3 | 0 | User's Home State Key Code
STATE_DESC | C | 20 | 0 | Description of State
TIME_DIFF | C | 6 | 0 | Time Difference between Home State and NSW
HAS_DL | L | 1 | 0 | This State has Daylight Saving .T. .F. YN
DL_START | D | 8 | 0 | Date Daylight Saving Starts
DL_END | D | 8 | 0 | Date Daylight Saving Ends
TIME_ADJ | C | 6 | 0 | Total Time Difference between Home State and NSW inc Daylight Saving
HOME_STATE | L | 1 | 0 | Flags this record as the Home State


Tracks

Navigation: DataBases > PPFA >

Tracks

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
TCODE | C | 7 | 0 | Track Code
TRACK | C | 18 | 0 | Race Track Name eg Caulfield
OZBETTRACK | C | 25 | 0 | Race Track Name as per OzBet's Track Name
UNITABTRK | C | 25 | 0 | Track Name used by UniTAB
LOCATION | C | 10 | 0 | One Character code for Race Track Location - M,X,Z,W etc
TRSTATE | C | 3 | 0 | Race Track's Location State
TR_IS_CITY | L | 1 | 0 | Track is a City Track .T. .F. YN
TR_PENAL | N | 4 | 1 | PPFA Penalty for this Track - Not Used
TR_ABBR | C | 6 | 0 | Abbreviated Track Name


Tracks_ALL

Navigation: DataBases > PPFA >

Tracks_ALL

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
TRACK | C | 6 | 0 | Race Track Name eg Caulfield
PENALTY | N | 4 | 1 | Not used
PENAL_LAST | N | 4 | 1 | Not used
TRSTATE | C | 3 | 0 | Race Track's Location State
TCODE | C | 10 | 0 | Track Code
LOCATION | C | 10 | 0 | One Character code for Race Track Location - M,X,Z,W etc
FULLNAME | C | 18 | 0 | Race Track Name eg Caulfield
DATA_PROV | C | 10 | 0 | Name of Data Provider


Trainers

Navigation: DataBases > PPFA >

Trainers

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
TRAINER | C | 25 | 0 | Traner Name
SURNAME | C | 25 | 0 | Trainer by Surname
STATE | C | 10 | 0 | Trainer's Home State
RATING | N | 4 | 1 | Trainer's Rating entered by user
CITY_ADJ | N | 4 | 1 | Trainer's City Adjustment - Greater is Better
PROV_ADJ | N | 4 | 1 | Trainer's Provincial Adjustment - Greater is Better
CTRY_ADJ | N | 4 | 1 | Trainer's Country Adjustment - Greater is Better
IS_NEW | L | 1 | 0 | Trainer is newly added to database
P1P_TOTAL | N | 5 | 1 | Total Winners Percentage
P1P_CITY | N | 5 | 1 | Winners Percentage CITY
P1P_CTRY | N | 5 | 1 | Winners Percentage COUNTRY
P1P_PROV | N | 5 | 1 | Winners Percentage PROVINCIAL
PLP_TOTAL | N | 5 | 1 | Total Placed Percentage
PLP_CITY | N | 5 | 1 | Placed Percentage CITY
PLP_CTRY | N | 5 | 1 | Placed Percentage COUNTRY
PLP_PROV | N | 5 | 1 | Placed Percentage PROVINCIAL
ST_TOTAL | N | 5 | 0 | Total Starters
ST_CITY | N | 5 | 0 | Starters CITY
ST_CTRY | N | 5 | 0 | Starters COUNTRY
ST_PROV | N | 5 | 0 | Starters PROVINCIAL
P1_TOTAL | N | 5 | 0 | Total Winners
P1_CITY | N | 5 | 0 | Winners CITY
P1_CTRY | N | 5 | 0 | Winners COUNTRY
P1_PROV | N | 5 | 0 | Winners PROVINCIAL
P2_TOTAL | N | 5 | 0 | Total 2nd Place Getters
P2_CITY | N | 5 | 0 | 2nd Place Getters CITY
P2_CTRY | N | 5 | 0 | 2nd Place Getters COUNTRY
P2_PROV | N | 5 | 0 | 2nd Place Getters PROVINCIAL
P3_TOTAL | N | 5 | 0 | Total 3rd Place Getters
P3_CITY | N | 5 | 0 | 3rd Place Getters CITY
P3_CTRY | N | 5 | 0 | 3rd Place Getters COUNTRY
P3_PROV | N | 5 | 0 | 3rd Place Getters PROVINCIAL
P4_TOTAL | N | 5 | 0 | Total 4th Place Getters
P4_CITY | N | 5 | 0 | 4th Place Getters CITY
P4_CTRY | N | 5 | 0 | 4th Place Getters COUNTRY
P4_PROV | N | 5 | 0 | 4th Place Getters PROVINCIAL


TrainJock

Navigation: DataBases > PPFA >

TRAINJOCK - Trainer_Jockey_Combos

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
JOCKEY | C | 16 | 0 | Jockey name as published
JOSURNAME | C | 16 | 0 | Jockey name with SURNAME 1st
STATE | C | 3 | 0 | Jockey's normal home state
CITY_BONUS | N | 5 | 1 | City Bonus/Penalty
PROV_BONUS | N | 5 | 1 | Provincial Bonus/Penalty
CTRY_BONUS | N | 5 | 1 | Country Bonus/Penalty
TRAINER | C | 25 | 0 | Trainer by Surname
LOOKUP | C | 25 | 0 | Trainer name as published


Weights_Audit

Navigation: DataBases > PPFA >

Weights_Audit

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Name of Horse
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
TCODE | C | 3 | 0 | Track Code
RDATE | D | 8 | 0 | Race Date
RNO | N | 4 | 1 | Race Number
CARRYWGT | C | 3 | 0 | Horse can carry the weight and win
WGT2DAY | N | 4 | 1 | Actual Weight being carried today after adjustments
TBASE_ADJ | N | 4 | 1 | Weight Ratings - Adjustment to BS Base Rating


Bet Selector

Navigation: DataBases >

Bet Selector

 Print this Topic Return to chapter overview

Data Bases used by Bet Selector

Form

Horses

MeetMenu

Races


Form

Navigation: DataBases > Bet Selector >

Form - CDEddmmyyyyH.dbf

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
HORSE | C | 20 | 0 | Name of Horse
FIN | N | 2 | 0 | Horse's Finishing Position
STR | N | 2 | 0 | Starters in race
MARG | N | 5 | 1 | Winning/Beaten margin
DATE | D | 8 | 0 | Horse's Run Date
TRACK | C | 6 | 0 | Race Track Name eg Caulfield
M | C | 1 | 0 | Race Track Grading (pP,M,U)
RNO | N | 2 | 0 | Race Number
PRIZE | N | 6 | 1 | Prize Money
PRWIN | N | 6 | 1 | Prize Money Won for this Race
EVENT | C | 15 | 0 | Description of Race - 2up Mdn-sw
CLASS | C | 5 | 0 | Race Class
AGE | C | 2 | 0 | Horse's Age
REST | C | 4 | 0 | Race Restrictions - If Any
G | C | 1 | 0 | Going, Track Condition - F, G,D,S,H
DIST | N | 4 | 0 | Race Distance
TIME | N | 6 | 2 | Race Time of Winner
SDIST | N | 4 | 0 | Sectional Distance
STIME | N | 6 | 2 | Sectional Time
OP | C | 6 | 0 | Opening Betting Ring Price
MP | C | 6 | 0 | Middle Betting Ring Price
SP | C | 7 | 0 | Starting Price
WGT | N | 4 | 1 | Horse's Weight
ALL | N | 4 | 1 | Apprentice Jockey Allowance
LIM | N | 4 | 1 | Race Weight Limit
JOCKEY | C | 16 | 0 | Jockey's Name
BP | N | 2 | 0 | Barrier Starting Position
SD | N | 2 | 0 | Settling Position of Horse in Race
TW | N | 2 | 0 | 1200m Position of Horse in Race
EI | N | 2 | 0 | 800m Position of Horse in Race
FO | N | 2 | 0 | 400m Position of Horse in Race
F1 | C | 2 | 0 | 1=Winner's 2=2nds Name
OTHER1 | C | 18 | 0 | Name of Winner or 2nd Horse if Horse Won
WGT1 | N | 4 | 1 | Winner's Weight
F2 | C | 2 | 0 | Total 2nds on a Fast track
OTHER2 | C | 18 | 0 | ### Not Used ###
WGT2 | N | 4 | 1 | ### Not Used ###
F3 | C | 2 | 0 | Total 3rds on a Fast track
OTHER3 | C | 18 | 0 | ### Not Used ###
WGT3 | N | 4 | 1 | ### Not Used ###
TRT | N | 4 | 1 | Bet Selector's CIS Rating
WRT | N | 4 | 1 | ### Not Used ###


Horses

Navigation: DataBases > Bet Selector >

Horses - CDEddmmyyyyH.dbf

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RNO | N | 2 | 0 | Race Number
TNO | N | 2 | 0 | Horse's Saddle Cloth No.
E | C | 1 | 0 | Emergency Indicator
FORM | C | 4 | 0 | Horses Last 4 Finishing Positions
HORSE | C | 20 | 0 | Name of Horse
CTY | C | 3 | 0 | Horse's Country of Origin
BP | N | 2 | 0 | Barrier Starting Position
JOCKEY | C | 16 | 0 | Jockey's Name
ALL | N | 3 | 1 | Apprentice Jockey Allowance
WGT | N | 4 | 1 | Horse's Weight
STAKES | N | 8 | 0 | Race Stakes $$$'s
AGE | N | 2 | 0 | Horse's Age
COL | C | 5 | 0 | Horse Colour
SEX | C | 1 | 0 | Horse's Sex
TRAINER | C | 25 | 0 | Horse's Trainer
STABLES | C | 20 | 0 | Where horse is stabled
STARTS | N | 3 | 0 | Career Starts
WINS | N | 3 | 0 | Career Wins
PL2 | N | 3 | 0 | Total Career 2nds
PL3 | N | 3 | 0 | Total Career 3rds
TDS | N | 3 | 0 | Total Starts at this Distance
TDW | N | 3 | 0 | Total Wins at this Distance
TD2 | N | 3 | 0 | Total 2nds at this Distance
TD3 | N | 3 | 0 | Total 3rds at this Distance
TCS | N | 3 | 0 | Total Career Starts at this Track
TCW | N | 3 | 0 | Total Career Wins at this Track
TC2 | N | 3 | 0 | Total Career 2nds at this Track
TC3 | N | 3 | 0 | Total Career 3rds at this Track
FS | N | 3 | 0 | Total Starts on a Fast Track
FW | N | 3 | 0 | Total Wins on a Fast track
F2 | N | 3 | 0 | Total 2nds on a Fast track
F3 | N | 3 | 0 | Total 3rds on a Fast track
GS | N | 3 | 0 | Career Starts on a Good Track
GW | N | 3 | 0 | Career Wins on a Good Track
G2 | N | 3 | 0 | Total 2nds on a Good Track
G3 | N | 3 | 0 | Total 3rds on a Good Track
DS | N | 3 | 0 | Career Starts on a Dead Track
DW | N | 3 | 0 | Toal Wins on Dead track
D2 | N | 3 | 0 | Total 2nds on Dead Track
D3 | N | 3 | 0 | Total 3rds on Dead Track
SS | N | 3 | 0 | Career Starts on Slow track
SW | N | 3 | 0 | Total Rins on Slow Track
S2 | N | 3 | 0 | Total 2nds on Slow Track
S3 | N | 3 | 0 | Total 3rds on Slow Track
HS | N | 3 | 0 | Career Starts on a Heavy Track
HW | N | 3 | 0 | Career Wins on a Heavy Track
H2 | N | 3 | 0 | Total 2nds on Heavy Track
H3 | N | 3 | 0 | Total 3rds on Heavy Track
FUS | N | 3 | 0 | Total First-Up Starts
FUW | N | 3 | 0 | Total First-Up Wins
FU2 | N | 3 | 0 | Total First-Up 2nds
FU3 | N | 3 | 0 | Total First-Up 3rds
DAYS | N | 3 | 0 | Days Since Last Run
RUNS | N | 2 | 0 | Runs back from a spell
DDIST | N | 5 | 0 | Change in Distance from Last Run
DWGT | N | 5 | 1 | Change in Weight from Last Start
BREEDING | C | 55 | 0 | Horse's Breeding
OWNER | C | 90 | 0 | Horse's Owner/s
SILKS | C | 90 | 0 | Jockey Silk Colours
DISTWINS | C | 100 | 0 | Wins at which Distance
TBASE | N | 4 | 1 | Bet Selector's Base Rating
XPEAK | N | 4 | 1 | Bet Selector's PEAL Base Rating
PRICE | C | 5 | 0 | Bet Selector's Predicted Starting Price
LBD | N | 4 | 0 | Horse's Last Best Distance
SCR | C | 1 | 0 | Flag when horse is scratched
DOK | C | 1 | 0 | Horse is OK! At this Distance
FOK | C | 1 | 0 | First Up Okay (Y for bonus, N for penalty)
IMP | C | 1 | 0 | Is this Horse an Improver Today - yY " "
LEN | N | 4 | 1 | Predicted Margin in Lengths
FNO | N | 3 | 0 | Holds Form Lower Range from Last Start
FRT | N | 3 | 0 | Holds Form Upper Range from Last Start
WNF | C | 1 | 0 | Is the Horse in Winning Form
POS | N | 2 | 0 | Predicted Position in Bet Selector's Market
WET | C | 4 | 0 | Wet Box Bonus/Penalty yYnN
JRT | N | 3 | 1 | Jockey Ratings - Lower is Better
DS1 | D | 8 | 0 | Career Wins on a Dead Track
DS2 | D | 8 | 0 | Career 2nds on a Dead Track
DS3 | D | 8 | 0 | Career 3rds on a Dead Track
RS1 | N | 4 | 1 | CIS Rating Last Start
RS2 | N | 4 | 1 | CIS Rating 2 Starts Ago
RS3 | N | 4 | 1 | CIS Rating 3 Starts Ago
BPRICE | N | 6 | 2 | zzz
CPRICE | N | 6 | 2 | Comparitive Price
TS1 | C | 1 | 0 | ???
TS2 | C | 1 | 0 | ???
TS3 | C | 1 | 0 | ???
COMMENT | C | 40 | 0 | Horse's Comment inc PPFA Adjustment


MeetMenu

Navigation: DataBases > Bet Selector >

MeetMenu

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
MDATE | D | 8 | 0 | Meeting Date
TCODE | C | 3 | 0 | Track Code
TRACK | C | 16 | 0 | Race Track Name eg Caulfield
NREC | N | 2 | 0 | Number of races at this Meeting
FMAX | N | 2 | 0 | Number of form runs downloaded
SOURCE | C | 6 | 0 | Data Vendor Information
LOCATION | C | 1 | 0 | One Character code for Race Track Location - M,X,Z,W etc


Races

Navigation: DataBases > Bet Selector >

Races - CDEddmmyyyyR.dbf

 Print this Topic Return to chapter overview

FIELD NAME | TYPE | FIELD LENGTH | DECIMALS | DESCRIPTION
RNO | N | 2 | 0 | Race Number
RACENAME | C | 40 | 0 | Race Description
DIST | N | 4 | 0 | Race Distance
JUMP | C | 7 | 0 | Race Jump Time
CLASS | C | 25 | 0 | Race Class
STAKES | N | 8 | 0 | Race Stakes $$$'s
AGE | C | 10 | 0 | Age Restriction for Race
REST | C | 30 | 0 | Race Restrictions - If Any
CLAIM | C | 6 | 0 | Indicates if race is an Apprentice Claiming Race
WEIGHTS | C | 14 | 0 | Race Weights - Set, Handicap etc
LIMIT | N | 4 | 1 | Race Weight Limit
NREC | N | 2 | 0 | Runners in this Race
GOING | C | 5 | 0 | Today's Track Condition - F,G,D,S,H
MPC | N | 3 | 0 | zzz
TAKE | N | 5 | 0 | zzz
QTAKE | N | 5 | 0 | zzz
BETMULT | N | 4 | 0 | zzz
MINDIV | N | 5 | 0 | zzz
MAXDIV | N | 5 | 0 | zzz
HALFUNIT | C | 1 | 0 | zzz
NEWCALC | C | 1 | 0 | zzz
TOPTRIS | C | 1 | 0 | zzz
COMPODDS | C | 1 | 0 | zzz
RED1 | N | 3 | 0 | zzz
RED2 | N | 3 | 0 | zzz
ACTIVE | C | 1 | 0 | Flag for Bet Selector Systems Analyser
T1 | N | 2 | 0 | TAB No of Winner
T2 | N | 2 | 0 | TAB No of 2nd Horse
T3 | N | 2 | 0 | TAB No of 3rd Horse
WN | N | 6 | 2 | Win Dividend
QN | N | 7 | 2 | Quinella Dividend
EX | N | 7 | 2 | Exacta Dividend
TT | N | 8 | 2 | Trifecta Dividend
QB | N | 7 | 1 | zzz
EB | N | 7 | 1 | zzz
TB | N | 7 | 1 | zzz
QU | N | 6 | 1 | zzz
EU | N | 6 | 1 | zzz
TU | N | 6 | 1 | zzz
T4 | N | 2 | 0 | TAB No of 4th Horse
PD1 | N | 5 | 2 | Place Dividend of Winner
PD2 | N | 5 | 2 | Place Dividend of 2nd Horse
PD3 | N | 5 | 2 | Place Dividend of 3rd Horse
FF | N | 9 | 2 | zzz
SCRS | C | 60 | 0 | List of Scratchings


File Maintenance

Navigation: »No topics above this level«

File Maintenance

 Print this Topic Return to chapter overview

Most databases used by PPFA can be maintained in the File Maintenance procedures. Please read the Overview and Examples for a full understanding of how the File Maintenance Windows should be used.

Overview

Examples

Barriers

BaseRatings

BlackBook

Field Strengths

Field Strengths Audit

Field Strengths Cross Reference

Form Analysis

Form Analysis Barriers

Form Analysis Barriers Low Grade Tracks

HorseForm

Horses

Horses Audit

Jockeys

Jockeys Missing

Race Classes

RaceTimes Archive

RaceTimes NOT Filtered

State Times

System Parameters

System Base Ratings Parameters

System Parameters - Field Strengths

System Parameters - Form Analysis

System Parameters - Race Par Times

TAB Results ( WA )

Tracks

Tracks ALL

Trainers

Weights Audit


Overview

Navigation: File Maintenance >

File Maintenance Overview

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

Except for the State Times and the System Parameters which are fully explained under their respective topics, all other databases are viewed/edited using a common interface. Buttons on the right-hand side of the window Can all be accessed by Hotkey Alt+? Where the Question Mark is replaced by the Underlined Letter in the Button Title.

The features of this new interface are explained below.

Tip:

The column widths in the browser can be changed by moving the cursor to the line which separates the field names in the header row. The cursor will change to a cross-hair and you can drag the columns wider or narrower. You can also use drag and drop to rearrange the columns by dragging and dropping the column description.

The File Maintenance Screen
The Edit Record Button Alt+E

Clicking the Edit Record Button opens a new window displaying data from the currently selected record in the File Maintenance Window, ready for editing. You may also navigate to other records from within the Edit Window.
The Add New Record Button Alt+A

Clicking the Add New Record Button opens a new window displaying all fields with blank data. You may now enter the data in the displayed fields then click the Add button to add the record and return to the File Maintenance Window with the newly added record displayed. Clicking the Cancel button will return you to the File Maintenance Window with nothing changed.
The Clone Record Button Alt+C

Selecting a record in the Browser then clicking the Clone Record Button will automatically create a copy of your currently selected record. Useful when adding similar records – eg Barriers.

Most databases have indexes which allow the system to quickly find records based on the currently selected index. Some indexes are UNIQUE meaning that only one record with that KEY can exist in the database. - eg Barriers BCODE field is UNIQUE becuase if two records existed with the same BCODE, the system would not know which record to use when applying Bonus/Penalties.

When you attempt to CLONE a record which has a UNIQUE Index Key, you will be prompted to enter new data for any fields which are used to make UNIQUE indexes. Using the 'Barriers' database example, if you CLONE a record you are presented with a window requesting the new data for the BCODE field. Once you have entered the new BCODE, the record will be added with an exact photocopy of the record you are CLONING except for the BCODE field which will contain the data you were prompted for.

e.g.; You want to add a new 3,000 metre distance for Canberra so you select the ACT1900 record to clone. When prompted for the BCODE field you enter ACT3000 and on accepting you will have a new copy of the ACT1900 record with the only difference being the BCODE field which will be ACT3000. You may now make any changes to the ACT3000 record as required.
The Delete Record Button

Deleting records in DBASE is not permanent unless the database is subsequently 'PACKED'. Clicking the Delete Record Button will delete the currently selected record by flagging it as 'DELETED'. The 'Show Deleted Records' button is a toggle button which switches between showing and hiding deleted records. The default is 'DON'T Show deleted Records' so if you delete a record it will disappear from the view. Switching on the Show Deleted Records will display deleted records DIMMED. When selecting a Deleted Record in the browser the button text will change to UN-Delete and you may recover the Deleted Record. It naturally follows that you can only view deleted records when the Show Deleted Records button is ON.

In the examples below, 'Show Deleted Records' is on. Figure 1 shows ZZ002 and ZZ003 dimmed because they are deleted.

As a deleted record is not selected, the button in Figure 2 displays 'Delete'.

In Figure 3, the same records are displayed, however, in Figure 3, ZZ002 is selected so the button description changes to Un-Delete as seen in Figure 4. Pressing the 'Un-Delete' button will recover record ZZ002

Figure 1 | Figure 2 | Figure 3 | Figure 4

You may safely test these procedures with your own databases by selecting a record then deleting it. It will disappear from the view. Selecting 'Show Deleted Records' will bring the deleted record back in to view albeit displayed dimmed. Selecting the deleted record will change the description on the 'Delete' button to 'Un-Delete'. Clicking the 'Un-Delete' button will restore the record.
The Show Deleted Records Button

The 'Show Deleted Records' button is a toggle button which switches between showing and hiding deleted records. See the Delete Record Button for a full explanation.
The Create Filter Button

Allows the user to Create, Apply, Save, Load, their own tailor made filters.

The 'True' button is used with Logical Fields | The 'False' button is used with Logical Fields
This is the 'Less Than' button | This is the 'Less Than or Equal To' button
This is the 'Equals' button | This is the "Exact Equals' Button
This is the 'Greater' button | This is the 'Greater Than or Equal To' button
This is the 'NOT Equal To' button | This button is used if you are filtering on a field which contains a particular string

The Preset Filters Drop-Down List

PPFA has prepared filters for those databases it deems necessary. Clicking on the little Down-Arrow on the right of the List Box will reveal the list if any Preset Filters Exist. You may then apply the filter by selecting it in the Drop-Down list. The browser will change to displaying only those records that meet the filter criteria. The number of records in the database is displayed in the top right hand corner of the File Maintenance window. After applying a filter, then the number of records will change to the number of records which meet the filter criteria.
The Edit Mode Drop-Down List

By default, each time you open a File Maintenance Window, the fields are READ ONLY. The Edit Button and Add Button open their own windows which over-ride the Read-Only setting. If you want to edit in the browser you must select an Edit Mode first.

Clicking on the little Down-Arrow on the right of the List Box present the following options;

Active | Edit in the current cell starts only by pressing the RETURN key or by double-clicking the mouse button in the cell.
Sensitive | Edit in the current cell is started, as soon as the left mouse button or a valid key on the keyboard is pressed. The pressed key is taken automatically to the edit.
Excel | Edit in the current cell is started, as soon as the left mouse button or a valid key on the keyboard is pressed. The pressed key is taken automatically to the edit. During the edit the browser behaves like Microsoft Excel.
Permanent | Edit is started automatically, as soon as a new cell is selected.
The Indexes Drop-Down List

Clicking on the little Down-Arrow in the right of the List Box will reveal the list of any Indexes. Not ALL, but most databases have associated Indexes. Choosing from the Drop-Down List will re-arrange the records in the browser to your selected Index Order.

The 'Open' and 'Close Index' buttons are for advanced use.
The Show Selector Button

The Show Line Cursor Button
The Export Data Button

The Export Data button allows opens the following window whose information is linked to the database from which the window was opened.

If a filter is active then only those records which meet the filter criteria will be exported.

If you design your own 'Field Layout' then only those fields will be included in the export.

Export Type:

Text (.txt) or Comma Separated (.csv)

Date Format:

Self Explanatory

Delimiters:

Allows you to define your own field delimiters for the field in a .CSV file

Open with application when done:

Will automatically choose the correct application to open your outputted file.

Design Field Layout:

Allows selection of the fields to export

Load, Save, Manage Layouts:

Allows the saving of your currently selected layout or restoring a previous layout. Each layout can be saved with a unique name.

Output Window:

Displays the current report settings including the number of fields in the underlying database and the filter description if a filter is active.
Searching

Selecting any column then typing an appropriate search for that column will automatically open a search field on the bottom of the browser. e.g. If looking for a name then pressing any character, if looking for a numeric then any number, a logical (YES/NO) then Y or N. Once you have typed your search characters then press the RETURN KEY and the search will be executed. Each press of the RETURN KEY will find the NEXT occurrence until there is no more then it will return to the first occurrence again. Pressing the Esc Key will close the Search Window.


Examples

Navigation: File Maintenance >

File Maintenance Examples

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

Jockeys Database

Indexes:

JOSURNAME Jockey's in Alphabetical order by SURNAME
JOAPPREN All Jockey's ordered by whether they are APPRENTICES
JOSTATE All Jockeys will be listed by State
JOCKEY All Jockey's in alphabetical order of the NAME eg J A SMITH
JOSURNAM All Jockey's in alphabetical order of the SURNAME eg SMITH A J
JOSTATUS All Jockey's ordered by whether they are NEW

When searching for a Jockey, click on any Name in the Jockey Surname Column, type 3 or 4 letters of the SURNAME you require and press enter. Pressing ENTER again will navigate to the Next Jockey beginning with the same search characters.

Cloning Records:

This function can be used when adding new Barriers etc and will save considerable time by not having to manually put in new records

Click Clone record, continue to clone;

In the BARRIERS database, the BCODE field is a Unique Field, that is, you can’t have 2 records with the same Barrier Code, so you will be prompted for a new BCODE before the record is appended to the database.

eg; You select CAU1100 and then click the Clone Record button. You enter CAU1250 and a new record with BCODE == CAU1250 will be automatically generated with exactly the same information as the CAU1100 record.

If you want to further edit the New Record, either change the Edit Mode to edit in the Browser or click on the Edit Record Button ( Don’t forget you can also use the Accelerator Keys )

The Clone Record Button Alt+C

Selecting a record in the Browser then clicking the Clone Record Button will automatically create a copy of your currently selected record. Useful when adding similar records – eg Barriers.

Most databases have indexes which allow the system to quickly find records based on the currently selected index. Some indexes are UNIQUE meaning that only one record with that KEY can exist in the database. - eg Barriers BCODE field is UNIQUE becuase if two records existed with the same BCODE, the system would not know which record to use when applying Bonus/Penalties.

When you attempt to CLONE a record which has a UNIQUE Index Key, you will be prompted to enter new data for any fields which are used to make UNIQUE indexes. Using the 'Barriers' database example, if you CLONE a record you are presented with a window requesting the new data for the BCODE field. Once you have entered the new BCODE, the record will be added with an exact photocopy of the record you are CLONING except for the BCODE field which will contain the data you were prompted for.

e.g.; You want to add a new 3,000 metre distance for Canberra so you select the ACT1900 record to clone. When prompted for the BCODE field you enter ACT3000 and on accepting you will have a new copy of the ACT1900 record with the only difference being the BCODE field which will be ACT3000. You may now make any changes to the ACT3000 record as required.

Creating Filters

Filters can be used to display only those records which match the filter criteria. eg in Jockeys, if you wanted to check ALL APPRENTICES with a Provincial Claim between 1.5 and 4;

In plain English, we want all Jockeys who are Apprentices and their Provincial Claim is Greater Than or Equal to 1.5 and Less Than or Equal to 4

In database code this equates to;

IS_APPREN .AND. PROV_ALLOW >= 1.5 .AND. PROV_ALLOW <= 4

The Create Filter window allows you to quickly and accurately generate this code with no prior knowledge of the coding syntax.

The Create Filter Button

Allows the user to Create, Apply, Save, Load, their own tailor made filters.

The 'True' button is used with Logical Fields | The 'False' button is used with Logical Fields
This is the 'Less Than' button | This is the 'Less Than or Equal To' button
This is the 'Equals' button | This is the "Exact Equals' Button
This is the 'Greater' button | This is the 'Greater Than or Equal To' button
This is the 'NOT Equal To' button | This button is used if you are filtering on a field which contains a particular string

Click Create Filter and execute the steps outlined below to create the example filter.

In the Field List, highlight the IS_APPREN field.

When you highlight a field the system knows its charateristics and in this case it knows that this field is a Logical field meaning it can only have values of TRUE or FALSE so the only Operation Buttons available to the right of screen are the TRUE and FALSE buttons.

As we only want Apprentices, click on the TRUE button and you will see the IS_APPREN field displayed in the 'Prototype' entry box. When checking Logical Fields, TRUE is the default so nothing more needs to be entered. Try clicking on the FALSE button and you will see a '!' prefix the IS_APPREN in the Prototype entry box. The "!" is database code for NOT EQUAL, therefore, the filter will not include Apprentices. Now click the TRUE button again and you will see the "!" disppear.

Press the CONFIRM button and the code will be entered into the Code Window.

We now need to check the Provincial Allowance so highlight the PROV_ALLOW field in the Field List. You will notice that the 'Numeric' radio button is on as the system knows that this is a numeric field. As we want values equal to or greater than 1.5 press the 'Equal To or Greater Than' button and the Prototype Entry Box will display PROV_ALLOW >= .... with the 4 dots highlighted. This is where you enter the value you are testing against so go ahead and enter 1.5 - make sure you don't leave any dots after entering your value as the dots are only there as a template for your data.

As we want both the IS_APPREN and the PROV_ALLOW to meet the criteria we click on the 'and' button to add to the Code Window.

The Code Window will now display;

IS_APPREN .AND. PROV_ALLOW >= 1.5

As we are going to use the same field to add the next criteria, simply click on the 'Less Than or Equal To' button and enter 4 in the highlighted area of the Prototype Entry Box then click on the 'and' button.

The Code Window will now display;

IS_APPREN .AND. PROV_ALLOW >= 1.5 .AND. PROV_ALLOW <= 4

You are now ready to 'Validate the Filter', however, if you are going to use this filter repeatedly, you can save the filter in the library so you can simply reload it when you want to use it again.

If you don't want to save the filter simply click the 'Validate the filter' button and the 'Building a filter' window will close and the system will return to the database window with only those records which match the filter being displayed.

To save the filter, click on the 'Library' button and the following window displays.

Type in a name for your filter in the 'Filter name: ' entry box. eg 'JO_Appren_PA_1.5_to_4' then click on the 'Save' button. The rest of the buttons in this window should be self explanatory.

NB: When saving filters in the Library, PPFA recommends that you prefix the filter name with an acronym for the Database. This way you won’t try to apply a Jockey Filter to the Barriers Database.

eg Jockeys JO, Barriers BA, HorseForm HF, Field Strengths FS, Field Strength Audit FSA, etc etc

When you want to use it again, press the Create Filter button and return to the Build Filter window. Click on the Library button and Load your saved filter then press Ok!

Now press the 'Ok' button which will return you to the 'Building a filter' window. Here you can pres the 'Validate the filter' button which will close this window and return you to the Jockeys File Maintenance window with the filter applied.

You can use any of three methods to remove the filter;

1. Close the File Maintenance window

2. Click the 'Create Filter' button and validate the filter with an empty Code Window

3. Select 'Inactive' in the 'Preset Filters' list.

Creating Field Strengths

After running the “Update Field Strengths”, you should check if any Field Strength Codes are missing by opening the Field Strengths Audit in File Maintenance. After applying the PRESET FILTER for “Missing Field Strengths”, if any Missing Field Strength Codes are displayed, immediately open the Field Strengths by clicking File Maintenance, Field Strengths. Reposition this window so you can see the Missing Field Strengths. Now in the Field Strengths Window you can search for the closest match to the Missing FS Code and Clone that record. The “Cloned” record will display right next to the original. Change the “Cloned” record to reflect the correct KEY_ID and FSTR Rating. Repeat this procedure for each Missing Field Strength.

HINT: In the Field Strengths Window, change the “Edit Mode” to “Active” as soon as the Window Opens. This will allow you to edit directly in the Browser by Double-Clicking in the required cell.


Barriers

Navigation: File Maintenance >

Barriers

 Print this Topic Return to chapter overview

You may View/Edit/Add/Delete Barriers Codes for tracks by distance and set the Bonus / Penalty to your liking. The allowed values may be positive or negative.

To add a new record it is easiest to select a similar record in the File Maintenance browser then choose to 'CLONE' that record which will create a copy of the selected record. See 'Cloning Records'

When cloning records you may be prompted to enter a unique code.

The database has been designed to recognize distances within a range, EG: 1235m at Albany will be recorded in the BCode column as ALN1200; any distance that is located in the range from 1200 to 1299 will adopt this barrier penalty

NB:

When creating NEW Codes, please follow the existing format for creating the codes.

All distances in the code must use a 4 digit format… e.g. 0 to 999 must be entered as 0000 to 0999.


Base Ratings (PPFA)

Navigation: File Maintenance >

Base Ratings

 Print this Topic Return to chapter overview

You may View the audit created by PPFA's Generate Base Ratings.

The Qualifies Field may contain a value from 1 to 3 where 1 is a Top Level match by Race Distance and 3 the lowest level match by Race Distance.

Furthermore, once the form runs have been extracted, PPFA uses them to generate the Base Rating. The Qualifies Field for these runs is multiplied by 10 so these runs will sort to the bottom.

eg; Horsename "HORSE" has had 40 runs. In the Base Ratings parameters, I have set the maximum form runs to use to 25 and the runs to use to generate the Base Rating to 3. PPFA will extract the first 25 of HORSE's 40 runs. Each of these runs will be allocated a "QUALIFIES" number according to how the run is matched to the distance parameters entered into the Base Ratings Parameters.

These runs will now be sorted by Qualifies, by TRT.

 | Unsorted |  | Sorted
No. | TRT | Qualifies | TRT | Qualifies
1 | 51.2 | 3 | 48.0 | 1
2 | 55.5 | 2 | 55.5 | 2
3 | 54.0 | 2 | 54.5 | 2
4 | 48.0 | 1 | 51.2 | 3
5 |  |  |  |
6 |  |  |  |
....... |  |  |  |
25 |  |  |  |

As the maximum runs to use to generate the Base Rating has been set to 3, only the 1st 3 of the sorted runs will be used.


BlackBook

Navigation: File Maintenance >

BlackBook

 Print this Topic Return to chapter overview

You may maintain your Black Book entries here. The Race Day Browser has the facility to add entries on the fly. All entries in this database will automatically be flagged in your Race Day Browser if the Horse is racing today.

In version 5 the Black Book has been re-designed to allow entries to be carried for up to 4 runs. The number of runs that are carried forward from the original entry is controlled by the end user by setting the System Parameters for the Black Book. - see System Parameters Black Book.

The bonus applied works as follows;

When setting up the System's Black Book Parameters, you can set the number of runs to carry forward the Black Book Entry and the % of the original Bonus/Penalty to apply to runs 2, 3 & 4. Note that Penalties will always be applied at the original figure. The Bonus/Penalty for runs 2, 3 & 4 are updated the first time you run the Black Book Update. You may over-ride these figures at any time as the Black Book Update will only overwrite them if they are ZERO.

The following screenshots should assist your understanding of the new Black Book features.


Field Strengths

Navigation: File Maintenance >

Field Strengths

 Print this Topic Return to chapter overview

PPFA’s Field Strength Codes and Rating


Field Strengths Audit

Navigation: File Maintenance >

Field Strengths Audit

 Print this Topic Return to chapter overview

View the Field Strengths generated for each race after running the Update Selections procedure.

You can also find any Missing Field Strength Codes here!


Field Strengths Cross Ref

Navigation: File Maintenance >

Field Strengths Cross Ref

 Print this Topic Return to chapter overview

This database is used by PPFA to Cross Reference Field Strengths from the Race File to the Horse Form File.


Form Analysis

Navigation: File Maintenance >

Form Analysis

 Print this Topic Return to chapter overview

View the adjustments made by PPFA. This feature is for reference only and rarely used.


Form Analysis Barriers

Navigation: File Maintenance >

Form Analysis Barriers

 Print this Topic Return to chapter overview

View Barrier Codes not found by PPFA when doing the Update Barriers. Please note that PPFA will automatically make the adjustment if the Code does not exist but a code for the distance rounded down to the nearest 100 does exist. E.g. Race is CAU1065, code does not exist, but CAU1000 does exist, then PPFA will use the CAU1000 to make appropriate adjustments. This feature is for reference only and rarely used.


Form Analysis Low Grade Tracks

Navigation: File Maintenance >

Form Analysis Low Grade Tracks

 Print this Topic Return to chapter overview

View the adjustments made by PPFA. This feature is for reference only and rarely used.


HorseForm

Navigation: File Maintenance >

HorseForm

 Print this Topic Return to chapter overview

View the Horse Form File created by PPFA. This feature is for reference only and rarely used because it is available directly from the Race Day/Times/Edit Browsers by double-clicking on the horse.


HorseForm Comments

Navigation: File Maintenance >

HorseForm Comments

 Print this Topic Return to chapter overview

View the Horse Form Comments you have added using the procedure available form Change Meeting Details, Edit Bet Selector Ratings and RaceTimes Browser. This feature is for reference only and rarely used because it is available directly from the Race Times, Edit Bet Selector Ratings and the Change Meeting ( CMTD ) by double-clicking on the horse.


Horses

Navigation: File Maintenance >

Horses

 Print this Topic Return to chapter overview

With the inclusion of International racing PPFA has added a horse’s database that lists all runners racing in Australia, NZ and HK. The racing origin is ticked, if the runner is a duplicate it will have more than one racing origin ticked. This is a vital function that needs to be monitored so that only the relevant form is being used when assessing a horse and therefore the correct bonus/penalties are being applied.

A fully updated Horses Database is supplied with your installation files. If you want to create your own HORSES database from scratch, then you can run the 'Create or Re-Create Horses ALL' procedure. This will generate a new database dating back to the FA_Start date recorded in your System Parameters, see HM_Setup_Misc_Parameters for the FA_Start date. Alternatively, you may subscribe to the PPFA Database Updates and you will receive by email a 'zipped' and fully updated HORSES database.

The HORSES database needs to be updated each time you download new meetings. When the database is updated using the 'Update Horses NEW' procedure, any horses which are deemed to race in more than 1 country will be flagged with a 'P' = PENDING in the Horses database DUPLICATE field. Any horse with a 'P' in the Duplicate field of the Horses database is awaiting the user to flag it with a 'Y' = DUPLICATE or 'N' = NOT DUPLICATE

e.g. A horse races firstly in Australia and then in Hong Kong. The update procedure will identify that this horse has or is going to race in more than 1 country so the horse will be flagged with a 'P' in the Duplicate field. You will need to check this horse's form and establish if it is the same horse or 2 different horses and flag the database field accordingly with a 'Y' if its a duplicate and with a 'N" if not a duplicate, that is, its the same horse.

Using Bet Selector, download the fields, then, in PPFA Batch Updates, run Update Horses New, (this is NOT update HorseForm NEW). This process scans all newly downloaded races.

Under FileMaintenance in the top level drop-down menu, select Horses.

In the Preset Filters, select 'Pending'. This will show any horses pending your establishing whether they are a duplicate or the same horse. If there are any horses displayed then follow the procedures outlined below.

Under FileMaintenance in the top level drop-down menu, select Horses Audit.

In the Preset Filters, select 'Updates'. This will show any horses updated during the last update process. Using the information displayed here it is easy to check the form of each horse using Bet Selector where you should be able to establish whether the horse is a duplicate.

As can be seen in the below screenshots, both the Horses_Audit and the Horses databases have been opened and positioned on the screen so as both are visible. Bet Selector is also opened, and, as can be seen in the Horses_Audit screen, the horse Incandescent is racing at Flemington in Race 1 TAB# 4. A check in Bet Selector shows that this is a MAIDEN runner and as the Horses database indicated that this horse is racing both in NZ and Australia, it is obviously a Duplicate so it is flagged as a 'Y' in the Horses database.

PPFA Horses_Audit Screenshot

Bet Selector Screenshot | PPFA Horses Screenshot

Similarly, in the above Bet Selector 'View Past Form' screenshot for the horse HURRAH, it can be seen that the horse HURRAH racing at Trentham (NZ) in Race 9 TAB# 1 has previously raced in Australia and is therefore the same horse so it will be flagged with a 'N' in the DUPLICATE field of the Horses database as this is NOT a Duplicate, it is the same horse.

· Any horses in the Horses database which is listed with CREATE in the type column is a newly added horse to the database and therefore does not need checking. Any horse with UPDATE in the type column is a horse that existed prior to the Update Process but has now been identified to be racing in more than 1 country.


Horses_Audit

Navigation: File Maintenance >

Horses_Audit

 Print this Topic Return to chapter overview

Under File maintenance, select horses’ audit, box opens Check for Multiple countries.

Any runner that DOES NOT appear in the horses database will be listed with CREATE in the type column. These runners will be created and added to the database.

Using the Pre set filters, select Updates, if a runner is already in the horse’s database and appears with a different racing origin, it will be listed. Users then need to check whether this runner is a duplicate or the same horse racing in different country.

Open the horse form database and check the runners’ forms to make this determination, once this has been done.


Jockeys

Navigation: File Maintenance >

Jockeys

 Print this Topic Return to chapter overview

Stores jockey and apprentice ratings for City, provincial and country tracks, these can be edited by:

Any of the ratings may be adjusted to suit each users opinion, the apprentice claims can be found at the following link and it is recommended that regular checks be made on a monthly basis to make adjustments for reduction in allowances

Apprentice Claims


Jockeys - Missing

Navigation: File Maintenance >

Jockeys - Missing

 Print this Topic Return to chapter overview

Please Note: This function has been superseded by the Apply Missing jockeys Function under the updates Menu. The New Function is Detailed under the Heading Running PPFA.

After running Update Selections, Update Missing Jockeys, A list of -MR-s with date, Track Code, Race Ro, TAB No. and horse name is available to print, go to Print and select standard report. Use this list to make manual adjustments to Bet Selector’s Jockeys.


Market Percentages

Navigation: File Maintenance >

Market Percentages

 Print this Topic Return to chapter overview

This database stores the percentages to apply when forming the market for each race. You can set the Market Percentages for each day of the week and apply a different percentage for CITY, PROVINCIAL & COUNTRY meetings.

The Market Percentages will be applied during Batch Updates.


Race Classes

Navigation: File Maintenance >

Race Classes

 Print this Topic Return to chapter overview

Classes used in the Bet Selector “System Selector” and displayed in the PPFA “Set BS Active” procedure.


Race Times Archive

Navigation: File Maintenance >

Race Times Archive

 Print this Topic Return to chapter overview

This database is the accumulation of RaceTimes Data on a daily basis and is updated by the 'Archive Race Times Data' in the Batch Updates.

Once updated, you can use File Maintenance to view/analyse its contents.

There are many 'Preset Filters' which allow you to quickly extract different statistics.


Race Times Not Filtered

Navigation: File Maintenance >

Race Times Not Filtered

 Print this Topic Return to chapter overview

This database is contains RaceTimes related information for the date last run in Batch Updates.

After updating with TAB Results, (Batch Updates), you can use File Maintenance to view/analyse its contents.

There are many 'Preset Filters' which allow you to quickly extract different statistics related to one day's racing.


State Times

Navigation: File Maintenance >

State Times

 Print this Topic Return to chapter overview

View / Edit the time differences for each State. The times are adjusted relative to the time in NSW. e.g. 12:00 jump time in NSW = -02:00 for WA, 02:00 for NZ. You will also select your Home State here as explained in the Setup Procedures. After setting up, this maintenance procedure will only be used to adjust the Daylight Saving Start/End Dates for each State and changing the Home State if you are travelling or moving.


System Parameters

Navigation: File Maintenance >

System Parameters

 Print this Topic Return to chapter overview

Click here to view System Parameters

Click the 'Back Button' in the toolbar to return to this page...


System Base Ratings Parameters

Navigation: File Maintenance >

System Base Ratings Parameters

 Print this Topic Return to chapter overview

Click here to view System Base Ratings Parameters

Click the 'Back Button' in the toolbar to return to this page...


System Form Analysis Parameters

Navigation: File Maintenance >

System Form Analysis Parameters

 Print this Topic Return to chapter overview

Click here to view System Form Analysis Parameters

Click the 'Back Button' in the toolbar to return to this page...


System Field Strength Parameters

Navigation: File Maintenance >

System Field Strength Parameters

 Print this Topic Return to chapter overview

Click here to view System Field Strength Parameters

Click the 'Back Button' in the toolbar to return to this page...


System Race Times Parameters

Navigation: File Maintenance >

System Race Times Parameters

 Print this Topic Return to chapter overview

Click here to view System Race Times Parameters

Click the 'Back Button' in the toolbar to return to this page...


TAB Results (WA)

Navigation: File Maintenance >

TAB Results (WA)

 Print this Topic Return to chapter overview

After the day's racing you can run 'Batch Updates', 'Download Tote', 'View/Select Tote Settings' and check the 'Download Results' checkbox.

Once this procedure is complete, you can view the TAB results in the TAB Results file under File Maintenance.


Tracks

Navigation: File Maintenance >

Tracks

 Print this Topic Return to chapter overview

This contains list of all tracks with grading, X=Provincial, Z=Country, A, S, M, B, W=major city tracks, H=Hong Kong & N=New Zealand.


Tracks ALL

Navigation: File Maintenance >

Tracks ALL

 Print this Topic Return to chapter overview

This is the Database of most tracks in Australia and NZ. You may enter your penalties for Low-Grade Tracks here!

It differs from the Tracks database in so much as it contains all tracks which may be found in a horse's form including outer & picnic tracks.

Generally speaking, the TRACKS database only contains TAB tracks.


Trainers

Navigation: File Maintenance >

Trainers

 Print this Topic Return to chapter overview

Stores trainer bonus for City, provincial and country tracks. These can be edited. Any of the bonus may be adjusted to suit each users opinion.


Trainer/Jockey Combinations

Navigation: File Maintenance >

Trainer/Jockey Combinations

 Print this Topic Return to chapter overview

Stores trainer/jockey combination bonus/penalties for City, provincial and country tracks. These can be edited. Any of the bonus/penalties may be adjusted to suit each users opinion.


Weights Audit

Navigation: File Maintenance >

Weights Audit

 Print this Topic Return to chapter overview

Audit of changes made when running the Update Form Weight Adjustment


Legends

Navigation: »No topics above this level«

Legends

 Print this Topic Return to chapter overview

When adjustments are made by PPFA in Bet Selector, the adjustment is recorded in the Bet Selector 'OWNER' or 'COMMENT' field. These adjustments are easily identifiable as the adjustment is prefixed by a character, the legend, surrounded by "<>".
e.g.; A Barrier Penalty of -2 will be displayed in the Bet Selector OWNER field as <B>-2.0

Legend | Adjustment for | BS Field
A | Bonus/Penalty applied using "Edit Bet Selector Ratings" | COMMENT
B | Barrier Bonus, Added or Deducted from Base Rating depending on Barriers Database values | OWNER
C | Trainer/Jockey Combination - Bonus/Penalty | OWNER
E | Saved Bet Selector IMP, DOK, FOK, WNF & LBD Fields | OWNER
F | Form Analysis Bonus, Added together for each qualifying run and added to base rating. (all track conditions as applicable) | COMMENT
G | Age Bonus/Penalty - Based on values entered in System Parameters | OWNER
I | Par Times Rating Adjustment | OWNER
J | Last run days Penalty, Deducted from base rating | COMMENT
J | Weight Carried Adjustment - Apprentice Claim | OWNER
K | BlackBook adjustments | OWNER
L | Last Start Winner and career runs less than ??? days as set in System Parameters, "Misc" tab | OWNER
L | Low Grade Track adjustment deducted from Base Rating | COMMENT
M | Maiden Penalty, Deducted from base rating | COMMENT
R | Run Bonus, Added together for each run and added to base rating (all track conditions as applicable) | COMMENT
S | Field Strength adjustment | OWNER
T | Trainer adjustment | OWNER
U | Last Run Days - Return for First Up Strike Percentage | OWNER
W | Weight Penalty for big weights as per System Parameters Criteria | OWNER
Z | Last Saved Base Rating | OWNER


Version Changes

Navigation: »No topics above this level«

Version Changes

 Print this Topic Return to chapter overview

Changes in version 7.0.0

· NEW! Workbooks from Steve.
Steve has added to the range of workbooks available for PPFA.
Contact Steve by emailing support@ppfa.com.au for more information.
· NEW! HorseForm Comments.
Can now add comments to the HFCOMMENTS database. These comments may be added using any of "RaceTimes Sheets", "Edit Bet Selector Ratings" or "CMTD", ( Change Meeting Details ), procedures. To add a comment, the meeting for which you are adding a comment needs to exist in your Bet Selector Meetings File. Simply double-click on a runner to open the Form Window and any associated comments will be displayed in the browser below the HorseForm browser.
You can add comments for current or future meetings using the above procedures. Although not recommended, you may also manage the HorseForm Comments using File Maintenance.

The comments database has a procedure to allow purging of old comments.
· NEW! Market Percentages.
In File Maintenance, you may now set your market percentages by Day of Week, City, Provincial, Country & location of meeting.
This database is then used to automatically set the Market Percentages in Bet Selector during Batch Updates.
· NEW! RaceTimes form for Hong Kong.
You may now set a flag in File Maintenance, System Race Times Analysis Parameters which will force the "Generate Race Times Sheets" to only use past form runs from the current meeting location.
· NEW! PPFA BaseRatings for Hong Kong.
You may now set a flag in File Maintenance, System PPFA Base Rating Parameters which will demote any generated ratings where the "Form Run" is not the same track as "Today's Meeting Track".
· NEW! Trainer/Jockey Combinations.
Trainer/Jockey Combinations ( TRAINJOCK.DBF ) - Legend used in BS "Owner" field == <C>.
If you think that a particular Trainer/Jockey combination merits a Bonus or Penalty, you can now add that combination to your the TRAINJOCK database using a tailor made procedure.
During "Batch Updates", if any runner matches by Trainer/Jockey, it will have the appropriate Bonus/Penalty applied.

Fixes in Ver 7.0.0

· None

Changes in version 6.5.1

· None

Fixes in Ver 6.5.1

· OzBet - Fixed problem caused by OzBet changing their page format in late January '2012

Changes in version 6.5.0

· NEW! Tutorials
· NEW! Added days since last run to HorseForm in Race Day Browsers.
Users wanting to display this field will need to Choose Columns and add the DAYS field. You may then position the field where you would like to see it in the form browser, then "Save Chosen" so the DAYS column will display where you like it whenever you open the HorseForm browser.
· NEW! PPFA Base Ratings: Please checkout Steve's Tutorials for an overview. SysPar_BR database allows user to setup parameters for generating Base Ratings from Bet Selector's CIS ratings. When viewing meetings in Bet Selector, clicking on the SRC checkbox will display the SOURCE field in the list. When PPFA's BR has been applied, the source will display PPFABRxx. Once any one of PPFA's Update procedures have been run, this will display as PPFABU - note the BR after PPFA BR & BU after PPFA Updates. The 'SOURCE' field will also display in PPFA's 'CMTD' ( Chnage Meeting, Track, Distance ).

Using File Maintenance, you can view an audit of the Base Rating calculations. Note the Preset Filters and choice of Index.
· NEW! New feature in update Form Analysis - Bonus if Last Start winner and starts less than user entered number of runs. If this Bonus is applied, then the Last Start Maiden Winner penalty is skipped.
· NEW! Can now double-click on the Trainer Name in browser to display Trainer stats.
· NEW! Can now double-click on the Jockey Name in browser to display Jockey stats.
· NEW! Legends in Bet Selector's Horse Owner field. <E> Saved IMP, DOK, FOK, WNF, LBD & Original Base rating
<L> Last Start winner and Starts less than xx bonus
· CHANGES! SysColors.dbf - New fields for Field Strength. These new fields are used to highlight horse's which have a FS/Weight ADVANTAGE and change the colours of the "FsAdj" & "Margin" columns in the Field Strengths browser.
|eg; Down 5xFS - UP 2xKgs is an advantage : UP 2xFS - Down 5Kgs is an advantage
· Fixes in Ver 6.5.0
· OzBet - Fixed problem caused by OzBet changing page format in late July '2011
· Precision error in OLD Update Form Analysis fixed.
· Unitab - skip meeting with the same name..
Sometimes Bet Selector had the same meeting listed more than once in the list.
· Number of PIR and Form windows you can open in browser has been limited to prevent PPFA shutting down unexpectedly.

Changes in version 6.1.0

· NEW! Form Analysis - Can now Bonus/Penaly horse based on its Age.
New fields added to SysPar for Age Bonus/Penalty.
New Legend "A" in Comment Field stores Age Bonus/Penalty.
· NEW! HORSEFORM Database Changes and Effects
Added Field Strength column which can now be updated with the Field Strength of past runs.
When displaying horse's form from the Race Day Times Browser you can;

1. Display PPFA Field Strengths for past runs.
2. Save settings and have them restored by default - see SysPar option named 'HorseForm' in the System Tab.
3. Win and Placed runs are now colour highlighted. ( GREEN == WIN, ORANGE == PLACED )
4. Resizing window now also expands the data.
5. Various colour options are now available whe displaying HorseForm in the Browser
.
Procedure in Batch Updates will now update missing HorseForm Field Strengths.
· CHANGES! SysColors.dbf - New fields for HorseForm & RaceTimes in the Browser.
· CHANGES! RaceTimes Browser - Can now highlight Horse whose RaceTimes Ranking has improved from FRM to FRMW & from FRM to FRMWD
· CHANGES! CMTD ( Change Meeting, Track Distance, etc... )
Can now change Race GOING without need to run Updates for related date.
Also allows for Batch Updating of GOING similar to Select Races Procedure in Batch Updates.
Can also Scratch or UnScratch runners - these are highlighted in colour.
· CHANGES! Ability to Abandon Races
· CHANGES! Batch Updates now displays Time of last update for each process.

Fixes in Ver 6.1.0

· Ctrl+M Menu now resizes correctly.
· Unitab Updates fixed.
· Tote Download Error if CyberHorse Form used when ELLERSLIE & FLEMINGTON are racing on the same day.
· Update HorseForm ALL not updating SysPar correctly on odd occasions.
· CMTD & Selected Races - Changing GOING to ABAND now workds correctly.
· Fixed crash when opening Horseform from RaceDay Browser.
· After implementing the Horse's Age Bonus/Penalty, the Manual Adjustment in Edit Bet Selector Ratings was incorrect.
<G> used for Age Adjustments
<A> for Manual Adjustments
· Batch Updates - Reverse Manual Adjustments now reverses only the Edit Bet Selector Ratings changes.
Returns the Base Rating to the value prior to the adj & removes the <A>##.# from the COMMENT field
The RaceTimes & RaceDay Sheets must be re-generated to view the changes in PPFA even though they are
correctly displayed in Bet Selector.
· RaceTimes Browser: The Runners browser's height has been increased marginally so the last row is fully visible.

Changes in version 5.8.0

· NEW! Silks Database - This database is "UNDER CONSTRUCTION" and contains a reference to an icon for each silk description contained in the Bet Selector Horse Files. This database will be progressivley updated and sent out to subscribers. Users using this feature will gradually see more and more icons displayed until such time as the database is complete when all Jockey Silks Icons will be displayed. These Icons are displayed as the 1st column of your RaceDaySheets w Times. This database will be maintained by PPFA and is only available to DataBase Updates subscribers. If you do not subscribe, u will see a blank icon. You may also choose not to display the Silks Icon when you select your Runners Fields to display.
· NEW! OnLine Tutorials - see PPFA WebSite
· NEW! Menu Icons for Edit Bet Selector Ratings, Unitab, Bet Selector System Selector & "Change Meeting Track & Race Distance"
· NEW! Edit Bet Selector Ratings directly from PPFA. Includes online tutorial. Manual Adjustments displayed in RaceDay Browser. Legend for adjustments <A>
· NEW! UniTAB tote downloads. Ability to choose default TOTE in System Parameters. TAB_*.dbf files adjusted to accomodate UNiTAB.
· NEW! TOTE downloads. Ability to choose Selected Races ONLY
· NEW! BlackBook Updates now distinguish Duplicate Horses. 'Ctry' Field added to Blackbook for entry of Horse' Country Editing BlackBook from RaceDay Browser now includes the 'Ctry' Field.
· NEW! Download BestForm directly from PPFA Batch Updates
· NEW! Run Bet Selector System Selector from within PPFA
· NEW! RaceTimes Report now allows selection of up to 24 runners
· NEW! RaceTimes Browser
· Adjusted Browser Sizes
· Added Colour Selection for Manual Adjustments UP & DOWN
· NEW! Batch Updates
· Added, TOTES, JOCKEYS, FIELD STRENGTHS & WEIGHTS to Selected Races Procedures
· NEW! RaceTimes Browser - Slight Adjustment to Browser Sizes

Fixes in Ver 5.8.0

· None

Fixes in Ver 5.7.0

· Fixed problem when loading saved Race Day Sheets.
· Fixed error when horse's Form Time was incorrect.
eg; 1200 in 72.6 appeared as 726.6 after downloading data which caused a Data Width Error.
If an incorrect time is detected, the default text editor opens displaying details.
· Fixed error when pressing OK button in the Select Dates window without a date range selected.
Default Date Range now displays correctly.

Changes in version 5.0.0

· NEW! PPFA's HorseForm database now includes the trainer. When displayed in the RaceTimes Browser, trainer
changes are now identified.
· NEW! Ability to reverse only the weight changes made by PPFA after updating the Jockeys Bonus/Penalties.
· NEW! System Colours File ( SYSCOLORS.DBF )
Under System Parameters, you may now edit/select colours to be used in the RaceTimes RaceDay Browser.
· NEW! System Parameters - Originally when generating the RaceTimes, PPFA treated Fast, Good, Dead runs as a group
and Slow, Heavy runs as another group. Based on settings in the System Parameters, you may now elect to treat each
track condition separately.
· NEW! Report in RaceDay Menu allows printing of the RaceDay Browser including Field Strengths, Filtered RMWD and
Unfiltered RM. The report gives you the option to print in Colour, Include/Exclude sectiions and how many
runners to print for each section.
· NEW! Procedure to change Race Codes including ability to delete meetings.
When deleting meetings, the meeting is removed from Bet Selector's Meetings database, however, the meeting data is not deleted. Retaining the data even though the meeting is deleted allows PPFA to access these files for historical data.
This procedure is important on the few occasions that meetings are moved to another venue. You can also change the
distances. Another reason you may use this procedure is to change the Track Name. An example is where the Bet Selector
track name does not match the TAB's Track Name.
· NEW! PIR - Runs which match today's criteria are now better highlighted.
· NEW! Batch Updates now update the trainer in the Horseform database.
· NEW! Batch Updates - When selecting individual races to process ( track condition change ), there is a new button
which allows you to automatically change the track condition for all or remaining races based on the currently selected race.
Will also automatically add these races to your selected race. eg; Current track condition for meeting xyz is DEAD.
Track condition changes to HEAVY after race 2. You simply need to change Race 3 to HEAVY then use the Batch button to
add 3,4,5,6,7 to your selection with the track condition automatically changed to HEAVY.
· NEW! BlackBook Changed to allow BlackBook Bonus Penalties to be applied for up to the next 4 runs. Your preferences are
set in the System Parameters where you can select how many runs to retain the BlackBook entries and how to adjust the bonus for 2nd, 3rd & 4th runs. The BlackBook comment in the RaceTimes Browser will indicate which run since the entry that the horse is having today. There is also a button which when clicked will open a more comprehensive BlackBook window which includes up to 3 Comment fields and allows entries to be applied in the future.

Raceday Browser with Times.

· NEW! Various new colours are used to indicate changes in the RACES, FIELD STRENGTHS and RUNNERS browsers.
Open System Colors under the System Parameters Menu to view various options. See system parameters to set criteria for races qualified by distance.
· NEW! When the window is re-sized, the bottom 2 browser now dynamically change size. eg when increasing the depth
of the window, the Filtered RMWD and the UnFiltered RM browser now display more records.
· NEW! Now displays Trainer and Jockey changes - indicated by colours.
· NEW! User saved browser settings are automatically restored if you have chosen to do so.
These options may be set under System Parameters. When saving your field layout, the column widths are also saved and restored.
· NEW! Colours used in the RaceTimes Browser can now be selected by the user.
See new System Colours selection procedures.

Fixes in Ver 5.0.0

· Fixed error when Indexing with nothing selected.
· Fixed error where some files were not being re-indexed in the Indexing Window.
· Fixed problem when runnning OZBET downlaods and the track does not match.

Changes in version 4.5.2

· New! RaceTimes RaceDay Browser - Jockeys are now colour coded to indicate any of the following conditions:
1. Can't Find today's Jockey in Jockeys.DBF
2. Can't Find Last Run Jockey in Jockeys.DBF
3. Same Jockey as last run
4. Better Jockey This Run
5. Better Jockey This Run - Last Run Jockey had Claim, Today's has NO Claim
6. Better Jockey This Run - Last Run Jockey had NO Claim, Today's has a Claim
7. Worse Jockey This Run
8. Worse Jockey This Run - Last Run Jockey had Claim, Today's has NO Claim
9. Worse Jockey This Run - Last Run Jockey had NO Claim, Today's has a Claim

· New! RaceTimes RaceDay Browser - Trainers are now colour coded to indicate any of the following conditions:
1. Same Trainer as Last Run
2. New Trainer - Rated equally with last trainer
3. New Trainer - Better Rated than last trainer
4. New Trainer - Worse Rated than last trainer

Changes in version 4.5.2

· New! Field Strengths in Race Times Browser now highlight in YELLOW
if Horse is dropping in both Field Strength and Weight

Fixes in Ver 4.5.2

· Historical Batch Updates now exclude "Update Horses NEW"
· PPFA will now manage Horses Price in both "Bookie" and "Decimal" Format
· Fixed error in "Generate Race Day Sheets" when user does not process "Field Strengths"

Changes in version 4.5.0

· New! Help File - Accessed by pressing the [F1] key in PPFA
Includes Search Index - This is a 'Work in Progress'.
· New! Index Files by Group for PPFA UPDATES.
· New! Can now change the Active Flag in Bet Selector by individual race.
· New! 'Horses' database allows flagging of Duplicate Horse Names.
In the past, horses with the same name racing in different countries were being treated as one and the same horse.
The Horses database overcomes this problem. All procedures which access the Horseform database now process
the correct data if the horse is flagged as a Duplicate. Also, if the horse is a duplicate, it is highlighted in the TAB No.
column in the Race Day Browsers.
· New! Batch Updates now includes Update Horses NEW!
· New! 'Position In Running' in Race Day Browsers
Horses which meet the Criteria setup by the user are colour coded.
· New! Ability to set up to 3 Race Alarms including Sound Files to play.
· New! Ability to Flag Races to sound up to three Alarms in Race Day Browser with Times.
· New! Ribbon Toolbar with Icons for easy selection of procedures to execute.
· New! Most Menus Items displayed with associated Icon.
· NEW! RaceTimes_NOT_Filtered_RM can now be archived into a RaceTimes_Archive Database.
This feature allows you to analyse historical results of the RaceTimes.
· NEW! Batch Updates now allow update of the RaceTimes_NOT_Filtered_RM with the OzBet Results at the End of Day.
This data can optionally be added to the RaceTimes_Archive database.
· Changed! Batch Updates now have up to 4 pre-sets for easier update choices
1. Daily 2. Selected Races 3. End of Day 4. Historical
Each of the above pre-sets automatically set the defaults for the OzBet downloads.
· Changed! Batch Updates can now be set to automatically execute at a given time.
· Changed! Batch Updates now include automatic OzBet downloads for each batch.
· Changed! Batch Updates now include 'Update HorseForm NEW' for each batch.
· NEW! Batch Updates now allow you to set your OzBet options before batch processing.
· NEW! Batch Updates now allow choice of races to update - much quicker for changing Track Conditions for
one meeting or selected races during Race Day.
· NEW! Batch Updates now allow saving of and Exporting BS Base Ratings. Once the BS Base Ratings have been saved, they can be
re-applied in cases where manual changes have been made.

Fixes in Ver 4.5.0

· In some instances, the BS Base Rating was being set to either less than minus 9.9 or greater than 99.9. This caused a
"Data Width" error during processing. The BS Base Rating ha now been limited to the range 0 to 99.9
· Duplicate horse names can now be identified.

Changes in version 4.2.0

· New! Ability to Save Bet Selector Ratings, RAW or Adjusted
· New! Ability to Restore Bet Selector Ratings to Saved Ratings
· New! Ability to Export to a Report Current and Saved BS Ratings showing differences
· New! Ability to select individual races for updating
· New! Ability to change BS Track Condition from within PPFA
· New! Ability to Automatically Add RaceTimes_NOT_Filtered_RM to RaceTimes_Archive
· New! Batch Updates - Date Range, Selected Races, Export Base Ratings, Daily, End of Day, Historical
· New! File Maintenance - RaceTimes_Archive with same filters as RaceTimes_NOT_Filtered

Changes in version 4.1.2

· New! Ability to Batch Process Updates including Race Day Sheets with Auto Update PPFA
· New! Auto Update PPFA from within PPFA ( Thanks to Neale of Bet Selector ) Race Day Sheets with Times redesigned to show more of the bottom 2 Times Boxes
· New! Improved Export Routines in File Maintenance
· New! In Race Times Sheets, if a horse has not appeared in any of the Filtered Windows it is HIGHLIGHTED in the Un-Filtered Window
· New! FileMaintenance - View Latest Downloaded WA TAB Results
· New! Ability to store TAB Results in RaceTimes Audit for Analysis
· New! FileMaintenance - View Latest RaceTimes Audit with heaps of filters for analysis

Fixes in Ver 4.1.2

· Problem in HorseForm Analysis where Horse Name in Form File was not being correctly identified.
· This problem was caused by the occasional difference in the Horse Name;
eg; 'King of Spades' <> 'King Of Spades' - Lowercase 'o' in 'of' then Uppercase 'O' in 'Of'
eg; 'King the Spades' <> 'King The Spades' - Lowercase 't' in 'the' then Uppercase 'T' in 'The
· File Maintenance Exports Limited to 30,000 records. Excel limit is 65,000 odd

Changes in version 4.1.0

· Ability to download TAB info from the WA TAB ( OzBet )
· Ability to Name and Manage Archived sets of RaceDay Sheets
· Ability to load Archived RaceDay Sheets by Archive Name

Changes in version 4.0.0

· RaceTimes Database containing best average times for most distances from most tracks throughout Australia, New Zealand & Hong Kong.
· Ability to apply bonus to bet Selector Rating by comparing HorseForm Runs to PPFA's RaceTimes.DBF
· RaceTimes Parameters allowing users to define their own Race Times Criteria.
· Ability to apply bonus to bet Selector Rating based on Field Strength Ranking.
· Field Strengths Parameters allowing users to define their own Field Strengths Criteria.
· File Maintenance Routines now allow Exporting of Data according to user's choice of fields. Includes ability for user to save as many export formats as they like.
· New Race Day Sheets Reports including ability to print Field Strengths, CSV Bet File, All runners or Selected Runners.
· File Maintenance Exports can be loaded directly into Excel ( © Microsoft )
· RaceDay Browser which displays Races, Runners, Field Strengths and 4 x Times Windows.
· Alternative Menus
· Can now check if BlackBook entries are racing today complete with Race Details
· Backup, Restore and Delete Backup of Bet Selector Files by Date Range.
· New Tutorials available via the PFA web site.
· After updating the completed message now displays the Date Range processed.
· Ctrl + U now displays the accelerator keys available

Fixes in Ver 4.0.0

· Set Active Flag in BS Races - Updated Race Classes.
· Form Analysis Updates for Slow & Heavy Fixed.
· Updating Bet Selector when the races were not in sequential order fixed. This was mainly caused by NZ meetings which had both Thoroughbred and Trots on the same card.
· Update Bet Selector for Field Strengths and Times exit if the dates do not match.

Changes in version 3.0.0

· Jockey Apprentice Claims now update the weight to be carried to the Actual Weight after Apprentice Claim. Jockey Ratings:

The implementation of the Jockey Ratings has been adjusted so that Apprentice Allowances are deducted from the Allocated Weight. Eg Weight = 58.0, Allowance = 3.0, Bet Selector will show weight as 55.0. The weight carried has some impact on the final rated price and we believe that this format will give a more accurate rated price. Having changed the format it was necessary to adjust all the Jockey Ratings as previously the calculation used was the rating less the allowance to give a net rating and this was applied to the base rating. Under the new format, the rating is applied to the base rating and the Apprentice Allowance is deducted from the Allocated Weight. Basically, the Weight Carried is the Actual Weight after Apprentice Allowance.

· Jockey Allowances do not require the Apprentice Claim to be added to the Jockey Allowance
· Field Strengths now displayed in Race Day Browser
· Ability to apply a Penalty or Bonus in the BlackBook
· Blackbook Penalty/Allowance can now be applied automatically
· Procedure to Fix Uppercase Jockey Names - prevents duplicates
· First-Up Penalty Re-Assessment
· Ability to Activate or De-Activate races to be included in Bet Selector Tests using System Analyser ( Includes Race Classes )
· New File Maintenance procedures - Includes User Defined Filters, Record Cloning - See manual for full description
· Race Day Browser also displays Field Strength Rankings & Data, Not notified riders are highlighted.
· System Parameters now presented as Tab Pages - Easier to maintain - New Criteria
· Ability to penalize horses carrying big weights - Criteria can be set in System Parameters
· Field Strength Database ( over 4,000 Australian Race Field Strengths ), together with appropriate Update Procedures
· Trainers Database ( over 8,000 records ), together with the ability to update Trainer's Bonus/Penalty

There have been requests to incorporate trainers into the ratings. PPFA has created a Trainers Database along similar lines to the Jockey Ratings. All trainers are set to 0 and if you wish to give a bonus to any runners trained by a particular Trainer, then adjusting the rating will apply the bonus when you run the appropriate Update Selections procedure. Eg If you adjust DK Wier from 0 to 1, any runner trained by DK Wier will have 1.0 added to the Base Rating.
· All changes are displayed in either the Horse's Comment or Owner Field
· New Fully Rated Jockeys Database ( over 2,000 records )


Utilities

Navigation: »No topics above this level«

Utilities Menu

 Print this Topic Return to chapter overview

Select File/Utilities from the top drop-down menu

Re-Index Databases

Reset Race Times Archive

Set Active Flag in Bet Selector

Update Race Classes

Jockeys Fix Uppercase


Re-Index Databases

Navigation: Utilities >

Re-Index Databases

 Print this Topic Return to chapter overview

Re-Indexing the databases totally re-creates the indexes for the selected databases.

Pack+Index re-builds the database then re-indexes. You may use the Pack+Index facility to totally rebuild databases. This feature is rarely used, however, in cases where you may have deleted a lot of records, this feature will re-claim the space taken by the deleted records. Also handy if you suspect corruption in your databases.

Selecting the 'All Files' checkbox will automatically select ALL options with the exception of the HorseForm database. This is because the HorseForm database is rather large and may take longer to re-index, even longer to Pack+Index so PPFA leaves this option to the discretion of the user.

If you subscribe to the PPFA database updates, you will need to Re-Index each time you have extracted your updated database files to your PPFA folder.


Reset Race Times Archive

Navigation: Utilities >

Reset Race Times Archive

 Print this Topic Return to chapter overview

This feature will simply 'ZAP', ( remove ALL records ), from the RaceTimes_Archive database so you have no records left in the archive.

Only use this feature if you want to restart your archiving of the RaceTimes_NOT_Filtered_RM database.

The RaceTimes_Archive accumulates the records from the RaceTimes_NOT_Filtered_RM database when you run the 'Archive Race Times Data' feature of 'Batch Updates'.


Change Meeting, Tack Code, etc

Navigation: Utilities >

Change Meeting Details

 Print this Topic Return to chapter overview

This feature will allow you to edit certain values relating to each meeting.

Its main function is to edit a meeting when it has been moved to a different track and your data provider has not had the opportunity to update the new details. Simply click on the TCODE ( Track Code ) you want to change then click again to select a new track. Note that once the TCODE has been changed the meeting will re-sort into alphabetical order so you will need to reselect it once the change is made. You can also edit the Race Distances & Jump Times Active Flag and Going as required. Don't forget to re-run your updates and re-generate the RaceDay Sheets if you make any changes in this window.

The secondary feature is to delete meetings you do not want to include for your ratings.

"Delete Record" button deletes the currently selected meeting. Shortcut Tip: Alt+D

"Recall Record" button un-deletes a previously deleted meeting. Note that the "Recall Record" button only displays if you have selected a previously deleted meeting. Shortcut Tip: Alt+R

You may close this window and return and still see the deleted meetings displayed albeit in a different colour. The deleted meetings are not permanently removed from the list until you click on the "Pack+Re-Index Meetings DB" button ( Alt+P ). PPFA recommends that you click this button once you have finished deleting any meetings.

From ver 5, PPFA has included the ability to update the Trainer for each form run. If you delete a meeting using Bet Selector then the meeting is removed from BS's meetings database and the associated data files for the deleted meeting are also deleted. Using PPFA's delete meeting procedures removes the meeting but does not delete the associated data files. This is important as they remain available for PPFA to access and update any trainer information.


Set Active Flag in BS

Navigation: Utilities >

Re-Set Active Flag in BS

 Print this Topic Return to chapter overview

PPFA recognises that many users apply system tests to the ratings when fine tuning selections, testing for profitable betting strategies etc. For accurate assessment the only way to ensure that only the correct races are used to apply the rules to, was to go into Bet Selector and de-activate races manually for testing purposes. With this in mind, PPFA has an option to select races for testing based on Class; in addition races with un-raced runners can be excluded from testing. -e.g. If you wish to test a system on Class1 and Class2 races only with races with un-raced runners not included, the settings will be NO for include un-raced horses and the boxes Class 1 and Class 2 will be ticked ( blue highlighted ). Click the Update button to process which will offer you the option select a date range before processing. When completed any tests by system analyser will only included Class 1 and Class 2 races, all others will be de-activated for this test.

Box opens listing the Classes.

Radio Buttons at top left of window offer option to include un-raced horses when setting Classes to active, Yes will include races for testing if they have un-raced runners, No will de-activate races with un-raced horses for testing purposes.

The 'Flag ALL Active' button will automatically set all check boxes in the ACTIVE column to ON. If all Classes are to be included for testing, press this button. If you wish to test an individual class or combination of classes, click the "Flag NONE Active' button then click the check box alongside each Class you want to include for testing. Only race classes of the selected classes will be considered.

The 'Flag NONE Active' button will automatically set all check boxes in the ACTIVE column to OFF.

When selections have been made, clicking the Update button will open a date range box. Select the From and To dates you wish to process. This will de activate/activate the classes according to your selections and any tests done by System Analyser will only include the selected classes.

To reset the Bet Selector 'ACTIVE' flag, once you have completed the test in Bet Selector, return to PPFA, File/Utilities, Set Active Flag in Bet Selector, click the 'Flag All Active' button and then click the Update button to select the same date range again. This will re-activate all races again. Each time you wish to test a particular class or classes, this procedure will need to be run.


Set Active Flag by Race

Navigation: Utilities >

Set Active Flag by Race

 Print this Topic Return to chapter overview

This option has been included so that users may interrogate individual races and select the set active option based on the users selected criteria.

The browser displays the meetings which are accessed by double clicking on the meeting required, this then displays all the races for that meeting with the fields displayed below.

In the browser the ACTIVE option can be changed to reflect the users choice. 'Y' indicates that the race is included in BS. For testing purposes, double-click in the box and change to 'N'. This automatically changes the set active in BS to exclude this race for testing purposes. Users may select which columns they wish displayed by double clicking on the heading in the browser (racename). A box will open giving you the options to select your settings. Once you have made your selections SAVE CURRENT FIELD LAYOUT, each time you open the browser it will have the default settings, simply click on any heading and select RESTORE SAVED FIELD LAYOUT


Update Race Classes

Navigation: Utilities >

Update Race Classes

 Print this Topic Return to chapter overview

This procedure will scan all Bet Selector Race Files and extract the Race Classes. The date range scanned will be as per your System Parameter settings for FA Start in the Misc Tab. That is, it will scan from the FA Start date up to the latest date you have downloaded. Once scanned, the RCLASSES.DBF will be re-created with all the UNIQUE Race Class names so that this file is up to date when you run the 'Set Active Flag' in Bet Selector procedure.

You only need to run this procedure if you are missing a lot of Race Classes, otherwise, use File Maintenance, Race Classes if you only need to add a few.


Jockeys Fix UpperCase

Navigation: Utilities >

Jockeys Fix UpperCase

 Print this Topic Return to chapter overview

This procedure will rectify the problem of Uppercase Jockey Names when running the new Bet Selector feature, “Update Extra Form and Jockeys” in the “Race TAB Live” Window

Under “File”, “Utilities”, select “Jockeys - Fix Uppercase”. If you install the Jockey Database provided with the PPFA ver 3.0.0 ( or greater )Installation, it is NOT NECESSARY to run this procedure.

When you run this function you will be asked if you wish to “Adjust Jockey Rating”. Answering yes to this question will deduct the Jockey’s Apprentice Claim from the Jockey Rating. This is because older versions of PPFA calculated Jockeys differently to version 3.0.0 and greater. If you have retained your own Jockeys Database then PPFA recommends you answer YES to this question. This will adjust the Jockey Rating by removing the Apprentice Allowance from the Penalty Rating. Newer PPFA versions now apply the Allowance to the Allocated Weight ( as discussed in more detail in this manual ). The running of this function will also remove any Duplicate Jockeys due to Upper Casing.

Any subsequent running of this function will not require the database to be adjusted therefore if you have run this function previously, select NO when asked if you wish to Adjust the Jockey Rating and then follow the prompts to complete.


Frequently Asked Questions

Navigation: »No topics above this level«

Frequently Asked Questions

 Print this Topic Return to chapter overview

This section covers some problems that are frequently encountered by users of PPFA. The questions are organized by category and where necessary links are provided to relevant sections of the help.

Frequently Asked Questions

► General questions
► Printing


General questions

Navigation: Frequently Asked Questions >

General questions

 Print this Topic Return to chapter overview
Show/Hide Hidden Text
What is the purpose of FA_Start in System Form Analysis Parameters ?

In system parameters Form Analysis you will find FA_Start and FA_Last. The FA_Start determines the date of your oldest data. This is set at 01/01/2000 as a default when you first install PPFA. If your form does not go back that far then it doesn't matter as long as the FA_Start is prior to your oldest downloaded BS Form Date. PPFA will find the frst BS form file from there. If you DO NOT WISH to use data that old, change the date to the date you wish to start with. The FA_Last date will automatically update when you run Update Horseform ALL or Selection #3, Update Horseform New in Update Selections.

BS Selector Prices have not changed ?

After you run the Updates in PPFA, you must run either Race Tab live to re-calculated the changes or you can manually re-calc by going into Bet Selector, Select appropriate Meeting, go to Edit Scratchings and click NEXT through the meeting. This will re-calc BS based on th updated data.

What happens if track conditions change during the day ?

In the event the track conditions change, go to Bet Selector and the in Meeting, Edit Scratchings, manually change the track conditions for the races that it applies to. Close Bet Selector and open PPFA. Select File, Update Selections and ONLY RUN Process #6. This will re-adjust the ratings for the new track conditions. Close PPFA and re-open Bet Selector, go to race Meeting, Edit Scratchings and manually click NEXT through the races you would like the changes applied to.

What do I do if track conditions change during the day ?

If the track conditions alter during the day, it is recommended that a manual adjustment be made in Bet selector to alter track conditions, then run PPFA Function Update Form Analysis and then re-run Bet Selector, go to edit scratchings, select the 1st race where conditions have changed, then click next race until meeting completed. The TAB's are very slow in updating track conditions, in most cases they do it at the end of the day. DONT RUN RACETAB LIVE AFTER YOU HAVE MADE MANUAL ADJUSTMENT TO TRACK CONDITIONS
Can I test PPFA over old data ?

You can test PPFA over old data, the problem you may encounter is two fold. The time factor may be significant as you will be required to manually go to every meeting and click next through every race to implement all the adjustments. Secondly, the Jockey ratings that are applicable now would in most cases not have been applicable in the past and if you have made any adjustments manually on the old data, this may also affect the outcome. Testing over the last few months would be easier and the recommended method of testing old data. Don't forget that Track Conditions are critical to the outcomes so if you do not have the correct Track Conditions in Bet Selector then you won't be getting the right updates from PPFA

I don't have Bet Selector, can I get the ratings ?

For those in the punting fraternity that do not have Bet Selector, we have released raceratings.com.au where you can join and view past ratings for FREE. Ratings for the current date are available by subscription.
Can I keep my own Jockey ratings ?

If any of you had the old Jockey Program and wish to keep your own Jockey Ratings, just follow the prompts after installing and when the question relating to Keep Old Jockey File is asked, make sure you respond YES.

What do I do about System Parameters on installation ?

As part of the installation process, PPFA will install a default System Parameters File, ( the same one we use ). Anyone that had the Old PPJ Jockey Program will be asked if you wish to retain your System Parameters. YOU DO NOT WANT TO KEEP THEM as the new System Parameters have all the New Adjustments. If you do decide to keep them, then whatever existed in your Old File we imported into your New File and whatever did not exist will have PPFA's default values.

Can I run Bet Selector and PPFA at the same time ?

As both programs use common files, you CANNOT have both programs open at the same time.

What do I have to do to apply PPFA adjustments ?

On a day to day basis, I do the following and have never had a single problem, run Race Tab Live, Close BS, open PPFA run functions 1,2,3,4,5,6. Close PPFA, open BS and run Race Tab Live again. All changes will be implemented. Nothing else is required. In the event track conditions change during the day, go to BS, then the meeting and manually adjust the track conditions for the races affected. Close BS, open PPFA, run FUNCTION 6 ONLY. This will only adjust the races that have different track conditions. Close PPFA, re open BS and go to the appropriate meeting again. Go to relevant races, Edit Scr and click Next Race until all races are done. The changes will be implemented for the races that have new track conditions.

What difference will PPFA make to the Bet Selector ratings ?

I can not stress enough that this program is designed to do form analysis and attempt to get the horses rated in the correct order based on our criteria. Any filters you apply after that via System Selector are a personal choice but when you run your systems, you can be confident that you are running them across analyzed data with the ratings correct based on that analysis.

Obviously we cant select every winner, ( although we would like to think we can ), and sometimes you will miss a winner because of the adjustments but in the long term, and this is what we look at, this sound strategy will pay dividends for you, as it has for us.

ERROR whilst processing Low Grade Track Updates !

ERROR whilst processing Low Grade Track Updates is caused by "Dirty Data" in one of your downloaded form files. Either delete the meeting from Bet Selector where the error ocurred or skip the date of that meeting when processing. A fix for this error will be available for download soon.
How do I license my software ?

If you have not already sent your License Details please follow the below instructions:

When you run the program it will open up a License Information Window. Please enter your details and click the SEND button. Your email client will open a message ready to send to orders@ppfa.com.au. Click on the SEND button in your email client and your details will be emailed to PPFA. Once your payment has been verified you will be sent a Serial Key by return email.

This procedure may not work if you are not using Outlook or Outlook Express. If this is the case simply create an email and type in your registration details as per the PPFA Licensing Window then email to orders@ppfa.com.au Make sure the Seed Number is included.

Once you receive your Serial Key, you may enter it manually in the Serial Key field or copy & paste it from your email to the Serial Key field in the Licensing Window. Now simply click the REGISTER button and your PPFA will be permanently registered and you will no longer be bothered by the Licensing Window.

Why is my Jockey name "Missing Jockey" ?

PPFA has recognised that Race tab Live updates overwrites the jockey adjustment if it is blank, by putting missing rider in the box, no changes are made the blank space for jockey name reverts the rating back to default of 5.

How do I apply reversals to PPFA adjustments ?

After you run the PPFA Reversal Function, you must re-open BS and reset the markets. This can be achieved either by running RACE TAB LIVE if you are resetting today's data or running Price Predictor, select the meeting/s you are resetting, then Edit Scratchings and clicking NEXT through each race.

You may also use a recorded macro to achieve this, however, you would need some advanced PC knowledge to achieve the correct results.

If you are running PPFA over old data, you are limited to using the Edit Scratchings Method as the Run Race TAB Live method will only apply to today's meetings.

The same applies if you want to reset the markets to PPFA's ratings. After running PPFA over the data, you must recalc the markets.

How do I apply reversals to PPFA adjustments ?

After you run the PPFA Reversal Function, you must re-open BS and reset the markets. This can be achieved either by running RACE TAB LIVE if you are resetting today's data or running Price Predictor, select the meeting/s you are resetting, then Edit Scratchings and clicking NEXT through each race.

You may also use a recorded macro to achieve this, however, you would need some advanced PC knowledge to achieve the correct results.

If you are running PPFA over old data, you are limited to using the Edit Scratchings Method as the Run Race TAB Live method will only apply to today's meetings.

The same applies if you want to reset the markets to PPFA's ratings. After running PPFA over the data, you must recalc the markets.

SUMMARY

1. When PPFA applies the adjustments to BS, although the Base Ratings, Jockeys, etc have changed in BS, the actual market in BS hasn't.
2. When you run Race TAB Live in BS, it automatically recalculates the market for those meetings you have selected in Race TAB Live.
3. When you Reverse PPFA's adjustments, you must do the same thing, that is, recalculate the markets.
4. If you do any adjustments for past data, the market still has to be recalculated and the only way we know how to achieve this is with BS Edit Scracthings.
5. If you are analysing past data, you are forced to do the Edit Scratchings procedure for ALL meetings and ALL races you are applying adjustments to.
6. If you only apply PPFA on a daily basis, then, after printing, viewing the PPFA adjustments, from within BS, you can delete the meetings and re-Download them which will obviously give you a clean set of data.
7. It is pertinent to understand that BS will not adjust the markets simply because you make a change to the ratings. You may notice than within BS itself, it has three UPDATE buttons in the View Past Form / Edit Ratings Screen. This is because BS itself requires you to click the appropriate UPDATE button after you make changes. This applies whether you have PPFA or not.

If you read the PPFA manual on this subject it will become clear why you have to run RACE TAB LIVE twice to achieve the desired results. In fact, three times if you want to use PPFA's Reversal It is also stated in the manual that running over past data, although possible, is not a recommendation of PPFA. The reason the Reversal was included was mainly for past data as although possible, most people would not have access to past data thus preventing them from deleting then re-Downloading past meetings.


Race times

Navigation: Frequently Asked Questions >

Race times

 Print this Topic Return to chapter overview

FILE MAINTENANCE:

The following information may refer to old File Maintenance procedures which have now been updated with a NEW GENERIC procedure. See Notes on the New File Maintenance Routines.

13. Setting Values in Race Times System Parameters

13.1. Race Times

PPFA has developed a Race Times ranking with 4 filters being used to determine runner’s capabilities. The database contains “par times” for most tracks and is further defined into distances and track conditions.

Filtered:

RM = Race Rimes with Margins Adjustments. A horse’s time is determined based on the qualifying run which will be with similar conditions and distance range. The beaten margin is taken into account.

RMW = Race Rimes with Margin and Weight Adjustment. The horse’s time is adjusted to take into account any weight changes from the qualifying run to today’s race eg: if the qualifying run was with 58kg and it’s carrying 54kg in today’s race, the time is re-calculated to a theoretical time it would have run if it was carrying 54kg in the qualifying run, that is, it would have run faster with the lighter weight and therefore its ranking may improve.

RMWD = Race Times with Margin, Weight and Distance adjustments. A sliding scale is used to adjust a horse’s time based on distance change from the qualifying run to today’s race distance ( if applicable) The theory is that a horse will most likely be able to sustain speed over a shorter distance and conversely drop its speed rating over extended distance.

Non Filterered

This box displays the horses best run in comparison to par at any track and distance, there are no filters applied and therefore the run may be in an unsuitable distance range compared to today’s race eg; the horse may be 1st up and the Non Filter run may be in a 2000m race

The runs are displayed as a percentage, 100.00 being par, a figure below 100 indicates that the horse has bettered the par time for the qualifying run. A figure above 100 indicates that the horse has run slower than the par time. A horse that rates 1st in the times with a figure greater than 100 can still be considered as the ranking indicates that this horse is the best of a “poor lot”, these tend to be at long odds and value prices.

The automated procedure will allocate a value as per your system parameter settings for each Ranked position you have selected. You may allocate different values

PLEASE NOTE: Users can adjust any of the settings and apply values as you choose. If you don’t wish to apply Par Times adjustments set all the values to 0 and no bonus will be applied. Users may also wish to apply some of the times ratings to all or part of the Top 6 rankings in all or some of the boxes, you may mix and match as you see fit.


FAQ for Upgraders

Navigation: Frequently Asked Questions >

FAQ for PPFA Upgraders

 Print this Topic Return to chapter overview
Show/Hide Hidden Text

The menus and processing options in PPFA 7.0.0 are somewhat different from those in previous versions. In addition to this a number of changes have been made to the way the program works. The list below will help upgraders to find their way around in the new version.

Even if you are an experienced PPFA user we recommend that you work through the Introduction and OnLine Tutorials chapters of the new help briefly before you start working with the new version. This will help you to familiarize yourself with the new features.

User Interface – Where is Everything?!

Title 1?

See the Introduction and OnLine Tutorials sections for an introduction to the Project Explorer.
Title 2 eg Where is?

Enter text here

New and Different – Major Changes

New terminology:

Enter text here!


Printing questions

Navigation: Frequently Asked Questions >

Printing questions

 Print this Topic Return to chapter overview

See also:


OnLine Tutorials

Navigation: »No topics above this level«

OnLine Tutorials

 Print this Topic Return to chapter overview

Below you will find tutorials in Flash Format which PPFA hopes will assist you in running both PPFA and Bet Selector. You will also find that many user questions are answered in the Tutorials.

It is recommended that all users view the tutorials in conjunction with reading the help notes.

This link will take you directly to the Tutorials page on the www. Using this link will ensure you always have access to the very latest tutorials. http://www.ppfa.com.au/tutorials.php

NEW! Changes to PPFA's Batch Updates options

NEW! System Parameters for PPFA Generated Base Ratings (GENERAL)

NEW! System Parameters for PPFA Generated Base Ratings (PERCENTAGES)

NEW! Bonus for last start winner having limited starts

NEW! View Trainer statistics and new highlights in Field Strengths.

NEW! PPFA Generated Base Ratings Part II

NEW! PPFA Generated Base Ratings Part I

Field Strengths in HorseForm

Running PPFA Ver 6.0.0

Setting Display Preferences in Race Browsers for Ver 6.0.0

PPFA ver 5.8.0 with BestForm

New Features in PPFA ver 5.7.0

Make manual adjustments to Base Ratings in PPFA and automatically update markets - ver 5.7.0

Latest Batch Update Procedures for ver 5

Automatically restore your saved fields in the RaceTimes Browser

Batch Process Track Condition Changes in Batch Updates

Betting Races are now highlighted in the RaceTimes Browser

Creating and using your own colour settings in the RaceTimes Browser

Change Meeting Data inc Delete Meetings

Individual Going Processing for RaceTimes

Jockey and Trainer Colours in the RaceTimes Browser

Blackbook Comments in the RaceTimes Browser

Blackbook now allows Bonus or Penalty up to 4 Runs

Print RaceTimes Browser Report inc Field Strength and RaceTimes

What are the PPFA Legends

Processing Duplicate Horse Names

Batch Updates - Processing Selected Races ONLY

Race Day Alarms - Parameters + Setting

Managing the Horses Database

Race Par Times Parameters

Set Bet Selector Active Flag for Selected Races

Duplicate Horses

Batch Updates Procedures

Menu Icons

Set Active Flag in Bet Selector for Individual Races

Choosing Fields in BS SetActive for Races

Position in Running

Adjusting Odds-On in Bet Selector

Setup Fields to Display in PPFA File Maintenance

Using RaceTimes Filters Pre-Race

Testing RaceTimes Filters with Results

PPFA Batch Updates

Settings In Race Times Browser

Using WA Tab Downloads

Adjustments in Bet Selector

Best Form

Best Form Advantages

Bet Selector Overview

Browser Display Settings

Creating Filters

Introduction

New Browser

New Menu Functions

RaceTimes - NON_Filtered

Menu Overview

RaceTimes Overview

Race Times procedure for Track Condition changes

Set RaceTimes Display Screen

View PPFA Adjustments in Bet Selector

RaceTimes System Parameters

PPFA Update Selections

Weight + 1st Up Bonus


Horses

Navigation: »No topics above this level«

Horses

 Print this Topic Return to chapter overview

Enter topic text here.